-- Aggiunta ai contratti il collegamento con il contratto precedente
ALTER TABLE `co_contratti` ADD `idcontratto_prev` INT NOT NULL;


-- Aggiunta vista dashboard (mese,settimana,giorno)
INSERT INTO `zz_impostazioni` (`idimpostazione`, `nome`, `valore`, `tipo`, `editable`, `sezione`) VALUES (NULL, 'Vista dashboard', 'settimana', 'list[mese,settimana,giorno]', '1', 'Generali');

-- Aggiungo nuovi valori predefiniti per le anagrafiche
ALTER TABLE  `an_anagrafiche` ADD  `idtipointervento_default` VARCHAR( 25 ) NOT NULL ;

-- Creo tabella my_impianti_contratti
CREATE TABLE IF NOT EXISTS `my_impianti_contratti` (
  `idcontratto` varchar(25) NOT NULL,
  `matricola` varchar(25) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Aggiunta sesso nelle anagrafiche
ALTER TABLE `an_anagrafiche` ADD `sesso` ENUM( '', 'M', 'F' ) NOT NULL AFTER `luogo_nascita`;

-- Aggiunta tipo anagrafica
ALTER TABLE `an_anagrafiche` ADD `tipo` ENUM( '', 'Azienda', 'Privato', 'Ente pubblico' ) NOT NULL AFTER `ragione_sociale`;

-- Aggiunta scelta impostazioni sicurezza SMTP
INSERT INTO `zz_impostazioni` (`idimpostazione`, `nome`, `valore`, `tipo`, `editable`, `sezione`) VALUES (NULL, 'Sicurezza SMTP', 'Nessuna', 'list[Nessuna,TLS,SSL]', '1', 'Email');

-- nascondo opzione con indirizzo email destinatario del modulo bug
UPDATE `zz_impostazioni` SET `editable` = '0' WHERE `nome` = 'Destinatario';

-- Aggiornamento query moduli per il nuovo sistema di caricamento via ajax
UPDATE `zz_impostazioni` SET `valore` = '100' WHERE `nome` = 'Righe per pagina';


--
-- Modifica menu fatture, ordini, ecc in Vendita, Acquisti, Contabilità
--
-- Aggiunta VENDITE
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `level`, `parent`, `default`, `enabled`, `type`, `new`) VALUES (NULL, 'Vendite', '', '', '', '', 'fa fa-line-chart', '2.1', '2.*', '3', '0', '0', '1', '1', 'menu', '0');

-- Aggiunta ACQUISTI
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `level`, `parent`, `default`, `enabled`, `type`, `new`) VALUES (NULL, 'Acquisti', '', '', '', '', 'fa fa-shopping-cart', '2.1', '2.*', '4', '0', '0', '1', '1', 'menu', '0');

-- Spostamento in giù dei moduli successivi
UPDATE `zz_modules` SET `order`=5 WHERE `name`='Contabilit&agrave;';
UPDATE `zz_modules` SET `order`=6 WHERE `name`='Magazzino';
UPDATE `zz_modules` SET `order`=7 WHERE `name`='MyImpianti';
UPDATE `zz_modules` SET `order`=8 WHERE `name`='Backup';
UPDATE `zz_modules` SET `order`=9 WHERE `name`='Aggiornamenti';


-- Collegamento sottomenu di Contabilità al giusto "contenitore" (vendite o acquisti)
UPDATE `zz_modules` SET `parent`=( SELECT `id` FROM (SELECT `id` FROM `zz_modules` `m2` WHERE `name`='Vendite') AS `m2`) WHERE `name` IN('Preventivi', 'Contratti', 'Fatture di vendita', 'Ordini cliente');
UPDATE `zz_modules` SET `parent`=( SELECT `id` FROM (SELECT `id` FROM `zz_modules` `m2` WHERE `name`='Acquisti') AS `m2`) WHERE `name` IN('Fatture di acquisto', 'Ordini fornitore');


-- Aggiunta nuovi campi nelle righe preventivi
ALTER TABLE `co_righe_preventivi` ADD `sconto` DECIMAL( 12, 4 ) NOT NULL AFTER `subtotale`;
ALTER TABLE `co_preventivi` ADD `idiva` INT( 11 ) NOT NULL AFTER `idtipointervento`;


-- Creazione collegamento multiplo fra clienti e agenti
CREATE TABLE IF NOT EXISTS `an_anagrafiche_agenti` (
  `idanagrafica` int(11) NOT NULL,
  `idagente` int(11) NOT NULL,
  PRIMARY KEY(`idanagrafica`, `idagente`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- Aggiunta filtro su Prima nota per mostrare solo quelle dell'agente loggato
INSERT INTO `zz_gruppi_modules` ( `idgruppo`, `idmodule`, `clause` ) VALUES ( (SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), (SELECT `id` FROM `zz_modules` WHERE `name`='Prima nota'), 'AND idagente=|idanagrafica|' );

ALTER TABLE `co_documenti` ADD `idagente` INT( 11 ) NOT NULL AFTER `idanagrafica`;

UPDATE `zz_widget_modules` SET `more_link` = 'if( confirm(''Stampare il riepilogo?'') ){ window.open(''templates/pdfgen.php?ptype=riepilogo_interventi&id_module=$id_module$''); }' WHERE `zz_widget_modules`.`name` = 'Stampa riepilogo';

-- Aggiungo tabella log
CREATE TABLE IF NOT EXISTS `zz_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idutente` int(11) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(255) NOT NULL,
  `stato` varchar(50) NOT NULL,
  `ip` varchar(15) NOT NULL,
  `timestamp` timestamp NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;


-- Aggiunta tipologia di scadenza
ALTER TABLE `co_scadenziario` ADD `tipo` VARCHAR( 50 ) NOT NULL AFTER `iddocumento`;
UPDATE `co_scadenziario` SET `tipo` = 'fattura';


-- Aggiunto campo bic per l'anagrafica
ALTER TABLE `an_anagrafiche` ADD `bic` VARCHAR( 25 ) NOT NULL AFTER `codiceiban` ;

-- Uniformo lunghezza varchar per idintervento in my_impianto_componenti - prima era varchar (20)
ALTER TABLE `my_impianto_componenti` CHANGE `idintervento` `idintervento` VARCHAR( 25 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL ;

-- Aggiunto campo ordine per poter ordinare le righe in fattura
ALTER TABLE `co_righe_documenti` ADD `ordine` INT( 11 ) NOT NULL AFTER `altro` ;


-- Aggiunto widget per vedere il valore del magazzino + il totale degli articoli disponibili
INSERT INTO `zz_widget_modules` (`id`, `name`, `type`, `id_module`, `location`, `class`, `query`, `bgcolor`, `icon`, `print_link`, `more_link`, `more_link_type`, `php_include`, `text`, `enabled`, `order`) VALUES (NULL, 'Valore magazzino', 'stats', '21', 'controller_right', 'col-md-12', 'SELECT CONCAT_WS( " ", REPLACE( REPLACE( REPLACE( FORMAT (SUM(prezzo_acquisto*qta),2), ",", "#"), ".", "," ), "#", "."), "&euro;" ) AS dato FROM mg_articoli WHERE qta>0', '#A15D2D', 'fa fa-money', '', '', '', '', 'Valore magazzino', '1', '1');
INSERT INTO `zz_widget_modules` (`id`, `name`, `type`, `id_module`, `location`, `class`, `query`, `bgcolor`, `icon`, `print_link`, `more_link`, `more_link_type`, `php_include`, `text`, `enabled`, `order`) VALUES (NULL, 'Articoli in magazzino', 'stats', '21', 'controller_right', 'col-md-12', 'SELECT CONCAT_WS( " ", REPLACE( REPLACE( REPLACE( FORMAT (SUM(qta),2), ",", "#"), ".", "," ), "#", "."), "unit&agrave;" ) AS dato FROM mg_articoli WHERE qta>0', '#45A9F1', 'fa fa-check-square-o', '', '', '', '', 'Articoli in magazzino', '1', '1');
-- Controllo scadenze per contratti con data conclusione > 1970
UPDATE `zz_widget_modules` SET `query` = 'SELECT COUNT(id) AS dato FROM co_contratti WHERE idstato IN(SELECT id FROM co_staticontratti WHERE descrizione="Accettato" OR descrizione="In lavorazione" OR descrizione="In attesa di pagamento") AND rinnovabile=1 AND NOW() > DATE_ADD( data_conclusione, INTERVAL -ABS(giorni_preavviso_rinnovo) DAY) AND YEAR(data_conclusione) > 1970' WHERE `zz_widget_modules`.`name` = 'Contratti in scadenza';

-- aumento dimensione campo descrizione su co_pagamenti
ALTER TABLE `co_pagamenti` CHANGE `descrizione` `descrizione` VARCHAR(255) NOT NULL;

-- Aggiunta filtro su MyImpianti per mostrare solo quelli del cliente loggato
INSERT INTO `zz_gruppi_modules` ( `idgruppo`, `idmodule`, `clause` ) VALUES ( (SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), (SELECT `id` FROM `zz_modules` WHERE `name`='MyImpianti'), 'AND my_impianti.idanagrafica=|idanagrafica|');


-- Aggiunta nuovi campi nelle righe preventivi
ALTER TABLE `co_righe2_contratti` ADD `sconto` DECIMAL( 12, 4 ) NOT NULL AFTER `subtotale`;
ALTER TABLE `co_righe2_contratti` ADD `idiva` INT( 11 ) NOT NULL AFTER `sconto`;
ALTER TABLE `co_righe2_contratti` ADD `iva` DECIMAL( 12, 4 ) NOT NULL AFTER `idiva`;
ALTER TABLE `co_righe2_contratti` ADD `iva_indetraibile` DECIMAL( 12, 4 ) NOT NULL AFTER `iva`;

-- Aggiunto stato concluso anche ai contratti
INSERT INTO `co_staticontratti` (`id`, `descrizione`, `icona`, `completato`, `annullato`) VALUES (NULL, 'Concluso', 'fa fa-2x fa-check text-success', '0', '0');


-- Aggiunto modulo per gestire componenti
-- (SELECT `id` FROM `zz_modules` WHERE `name`='MyImpianti')
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `level`, `parent`, `default`, `enabled`, `type`, `new`) VALUES (NULL, 'Gestione componenti', '', 'gestione_componenti', '{ "main_query": [ { "type": "custom" } ]}', '', 'fa fa-external-link', '2.2', '2.2', '0', '1', '30', '1', '1', 'menu', '0');
UPDATE `zz_modules` SET `parent` = (SELECT `id` FROM (SELECT * FROM zz_modules) AS table1 WHERE `name`='MyImpianti')  WHERE `zz_modules`.`name` = 'Gestione componenti';


-- Aggiunti campi per gestire firma rapportini
ALTER TABLE `in_interventi` ADD  `firma_file` varchar(255) NOT NULL AFTER `ora_sla` ;
ALTER TABLE `in_interventi` ADD `firma_data` DATETIME NOT NULL AFTER `firma_file` ;
ALTER TABLE `in_interventi` ADD `firma_nome` VARCHAR( 255 ) NOT NULL AFTER `firma_data` ;

-- Aggiunto campo data_invio per salvare data e ora invio email dei rapportini
ALTER TABLE `in_interventi` ADD `data_invio` DATETIME NULL AFTER `firma_nome` ;

-- Aggiunta impostazione destinatario fisso in copia
INSERT INTO `zz_impostazioni` ( `nome`, `valore`, `tipo`, `editable`, `sezione`) VALUES
('Destinatario fisso in copia (campo CC)', '', 'string', 1, 'Email');

-- Aggiunta legame tra interventi e componenti
CREATE TABLE `my_componenti_interventi` (
  `id_intervento` varchar(25) NOT NULL,
  `id_componente` varchar(25) NOT NULL
);

-- Aggiunta campi per l'API

--
-- Creazione campo updated_at
--

ALTER TABLE an_anagrafiche ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE an_anagrafiche_agenti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE an_nazioni ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE an_referenti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE an_relazioni ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE an_sedi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE an_tipianagrafiche ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE an_tipianagrafiche_anagrafiche ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE an_zone ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_contratti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_contratti_interventi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_documenti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_iva ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_movimenti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_ordiniservizio ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_ordiniservizio_pianificazionefatture ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_ordiniservizio_vociservizio ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_pagamenti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_pianodeiconti1 ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_pianodeiconti2 ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_pianodeiconti3 ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_preventivi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_preventivi_interventi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_righe2_contratti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_righe_contratti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_righe_documenti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_righe_preventivi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_ritenutaacconto ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_rivalsainps ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_scadenziario ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_staticontratti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_statidocumento ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_statipreventivi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE co_tipidocumento ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE dt_aspettobeni ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE dt_automezzi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE dt_automezzi_tagliandi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE dt_automezzi_tecnici ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE dt_causalet ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE dt_ddt ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE dt_porto ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE dt_righe_ddt ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE dt_spedizione ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE dt_statiddt ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE dt_tipiddt ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE in_interventi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE in_interventi_tecnici ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE in_righe_interventi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE in_statiintervento ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE in_tariffe ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE in_tipiintervento ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE in_vociservizio ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mg_articoli ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mg_articoli_automezzi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mg_articoli_interventi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mg_listini ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mg_movimenti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mg_prodotti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mg_unitamisura ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mk_allegati ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mk_attivita ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mk_email ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mk_statoattivita ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE mk_tipoattivita ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE my_componenti_interventi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE my_impianti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE my_impianti_contratti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE my_impianti_interventi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE my_impianto_componenti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE or_ordini ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE or_righe_ordini ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE or_statiordine ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE or_tipiordine ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE zz_files ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE zz_gruppi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE zz_gruppi_modules ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE zz_impostazioni ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE zz_log ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE zz_modules ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE zz_modules_plugins ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE zz_permessi ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE zz_utenti ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE zz_widget_modules ADD updated_at timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;

--
-- Creazione campo created_at
--

ALTER TABLE an_anagrafiche ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE an_anagrafiche_agenti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE an_nazioni ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE an_referenti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE an_relazioni ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE an_sedi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE an_tipianagrafiche ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE an_tipianagrafiche_anagrafiche ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE an_zone ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_contratti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_contratti_interventi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_documenti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_iva ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_movimenti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_ordiniservizio ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_ordiniservizio_pianificazionefatture ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_ordiniservizio_vociservizio ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_pagamenti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_pianodeiconti1 ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_pianodeiconti2 ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_pianodeiconti3 ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_preventivi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_preventivi_interventi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_righe2_contratti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_righe_contratti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_righe_documenti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_righe_preventivi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_ritenutaacconto ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_rivalsainps ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_scadenziario ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_staticontratti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_statidocumento ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_statipreventivi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE co_tipidocumento ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE dt_aspettobeni ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE dt_automezzi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE dt_automezzi_tagliandi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE dt_automezzi_tecnici ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE dt_causalet ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE dt_ddt ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE dt_porto ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE dt_righe_ddt ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE dt_spedizione ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE dt_statiddt ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE dt_tipiddt ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE in_interventi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE in_interventi_tecnici ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE in_righe_interventi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE in_statiintervento ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE in_tariffe ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE in_tipiintervento ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE in_vociservizio ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mg_articoli ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mg_articoli_automezzi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mg_articoli_interventi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mg_listini ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mg_movimenti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mg_prodotti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mg_unitamisura ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mk_allegati ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mk_attivita ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mk_email ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mk_statoattivita ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE mk_tipoattivita ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE my_componenti_interventi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE my_impianti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE my_impianti_contratti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE my_impianti_interventi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE my_impianto_componenti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE or_ordini ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE or_righe_ordini ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE or_statiordine ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE or_tipiordine ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE zz_files ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE zz_gruppi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE zz_gruppi_modules ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE zz_impostazioni ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE zz_log ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE zz_modules ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE zz_modules_plugins ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE zz_permessi ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE zz_utenti ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';
ALTER TABLE zz_widget_modules ADD created_at timestamp DEFAULT '0000-00-00 00:00:00';

--
-- Creazione campo updated_by
--

ALTER TABLE an_anagrafiche ADD updated_by int NOT NULL;
ALTER TABLE an_anagrafiche_agenti ADD updated_by int NOT NULL;
ALTER TABLE an_nazioni ADD updated_by int NOT NULL;
ALTER TABLE an_referenti ADD updated_by int NOT NULL;
ALTER TABLE an_relazioni ADD updated_by int NOT NULL;
ALTER TABLE an_sedi ADD updated_by int NOT NULL;
ALTER TABLE an_tipianagrafiche ADD updated_by int NOT NULL;
ALTER TABLE an_tipianagrafiche_anagrafiche ADD updated_by int NOT NULL;
ALTER TABLE an_zone ADD updated_by int NOT NULL;
ALTER TABLE co_contratti ADD updated_by int NOT NULL;
ALTER TABLE co_contratti_interventi ADD updated_by int NOT NULL;
ALTER TABLE co_documenti ADD updated_by int NOT NULL;
ALTER TABLE co_iva ADD updated_by int NOT NULL;
ALTER TABLE co_movimenti ADD updated_by int NOT NULL;
ALTER TABLE co_ordiniservizio ADD updated_by int NOT NULL;
ALTER TABLE co_ordiniservizio_pianificazionefatture ADD updated_by int NOT NULL;
ALTER TABLE co_ordiniservizio_vociservizio ADD updated_by int NOT NULL;
ALTER TABLE co_pagamenti ADD updated_by int NOT NULL;
ALTER TABLE co_pianodeiconti1 ADD updated_by int NOT NULL;
ALTER TABLE co_pianodeiconti2 ADD updated_by int NOT NULL;
ALTER TABLE co_pianodeiconti3 ADD updated_by int NOT NULL;
ALTER TABLE co_preventivi ADD updated_by int NOT NULL;
ALTER TABLE co_preventivi_interventi ADD updated_by int NOT NULL;
ALTER TABLE co_righe2_contratti ADD updated_by int NOT NULL;
ALTER TABLE co_righe_contratti ADD updated_by int NOT NULL;
ALTER TABLE co_righe_documenti ADD updated_by int NOT NULL;
ALTER TABLE co_righe_preventivi ADD updated_by int NOT NULL;
ALTER TABLE co_ritenutaacconto ADD updated_by int NOT NULL;
ALTER TABLE co_rivalsainps ADD updated_by int NOT NULL;
ALTER TABLE co_scadenziario ADD updated_by int NOT NULL;
ALTER TABLE co_staticontratti ADD updated_by int NOT NULL;
ALTER TABLE co_statidocumento ADD updated_by int NOT NULL;
ALTER TABLE co_statipreventivi ADD updated_by int NOT NULL;
ALTER TABLE co_tipidocumento ADD updated_by int NOT NULL;
ALTER TABLE dt_aspettobeni ADD updated_by int NOT NULL;
ALTER TABLE dt_automezzi ADD updated_by int NOT NULL;
ALTER TABLE dt_automezzi_tagliandi ADD updated_by int NOT NULL;
ALTER TABLE dt_automezzi_tecnici ADD updated_by int NOT NULL;
ALTER TABLE dt_causalet ADD updated_by int NOT NULL;
ALTER TABLE dt_ddt ADD updated_by int NOT NULL;
ALTER TABLE dt_porto ADD updated_by int NOT NULL;
ALTER TABLE dt_righe_ddt ADD updated_by int NOT NULL;
ALTER TABLE dt_spedizione ADD updated_by int NOT NULL;
ALTER TABLE dt_statiddt ADD updated_by int NOT NULL;
ALTER TABLE dt_tipiddt ADD updated_by int NOT NULL;
ALTER TABLE in_interventi ADD updated_by int NOT NULL;
ALTER TABLE in_interventi_tecnici ADD updated_by int NOT NULL;
ALTER TABLE in_righe_interventi ADD updated_by int NOT NULL;
ALTER TABLE in_statiintervento ADD updated_by int NOT NULL;
ALTER TABLE in_tariffe ADD updated_by int NOT NULL;
ALTER TABLE in_tipiintervento ADD updated_by int NOT NULL;
ALTER TABLE in_vociservizio ADD updated_by int NOT NULL;
ALTER TABLE mg_articoli ADD updated_by int NOT NULL;
ALTER TABLE mg_articoli_automezzi ADD updated_by int NOT NULL;
ALTER TABLE mg_articoli_interventi ADD updated_by int NOT NULL;
ALTER TABLE mg_listini ADD updated_by int NOT NULL;
ALTER TABLE mg_movimenti ADD updated_by int NOT NULL;
ALTER TABLE mg_prodotti ADD updated_by int NOT NULL;
ALTER TABLE mg_unitamisura ADD updated_by int NOT NULL;
ALTER TABLE mk_allegati ADD updated_by int NOT NULL;
ALTER TABLE mk_attivita ADD updated_by int NOT NULL;
ALTER TABLE mk_email ADD updated_by int NOT NULL;
ALTER TABLE mk_statoattivita ADD updated_by int NOT NULL;
ALTER TABLE mk_tipoattivita ADD updated_by int NOT NULL;
ALTER TABLE my_componenti_interventi ADD updated_by int NOT NULL;
ALTER TABLE my_impianti ADD updated_by int NOT NULL;
ALTER TABLE my_impianti_contratti ADD updated_by int NOT NULL;
ALTER TABLE my_impianti_interventi ADD updated_by int NOT NULL;
ALTER TABLE my_impianto_componenti ADD updated_by int NOT NULL;
ALTER TABLE or_ordini ADD updated_by int NOT NULL;
ALTER TABLE or_righe_ordini ADD updated_by int NOT NULL;
ALTER TABLE or_statiordine ADD updated_by int NOT NULL;
ALTER TABLE or_tipiordine ADD updated_by int NOT NULL;
ALTER TABLE zz_files ADD updated_by int NOT NULL;
ALTER TABLE zz_gruppi ADD updated_by int NOT NULL;
ALTER TABLE zz_gruppi_modules ADD updated_by int NOT NULL;
ALTER TABLE zz_impostazioni ADD updated_by int NOT NULL;
ALTER TABLE zz_log ADD updated_by int NOT NULL;
ALTER TABLE zz_modules ADD updated_by int NOT NULL;
ALTER TABLE zz_modules_plugins ADD updated_by int NOT NULL;
ALTER TABLE zz_permessi ADD updated_by int NOT NULL;
ALTER TABLE zz_utenti ADD updated_by int NOT NULL;
ALTER TABLE zz_widget_modules ADD updated_by int NOT NULL;

--
-- Creazione campo created_by
--

ALTER TABLE an_anagrafiche ADD created_by int NOT NULL;
ALTER TABLE an_anagrafiche_agenti ADD created_by int NOT NULL;
ALTER TABLE an_nazioni ADD created_by int NOT NULL;
ALTER TABLE an_referenti ADD created_by int NOT NULL;
ALTER TABLE an_relazioni ADD created_by int NOT NULL;
ALTER TABLE an_sedi ADD created_by int NOT NULL;
ALTER TABLE an_tipianagrafiche ADD created_by int NOT NULL;
ALTER TABLE an_tipianagrafiche_anagrafiche ADD created_by int NOT NULL;
ALTER TABLE an_zone ADD created_by int NOT NULL;
ALTER TABLE co_contratti ADD created_by int NOT NULL;
ALTER TABLE co_contratti_interventi ADD created_by int NOT NULL;
ALTER TABLE co_documenti ADD created_by int NOT NULL;
ALTER TABLE co_iva ADD created_by int NOT NULL;
ALTER TABLE co_movimenti ADD created_by int NOT NULL;
ALTER TABLE co_ordiniservizio ADD created_by int NOT NULL;
ALTER TABLE co_ordiniservizio_pianificazionefatture ADD created_by int NOT NULL;
ALTER TABLE co_ordiniservizio_vociservizio ADD created_by int NOT NULL;
ALTER TABLE co_pagamenti ADD created_by int NOT NULL;
ALTER TABLE co_pianodeiconti1 ADD created_by int NOT NULL;
ALTER TABLE co_pianodeiconti2 ADD created_by int NOT NULL;
ALTER TABLE co_pianodeiconti3 ADD created_by int NOT NULL;
ALTER TABLE co_preventivi ADD created_by int NOT NULL;
ALTER TABLE co_preventivi_interventi ADD created_by int NOT NULL;
ALTER TABLE co_righe2_contratti ADD created_by int NOT NULL;
ALTER TABLE co_righe_contratti ADD created_by int NOT NULL;
ALTER TABLE co_righe_documenti ADD created_by int NOT NULL;
ALTER TABLE co_righe_preventivi ADD created_by int NOT NULL;
ALTER TABLE co_ritenutaacconto ADD created_by int NOT NULL;
ALTER TABLE co_rivalsainps ADD created_by int NOT NULL;
ALTER TABLE co_scadenziario ADD created_by int NOT NULL;
ALTER TABLE co_staticontratti ADD created_by int NOT NULL;
ALTER TABLE co_statidocumento ADD created_by int NOT NULL;
ALTER TABLE co_statipreventivi ADD created_by int NOT NULL;
ALTER TABLE co_tipidocumento ADD created_by int NOT NULL;
ALTER TABLE dt_aspettobeni ADD created_by int NOT NULL;
ALTER TABLE dt_automezzi ADD created_by int NOT NULL;
ALTER TABLE dt_automezzi_tagliandi ADD created_by int NOT NULL;
ALTER TABLE dt_automezzi_tecnici ADD created_by int NOT NULL;
ALTER TABLE dt_causalet ADD created_by int NOT NULL;
ALTER TABLE dt_ddt ADD created_by int NOT NULL;
ALTER TABLE dt_porto ADD created_by int NOT NULL;
ALTER TABLE dt_righe_ddt ADD created_by int NOT NULL;
ALTER TABLE dt_spedizione ADD created_by int NOT NULL;
ALTER TABLE dt_statiddt ADD created_by int NOT NULL;
ALTER TABLE dt_tipiddt ADD created_by int NOT NULL;
ALTER TABLE in_interventi ADD created_by int NOT NULL;
ALTER TABLE in_interventi_tecnici ADD created_by int NOT NULL;
ALTER TABLE in_righe_interventi ADD created_by int NOT NULL;
ALTER TABLE in_statiintervento ADD created_by int NOT NULL;
ALTER TABLE in_tariffe ADD created_by int NOT NULL;
ALTER TABLE in_tipiintervento ADD created_by int NOT NULL;
ALTER TABLE in_vociservizio ADD created_by int NOT NULL;
ALTER TABLE mg_articoli ADD created_by int NOT NULL;
ALTER TABLE mg_articoli_automezzi ADD created_by int NOT NULL;
ALTER TABLE mg_articoli_interventi ADD created_by int NOT NULL;
ALTER TABLE mg_listini ADD created_by int NOT NULL;
ALTER TABLE mg_movimenti ADD created_by int NOT NULL;
ALTER TABLE mg_prodotti ADD created_by int NOT NULL;
ALTER TABLE mg_unitamisura ADD created_by int NOT NULL;
ALTER TABLE mk_allegati ADD created_by int NOT NULL;
ALTER TABLE mk_attivita ADD created_by int NOT NULL;
ALTER TABLE mk_email ADD created_by int NOT NULL;
ALTER TABLE mk_statoattivita ADD created_by int NOT NULL;
ALTER TABLE mk_tipoattivita ADD created_by int NOT NULL;
ALTER TABLE my_componenti_interventi ADD created_by int NOT NULL;
ALTER TABLE my_impianti ADD created_by int NOT NULL;
ALTER TABLE my_impianti_contratti ADD created_by int NOT NULL;
ALTER TABLE my_impianti_interventi ADD created_by int NOT NULL;
ALTER TABLE my_impianto_componenti ADD created_by int NOT NULL;
ALTER TABLE or_ordini ADD created_by int NOT NULL;
ALTER TABLE or_righe_ordini ADD created_by int NOT NULL;
ALTER TABLE or_statiordine ADD created_by int NOT NULL;
ALTER TABLE or_tipiordine ADD created_by int NOT NULL;
ALTER TABLE zz_files ADD created_by int NOT NULL;
ALTER TABLE zz_gruppi ADD created_by int NOT NULL;
ALTER TABLE zz_gruppi_modules ADD created_by int NOT NULL;
ALTER TABLE zz_impostazioni ADD created_by int NOT NULL;
ALTER TABLE zz_log ADD created_by int NOT NULL;
ALTER TABLE zz_modules ADD created_by int NOT NULL;
ALTER TABLE zz_modules_plugins ADD created_by int NOT NULL;
ALTER TABLE zz_permessi ADD created_by int NOT NULL;
ALTER TABLE zz_utenti ADD created_by int NOT NULL;
ALTER TABLE zz_widget_modules ADD created_by int NOT NULL;

-- Aggiunta campo enabled per i tipi di anagrafiche
ALTER TABLE an_tipianagrafiche ADD enabled int NOT NULL DEFAULT 1;

-- Aggiunta tabelle nascoste per l'API
INSERT INTO `zz_impostazioni` (`idimpostazione`, `nome`, `valore`, `tipo`, `editable`, `sezione`) VALUES (NULL, 'API_excluded_tables', 'zz_utenti,zz_permessi,zz_sessioni_attive,updates,zz_tables,zz_deleted', 'string', '0', 'API');

--
-- Struttura della tabella `zz_viste`
--

CREATE TABLE `zz_viste` (
  `id` int(11) NOT NULL,
  `id_module` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `query` text NOT NULL,
  `order` tinyint(11) NOT NULL,
  `search` tinyint(1) NOT NULL DEFAULT '1',
  `slow` tinyint(1) NOT NULL DEFAULT '0',
  `search_inside` varchar(255) NOT NULL,
  `order_by` varchar(255) NOT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  `summable` tinyint(1) NOT NULL DEFAULT '0',
  `default` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int NOT NULL,
  `updated_by` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `zz_viste`
--

INSERT INTO `zz_viste` (`id`, `id_module`, `name`, `query`, `order`, `search`, `slow`, `enabled`, `default`) VALUES
(1, (SELECT `id` FROM `zz_modules` WHERE `name`='Anagrafiche'), 'id', 'idanagrafica', 1, 1, 0, 0, 1),
(2, (SELECT `id` FROM `zz_modules` WHERE `name`='Anagrafiche'), 'Ragione sociale', 'ragione_sociale', 2, 1, 0, 1, 1),
(3, (SELECT `id` FROM `zz_modules` WHERE `name`='Anagrafiche'), 'Tipologia', '(SELECT GROUP_CONCAT(descrizione SEPARATOR \', \') FROM an_tipianagrafiche INNER JOIN an_tipianagrafiche_anagrafiche ON an_tipianagrafiche.idtipoanagrafica=an_tipianagrafiche_anagrafiche.idtipoanagrafica GROUP BY idanagrafica HAVING idanagrafica=an_anagrafiche.idanagrafica)', 3, 1, 0, 1, 1),
(4, (SELECT `id` FROM `zz_modules` WHERE `name`='Anagrafiche'), 'Città', 'citta', 4, 1, 0, 1, 1),
(5, (SELECT `id` FROM `zz_modules` WHERE `name`='Anagrafiche'), 'Telefono', 'telefono', 5, 1, 0, 1, 1),
(6, (SELECT `id` FROM `zz_modules` WHERE `name`='Anagrafiche'), 'color_Rel.', 'an_relazioni.colore', 6, 1, 0, 1, 1),
(7, (SELECT `id` FROM `zz_modules` WHERE `name`='Anagrafiche'), 'color_title_Rel.', 'an_relazioni.descrizione', 7, 1, 0, 0, 1),
(8, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), 'id', 'in_interventi.idintervento', 1, 1, 0, 0, 1),
(9, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), 'ID', 'in_interventi.idintervento', 2, 1, 0, 1, 1),
(10, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), 'Ragione sociale', 'ragione_sociale', 3, 1, 0, 1, 1),
(11, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), 'Data inizio', 'DATE_FORMAT( MIN(orario_inizio), \'%d/%m/%Y\')', 4, 1, 0, 1, 1),
(12, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), 'Data fine', 'DATE_FORMAT(MAX(orario_fine), \'%d/%m/%Y\')', 5, 1, 0, 1, 1),
(13, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), '_bg_', '(SELECT colore FROM in_statiintervento WHERE idstatointervento=in_interventi.idstatointervento)', 6, 1, 0, 0, 1),
(14, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), 'Stato', '(SELECT descrizione FROM in_statiintervento WHERE idstatointervento=in_interventi.idstatointervento)', 7, 1, 0, 1, 1),
(15, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), 'Tipo', '(SELECT descrizione FROM in_tipiintervento WHERE idtipointervento=in_interventi.idtipointervento)', 8, 1, 0, 1, 1),
(16, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), '_print_', '\'pdfgen.php?ptype=interventi&idintervento=$id$&mode=single\'', 9, 0, 0, 1, 1),
(17, (SELECT `id` FROM `zz_modules` WHERE `name`='Tipi di anagrafiche'), 'id', 'idtipoanagrafica', 1, 1, 0, 0, 1),
(18, (SELECT `id` FROM `zz_modules` WHERE `name`='Tipi di anagrafiche'), 'Descrizione', 'descrizione', 2, 1, 0, 1, 1),
(19, (SELECT `id` FROM `zz_modules` WHERE `name`='Tipi di intervento'), 'id', 'idtipointervento', 1, 1, 0, 0, 1),
(20, (SELECT `id` FROM `zz_modules` WHERE `name`='Tipi di intervento'), 'Codice', 'idtipointervento', 2, 1, 0, 1, 1),
(21, (SELECT `id` FROM `zz_modules` WHERE `name`='Tipi di intervento'), 'Descrizione', 'descrizione', 3, 1, 0, 1, 1),
(22, (SELECT `id` FROM `zz_modules` WHERE `name`='Tipi di intervento'), 'Costo orario', 'REPLACE(FORMAT(costo_orario,2), \'.\', \',\')', 4, 1, 0, 1, 1),
(23, (SELECT `id` FROM `zz_modules` WHERE `name`='Tipi di intervento'), 'Costo al km', 'REPLACE(FORMAT(costo_km,2), \'.\', \',\')', 5, 1, 0, 1, 1),
(24, (SELECT `id` FROM `zz_modules` WHERE `name`='Tipi di intervento'), 'Diritto di chiamata', 'REPLACE(FORMAT(costo_diritto_chiamata, 2), \'.\', \',\')', 6, 1, 0, 1, 1),
(25, (SELECT `id` FROM `zz_modules` WHERE `name`='Tipi di intervento'), 'Costo orario tecnico', 'REPLACE(FORMAT(costo_orario_tecnico, 2), \'.\', \',\')', 7, 1, 0, 1, 1),
(26, (SELECT `id` FROM `zz_modules` WHERE `name`='Tipi di intervento'), 'Costo al km tecnico', 'REPLACE(FORMAT(costo_km_tecnico, 2), \'.\', \',\')', 8, 1, 0, 1, 1),
(27, (SELECT `id` FROM `zz_modules` WHERE `name`='Tipi di intervento'), 'Diritto di chiamata tecnico', 'REPLACE(FORMAT(costo_diritto_chiamata_tecnico, 2), \'.\', \',\')', 9, 1, 0, 1, 1),
(28, (SELECT `id` FROM `zz_modules` WHERE `name`='Stati di intervento'), 'id', 'idstatointervento', 1, 1, 0, 0, 1),
(29, (SELECT `id` FROM `zz_modules` WHERE `name`='Stati di intervento'), 'Codice', 'idstatointervento', 2, 1, 0, 1, 1),
(30, (SELECT `id` FROM `zz_modules` WHERE `name`='Stati di intervento'), 'Descrizione', 'descrizione', 3, 1, 0, 1, 1),
(31, (SELECT `id` FROM `zz_modules` WHERE `name`='Stati di intervento'), 'color_Colore', 'colore', 4, 1, 0, 1, 1),
(32, (SELECT `id` FROM `zz_modules` WHERE `name`='Preventivi'), 'id', 'id', 1, 1, 0, 0, 1),
(33, (SELECT `id` FROM `zz_modules` WHERE `name`='Preventivi'), 'Numero', 'numero', 2, 1, 0, 1, 1),
(34, (SELECT `id` FROM `zz_modules` WHERE `name`='Preventivi'), 'nome', 'Nome', 3, 1, 0, 1, 1),
(35, (SELECT `id` FROM `zz_modules` WHERE `name`='Preventivi'), 'Cliente', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_preventivi.idanagrafica)', 4, 1, 0, 1, 1),
(36, (SELECT `id` FROM `zz_modules` WHERE `name`='Preventivi'), 'icon_Stato', '(SELECT icona FROM co_statipreventivi WHERE id=idstato)', 5, 1, 0, 1, 1),
(37, (SELECT `id` FROM `zz_modules` WHERE `name`='Preventivi'), 'icon_title_Stato', '(SELECT descrizione FROM co_statipreventivi WHERE id=idstato)', 6, 1, 0, 0, 1),
(38, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di vendita'), 'id', 'co_documenti.id', 1, 1, 0, 0, 1),
(39, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di vendita'), 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 2, 1, 0, 1, 1),
(40, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di vendita'), 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 3, 1, 0, 1, 1),
(41, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di vendita'), 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica)', 4, 1, 0, 1, 1),
(42, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di vendita'), 'Totale', 'REPLACE( REPLACE( REPLACE( FORMAT( (SELECT SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) FROM co_righe_documenti GROUP BY iddocumento HAVING iddocumento=co_documenti.id) + bollo + iva_rivalsainps, 2), \',\', \'#\' ), \'.\', \',\' ), \'#\', \'.\' )', 5, 1, 0, 1, 1),
(43, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di vendita'), 'icon_Stato', '(SELECT icona FROM co_statidocumento WHERE id=idstatodocumento)', 6, 1, 0, 1, 1),
(44, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di vendita'), 'icon_title_Stato', '(SELECT descrizione FROM co_statidocumento WHERE id=idstatodocumento)', 7, 1, 0, 0, 1),
(45, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di vendita'), 'data1', 'data', 8, 1, 0, 0, 1),
(46, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di acquisto'), 'id', 'co_documenti.id', 1, 1, 0, 0, 1),
(47, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di acquisto'), 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 2, 1, 0, 1, 1),
(48, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di acquisto'), 'Data', 'DATE_FORMAT( data, \'%d/%m/%Y\' )', 3, 1, 0, 1, 1),
(49, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di acquisto'), 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica)', 4, 1, 0, 1, 1),
(50, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di acquisto'), 'Totale', 'REPLACE( REPLACE( REPLACE( FORMAT( (SELECT SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) FROM co_righe_documenti GROUP BY iddocumento HAVING iddocumento=co_documenti.id) + bollo + iva_rivalsainps, 2), \',\', \'#\' ), \'.\', \',\' ), \'#\', \'.\' )', 5, 1, 0, 1, 1),
(51, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di acquisto'), 'icon_Stato', '(SELECT icona FROM co_statidocumento WHERE id=idstatodocumento)', 6, 1, 0, 1, 1),
(52, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di acquisto'), 'icon_title_Stato', '(SELECT descrizione FROM co_statidocumento WHERE id=idstatodocumento)', 7, 1, 0, 0, 1),
(53, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di acquisto'), 'data1', 'data', 8, 1, 0, 0, 1),
(54, (SELECT `id` FROM `zz_modules` WHERE `name`='Prima nota'), 'id', 'co_movimenti.id', 1, 1, 0, 0, 1),
(55, (SELECT `id` FROM `zz_modules` WHERE `name`='Prima nota'), 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 2, 1, 0, 1, 1),
(56, (SELECT `id` FROM `zz_modules` WHERE `name`='Prima nota'), 'Causale', 'co_movimenti.descrizione', 3, 1, 0, 1, 1),
(57, (SELECT `id` FROM `zz_modules` WHERE `name`='Prima nota'), 'Controparte', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=(SELECT idanagrafica FROM co_documenti WHERE id=iddocumento))', 4, 1, 0, 1, 1),
(58, (SELECT `id` FROM `zz_modules` WHERE `name`='Prima nota'), 'Conto avere', 'GROUP_CONCAT(CASE WHEN  totale>0 THEN co_pianodeiconti3.descrizione ELSE NULL END)', 5, 1, 0, 1, 1),
(59, (SELECT `id` FROM `zz_modules` WHERE `name`='Prima nota'), 'Dare', 'FORMAT( SUM(CASE WHEN totale>0 THEN ABS(totale) ELSE 0 END), 2, \'de_DE\' )', 6, 1, 0, 1, 1),
(60, (SELECT `id` FROM `zz_modules` WHERE `name`='Prima nota'), 'Avere', 'FORMAT( SUM(CASE WHEN totale<0 THEN ABS(totale) ELSE 0 END), 2, \'de_DE\' )', 7, 1, 0, 1, 1),
(61, (SELECT `id` FROM `zz_modules` WHERE `name`='Scadenzario'), 'id', 'co_scadenziario.id', 1, 1, 0, 0, 1),
(62, (SELECT `id` FROM `zz_modules` WHERE `name`='Scadenzario'), 'Anagrafica', 'ragione_sociale', 2, 1, 0, 1, 1),
(63, (SELECT `id` FROM `zz_modules` WHERE `name`='Scadenzario'), 'Tipo di pagamento', 'co_pagamenti.descrizione', 3, 1, 0, 1, 1),
(64, (SELECT `id` FROM `zz_modules` WHERE `name`='Scadenzario'), 'Data emissione', 'CONCAT( co_tipidocumento.descrizione, CONCAT( \' numero \', IF(numero_esterno<>\'\', numero_esterno, numero) ) )', 4, 1, 0, 1, 1),
(65, (SELECT `id` FROM `zz_modules` WHERE `name`='Scadenzario'), 'Data scadenza', 'DATE_FORMAT(scadenza, \'%d/%m/%Y\')', 5, 1, 0, 1, 1),
(66, (SELECT `id` FROM `zz_modules` WHERE `name`='Scadenzario'), 'Importo', 'REPLACE( REPLACE( REPLACE( FORMAT(da_pagare, 2), \',\', \'#\'), \'.\', \',\'), \'#\', \'.\')', 6, 1, 0, 1, 1),
(67, (SELECT `id` FROM `zz_modules` WHERE `name`='Scadenzario'), 'Pagato', 'REPLACE( REPLACE( REPLACE( FORMAT(pagato, 2), \',\', \'#\'), \'.\', \',\'), \'#\', \'.\')', 7, 1, 0, 1, 1),
(68, (SELECT `id` FROM `zz_modules` WHERE `name`='Scadenzario'), '_bg_', 'IF(scadenza<NOW(), \'#ff7777\', \'\')', 8, 1, 0, 0, 1),
(69, (SELECT `id` FROM `zz_modules` WHERE `name`='Articoli'), 'id', 'id', 1, 1, 0, 0, 1),
(70, (SELECT `id` FROM `zz_modules` WHERE `name`='Articoli'), 'Codice', 'codice', 2, 1, 0, 1, 1),
(71, (SELECT `id` FROM `zz_modules` WHERE `name`='Articoli'), 'Categoria', '(SELECT `nome` FROM `mg_categorie` WHERE `id`=`id_categoria`)', 4, 1, 0, 1, 1),
(72, (SELECT `id` FROM `zz_modules` WHERE `name`='Articoli'), 'Sottocategoria', '(SELECT `nome` FROM `mg_categorie` WHERE `id`=`id_sottocategoria`)', 5, 1, 0, 1, 1),
(73, (SELECT `id` FROM `zz_modules` WHERE `name`='Articoli'), 'Q.tà', 'CONCAT_WS(\' \', CAST(REPLACE(FORMAT(qta, 2), \'.\', \',\' ) AS CHAR CHARACTER SET utf8), CAST(um AS CHAR CHARACTER SET utf8))', 6, 1, 0, 1, 1),
(74, (SELECT `id` FROM `zz_modules` WHERE `name`='Listini'), 'id', 'id', 1, 1, 0, 0, 1),
(75, (SELECT `id` FROM `zz_modules` WHERE `name`='Listini'), 'Nome', 'nome', 2, 1, 0, 1, 1),
(76, (SELECT `id` FROM `zz_modules` WHERE `name`='Listini'), 'Percentuale guadagno o sconto', 'prc_guadagno', 3, 1, 0, 1, 1),
(77, (SELECT `id` FROM `zz_modules` WHERE `name`='Listini'), 'Note', 'note', 4, 1, 0, 1, 1),
(78, (SELECT `id` FROM `zz_modules` WHERE `name`='Automezzi'), 'id', 'id', 1, 1, 0, 0, 1),
(79, (SELECT `id` FROM `zz_modules` WHERE `name`='Automezzi'), 'Targa', 'targa', 2, 1, 0, 1, 1),
(80, (SELECT `id` FROM `zz_modules` WHERE `name`='Automezzi'), 'Nome', 'nome', 3, 1, 0, 1, 1),
(81, (SELECT `id` FROM `zz_modules` WHERE `name`='Automezzi'), 'Descrizione', 'descrizione', 4, 1, 0, 1, 1),
(82, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini cliente'), 'id', 'or_ordini.id', 1, 1, 0, 0, 1),
(83, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini cliente'), 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 2, 1, 0, 1, 1),
(84, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini cliente'), 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=or_ordini.idanagrafica)', 3, 1, 0, 1, 1),
(85, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini cliente'), 'icon_Stato', '(SELECT icona FROM or_statiordine WHERE id=idstatoordine)', 4, 1, 0, 1, 1),
(86, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini cliente'), 'icon_title_Stato', '(SELECT descrizione FROM or_statiordine WHERE id=idstatoordine)', 5, 1, 0, 0, 1),
(87, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini cliente'), 'data1', 'data', 6, 1, 0, 0, 1),
(88, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini fornitore'), 'id', 'or_ordini.id', 1, 1, 0, 0, 1),
(89, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini fornitore'), 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 2, 1, 0, 1, 1),
(90, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini fornitore'), 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=or_ordini.idanagrafica)', 3, 1, 0, 1, 1),
(91, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini fornitore'), 'icon_Stato', '(SELECT icona FROM or_statiordine WHERE id=idstatoordine)', 4, 1, 0, 1, 1),
(92, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini fornitore'), 'icon_title_Stato', '(SELECT descrizione FROM or_statiordine WHERE id=idstatoordine)', 5, 1, 0, 0, 1),
(93, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini fornitore'), 'data1', 'data', 6, 1, 0, 0, 1),
(94, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di vendita'), 'id', 'dt_ddt.id', 1, 1, 0, 0, 1),
(95, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di vendita'), 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 2, 1, 0, 1, 1),
(96, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di vendita'), 'Data', 'DATE_FORMAT( data, \'%d/%m/%Y\' )', 3, 1, 0, 1, 1),
(97, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di vendita'), 'Cliente', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=dt_ddt.idanagrafica)', 4, 1, 0, 1, 1),
(98, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di vendita'), 'icon_Stato', '(SELECT icona FROM dt_statiddt WHERE id=idstatoddt)', 5, 1, 0, 1, 1),
(99, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di vendita'), 'icon_title_Stato', '(SELECT descrizione FROM dt_statiddt WHERE id=idstatoddt)', 6, 1, 0, 0, 1),
(100, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di vendita'), 'data1', 'data', 7, 1, 0, 0, 1),
(101, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di acquisto'), 'id', 'dt_ddt.id', 1, 1, 0, 0, 1),
(102, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di acquisto'), 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 2, 1, 0, 1, 1),
(103, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di acquisto'), 'Data', 'DATE_FORMAT( data, \'%d/%m/%Y\' )', 3, 1, 0, 1, 1),
(104, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di acquisto'), 'Cliente', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=dt_ddt.idanagrafica)', 4, 1, 0, 1, 1),
(105, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di acquisto'), 'icon_Stato', '(SELECT icona FROM dt_statiddt WHERE id=idstatoddt)', 5, 1, 0, 1, 1),
(106, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di acquisto'), 'icon_title_Stato', '(SELECT descrizione FROM dt_statiddt WHERE id=idstatoddt)', 6, 1, 0, 0, 1),
(107, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di acquisto'), 'data1', 'data', 7, 1, 0, 0, 1),
(108, (SELECT `id` FROM `zz_modules` WHERE `name`='Zone'), 'id', 'id', 1, 1, 0, 0, 1),
(109, (SELECT `id` FROM `zz_modules` WHERE `name`='Zone'), 'Nome', 'nome', 2, 1, 0, 1, 1),
(110, (SELECT `id` FROM `zz_modules` WHERE `name`='Zone'), 'Descrizione', 'descrizione', 3, 1, 0, 1, 1),
(111, (SELECT `id` FROM `zz_modules` WHERE `name`='MyImpianti'), 'id', 'id', 1, 1, 0, 0, 1),
(112, (SELECT `id` FROM `zz_modules` WHERE `name`='MyImpianti'), 'Matricola', 'matricola', 2, 1, 0, 1, 1),
(113, (SELECT `id` FROM `zz_modules` WHERE `name`='MyImpianti'), 'Data', 'DATE_FORMAT( data, \'%d/%m/%Y\' )', 3, 1, 0, 1, 1),
(114, (SELECT `id` FROM `zz_modules` WHERE `name`='MyImpianti'), 'Cliente', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=my_impianti.idanagrafica)', 4, 1, 0, 1, 1),
(115, (SELECT `id` FROM `zz_modules` WHERE `name`='MyImpianti'), 'Tecnico', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=my_impianti.idtecnico)', 5, 1, 0, 1, 1),
(116, (SELECT `id` FROM `zz_modules` WHERE `name`='Contratti'), 'id', 'id', 1, 1, 0, 0, 1),
(117, (SELECT `id` FROM `zz_modules` WHERE `name`='Contratti'), 'Numero', 'numero', 2, 1, 0, 1, 1),
(118, (SELECT `id` FROM `zz_modules` WHERE `name`='Contratti'), 'Nome', 'nome', 3, 1, 0, 1, 1),
(119, (SELECT `id` FROM `zz_modules` WHERE `name`='Contratti'), 'Cliente', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_contratti.idanagrafica)', 4, 1, 0, 1, 1),
(120, (SELECT `id` FROM `zz_modules` WHERE `name`='Contratti'), 'icon_Stato', '(SELECT icona FROM co_staticontratti WHERE id=idstato)', 5, 1, 0, 1, 1),
(121, (SELECT `id` FROM `zz_modules` WHERE `name`='Contratti'), 'icon_title_Stato', '(SELECT descrizione FROM co_staticontratti WHERE id=idstato)', 6, 1, 0, 0, 1),
(122, (SELECT `id` FROM `zz_modules` WHERE `name`='Voci di servizio'), 'id', 'id', 1, 1, 0, 0, 1),
(123, (SELECT `id` FROM `zz_modules` WHERE `name`='Voci di servizio'), 'Descrizione', 'descrizione', 2, 1, 0, 1, 1),
(124, (SELECT `id` FROM `zz_modules` WHERE `name`='Voci di servizio'), 'Categoria', 'categoria', 3, 1, 0, 1, 1),
(125, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini cliente'), 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 7, 1, 0, 1, 1),
(126, (SELECT `id` FROM `zz_modules` WHERE `name`='Prima nota'), 'Conto dare', 'GROUP_CONCAT(CASE WHEN  totale<0 THEN co_pianodeiconti3.descrizione ELSE NULL END)', 8, 1, 0, 1, 1),
(127, (SELECT `id` FROM `zz_modules` WHERE `name`='Anagrafiche'), 'deleted', 'deleted', 8, 1, 0, 0, 1),
(128, (SELECT `id` FROM `zz_modules` WHERE `name`='Contratti'), 'data_bozza', 'data_bozza', 7, 1, 0, 0, 1),
(129, (SELECT `id` FROM `zz_modules` WHERE `name`='Contratti'), 'data_conclusione', 'data_conclusione', 8, 1, 0, 0, 1),
(130, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di vendita'), 'dir', 'dir', 9, 1, 0, 0, 1),
(131, (SELECT `id` FROM `zz_modules` WHERE `name`='Fatture di acquisto'), 'dir', 'dir', 9, 1, 0, 0, 1),
(132, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di acquisto'), 'dir', 'dir', 8, 1, 0, 0, 1),
(133, (SELECT `id` FROM `zz_modules` WHERE `name`='Ddt di vendita'), 'dir', 'dir', 8, 1, 0, 0, 1),
(134, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), 'idanagrafica', 'in_interventi.idanagrafica', 10, 1, 0, 0, 1),
(135, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), 'orario_inizio', 'orario_inizio', 11, 1, 0, 0, 1),
(136, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), 'data_richiesta', 'data_richiesta', 12, 1, 0, 0, 1),
(137, (SELECT `id` FROM `zz_modules` WHERE `name`='Interventi'), 'orario_fine', 'orario_fine', 13, 1, 0, 0, 1),
(138, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini cliente'), 'dir', 'dir', 8, 1, 0, 0, 1),
(139, (SELECT `id` FROM `zz_modules` WHERE `name`='Ordini fornitore'), 'dir', 'dir', 7, 1, 0, 0, 1),
(140, (SELECT `id` FROM `zz_modules` WHERE `name`='Preventivi'), 'data_bozza', 'data_bozza', 7, 1, 0, 0, 1),
(141, (SELECT `id` FROM `zz_modules` WHERE `name`='Preventivi'), 'data_conclusione', 'data_conclusione', 8, 1, 0, 0, 1),
(142, (SELECT `id` FROM `zz_modules` WHERE `name`='Scadenzario'), 'da_pagare', 'da_pagare', 9, 1, 0, 0, 1),
(143, (SELECT `id` FROM `zz_modules` WHERE `name`='Scadenzario'), 'descrizione', 'co_statidocumento.descrizione', 10, 1, 0, 0, 1),
(144, (SELECT `id` FROM `zz_modules` WHERE `name`='Scadenzario'), 'pagato', 'pagato', 11, 1, 0, 0, 1);

--
-- Indici per le tabelle `zz_viste`
--
ALTER TABLE `zz_viste`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT per la tabella `zz_viste`
--
ALTER TABLE `zz_viste`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=146;


--
-- Struttura della tabella `zz_gruppi_viste`
--

CREATE TABLE `zz_gruppi_viste` (
  `id` int(11) NOT NULL,
  `id_gruppo` int(11) NOT NULL,
  `id_vista` int(11) NOT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_by` int(11) NOT NULL,
  `created_by` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Indici per le tabelle `zz_gruppi_viste`
--
ALTER TABLE `zz_gruppi_viste`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT per la tabella `zz_gruppi_viste`
--
ALTER TABLE `zz_gruppi_viste`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Dump dei dati per la tabella `zz_gruppi_viste`
--

INSERT INTO `zz_gruppi_viste` (`id_gruppo`, `id_vista`) VALUES
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 28),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 28),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 28),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 28),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 29),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 29),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 29),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 29),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 30),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 30),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 30),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 30),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 31),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 31),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 31),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 31),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 17),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 17),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 17),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 17),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 18),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 18),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 18),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 18),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 69),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 69),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 69),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 69),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 70),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 70),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 70),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 70),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 71),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 71),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 71),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 71),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 72),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 72),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 72),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 72),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 73),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 73),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 73),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 73),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 78),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 78),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 78),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 78),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 79),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 79),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 79),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 79),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 80),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 80),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 80),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 80),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 81),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 81),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 81),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 81),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 108),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 108),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 108),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 108),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 109),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 109),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 109),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 109),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 110),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 110),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 110),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 110),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 19),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 19),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 19),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 19),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 20),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 20),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 20),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 20),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 21),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 21),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 21),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 21),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 22),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 22),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 22),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 22),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 23),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 23),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 23),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 23),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 24),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 24),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 24),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 24),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 25),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 25),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 25),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 25),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 26),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 26),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 26),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 26),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 27),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 27),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 27),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 27),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 122),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 122),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 122),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 122),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 123),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 123),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 123),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 123),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 124),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 124),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 124),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 124),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 54),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 54),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 54),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 54),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 55),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 55),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 55),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 55),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 56),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 56),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 56),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 56),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 57),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 57),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 57),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 57),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 58),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 58),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 58),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 58),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 59),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 59),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 59),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 59),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 60),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 60),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 60),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 60),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 126),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 126),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 126),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 126),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 111),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 111),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 111),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 111),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 112),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 112),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 112),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 112),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 113),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 113),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 113),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 113),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 114),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 114),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 114),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 114),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 115),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 115),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 115),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 115),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 74),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 74),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 74),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 74),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 75),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 75),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 75),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 75),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 76),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 76),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 76),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 76),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 77),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 77),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 77),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 77),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 127),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 127),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 127),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 127),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 1),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 1),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 1),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 1),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 2),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 2),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 2),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 2),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 3),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 3),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 3),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 3),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 4),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 4),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 4),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 4),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 5),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 5),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 5),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 5),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 6),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 6),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 6),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 6),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 7),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 7),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 7),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 7),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 0),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 0),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 0),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 0),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 0),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 0),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 0),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 0),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 116),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 116),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 116),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 116),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 117),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 117),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 117),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 117),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 118),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 118),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 118),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 118),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 119),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 119),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 119),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 119),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 120),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 120),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 120),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 120),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 121),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 121),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 121),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 121),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 128),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 128),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 128),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 128),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 129),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 129),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 129),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 129),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 38),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 38),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 38),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 38),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 39),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 39),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 39),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 39),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 40),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 40),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 40),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 40),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 41),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 41),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 41),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 41),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 42),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 42),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 42),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 42),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 43),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 43),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 43),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 43),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 44),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 44),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 44),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 44),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 45),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 45),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 45),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 45),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 130),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 130),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 130),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 130),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 101),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 101),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 101),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 101),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 102),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 102),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 102),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 102),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 103),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 103),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 103),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 103),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 104),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 104),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 104),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 104),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 105),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 105),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 105),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 105),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 106),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 106),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 106),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 106),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 107),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 107),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 107),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 107),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 132),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 132),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 132),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 132),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 46),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 46),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 46),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 46),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 47),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 47),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 47),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 47),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 48),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 48),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 48),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 48),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 49),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 49),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 49),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 49),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 50),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 50),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 50),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 50),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 51),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 51),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 51),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 51),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 52),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 52),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 52),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 52),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 53),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 53),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 53),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 53),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 131),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 131),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 131),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 131),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 94),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 94),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 94),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 94),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 95),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 95),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 95),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 95),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 96),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 96),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 96),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 96),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 97),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 97),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 97),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 97),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 98),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 98),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 98),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 98),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 99),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 99),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 99),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 99),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 100),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 100),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 100),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 100),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 133),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 133),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 133),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 133),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 8),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 8),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 8),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 8),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 9),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 9),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 9),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 9),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 10),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 10),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 10),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 10),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 11),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 11),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 11),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 11),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 12),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 12),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 12),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 12),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 13),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 13),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 13),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 13),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 14),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 14),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 14),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 14),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 15),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 15),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 15),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 15),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 16),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 16),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 16),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 16),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 134),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 134),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 134),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 134),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 135),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 135),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 135),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 135),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 136),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 136),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 136),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 136),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 137),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 137),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 137),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 137),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 82),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 82),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 82),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 82),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 125),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 125),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 125),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 125),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 83),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 83),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 83),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 83),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 84),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 84),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 84),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 84),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 85),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 85),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 85),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 85),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 86),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 86),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 86),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 86),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 87),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 87),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 87),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 87),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 138),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 138),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 138),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 138),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 88),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 88),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 88),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 88),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 89),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 89),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 89),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 89),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 90),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 90),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 90),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 90),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 91),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 91),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 91),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 91),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 92),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 92),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 92),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 92),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 93),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 93),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 93),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 93),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 139),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 139),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 139),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 139),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 32),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 32),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 32),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 32),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 33),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 33),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 33),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 33),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 34),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 34),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 34),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 34),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 35),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 35),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 35),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 35),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 36),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 36),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 36),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 36),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 37),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 37),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 37),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 37),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 140),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 140),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 140),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 140),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 141),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 141),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 141),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 141),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 61),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 61),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 61),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 61),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 62),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 62),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 62),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 62),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 63),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 63),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 63),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 63),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 64),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 64),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 64),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 64),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 65),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 65),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 65),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 65),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 66),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 66),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 66),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 66),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 67),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 67),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 67),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 67),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 68),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 68),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 68),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 68),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 142),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 142),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 142),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 142),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 143),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 143),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 143),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 143),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 144),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 144),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 144),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 144);


-- Aggiornamento delle query di default dei vari moduli predefiniti
UPDATE `zz_modules` SET `options`='' WHERE `name`='Acquisti';
UPDATE `zz_modules` SET `options`='custom' WHERE `name`='Aggiornamenti';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `an_anagrafiche` LEFT OUTER JOIN `an_relazioni` ON `an_anagrafiche`.`idrelazione`=`an_relazioni`.`id` HAVING 1=1 AND `deleted`=0 ORDER BY `ragione_sociale`' WHERE `name`='Anagrafiche';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `mg_articoli` HAVING 1=1 ORDER BY `descrizione`' WHERE `name`='Articoli';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `dt_automezzi` HAVING 1=1 ORDER BY `targa`' WHERE `name`='Automezzi';
UPDATE `zz_modules` SET `options`='custom' WHERE `name`='Backup';
UPDATE `zz_modules` SET `options`='' WHERE `name`='Contabilità';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `co_contratti` HAVING 1=1 AND ((\'|period_start|\' >= `data_bozza` AND \'|period_start|\' <= `data_conclusione`) OR (\'|period_end|\' >= `data_bozza` AND \'|period_end|\' <= `data_conclusione`) OR (`data_bozza` >= \'|period_start|\' AND `data_bozza` <= \'|period_end|\') OR (`data_conclusione` >= \'|period_start|\' AND `data_conclusione` <= \'|period_end|\') OR (`data_bozza` >= \'|period_start|\' AND `data_conclusione` = \'0000-00-00\')) ORDER BY `id` DESC' WHERE `name`='Contratti';
UPDATE `zz_modules` SET `options`='custom' WHERE `name`='Dashboard';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `dt_ddt` INNER JOIN `dt_tipiddt` ON `dt_ddt`.`idtipoddt`=`dt_tipiddt`.`id` HAVING 1=1 AND `dir`=\'uscita\' AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC, CAST(`numero_esterno` AS UNSIGNED) DESC' WHERE `name`='Ddt di acquisto';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `dt_ddt` INNER JOIN `dt_tipiddt` ON `dt_ddt`.`idtipoddt`=`dt_tipiddt`.`id` HAVING 1=1 AND `dir`=\'entrata\' AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC, CAST(`numero_esterno` AS UNSIGNED) DESC' WHERE `name`='Ddt di vendita';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `co_documenti` INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id` HAVING 1=1 AND `dir`=\'uscita\' AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC' WHERE `name`='Fatture di acquisto';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `co_documenti` INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id` HAVING 1=1 AND `dir`=\'entrata\' AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC' WHERE `name`='Fatture di vendita';
UPDATE `zz_modules` SET `options`='custom' WHERE `name`='Gestione componenti';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM (`in_interventi` INNER JOIN `an_anagrafiche` ON `in_interventi`.`idanagrafica`=`an_anagrafiche`.`idanagrafica`) LEFT OUTER JOIN `in_interventi_tecnici` ON `in_interventi_tecnici`.`idintervento`=`in_interventi`.`idintervento` GROUP BY `in_interventi`.`idintervento` HAVING 1=1 AND ( ( DATE_FORMAT( `orario_inizio`, \'%Y-%m-%d\' ) >= \'|period_start|\' AND DATE_FORMAT( `orario_fine`, \'%Y-%m-%d\' ) <= \'|period_end|\' ) OR ( DATE_FORMAT( `data_richiesta`, \'%Y-%m-%d\' ) >= \'|period_start|\' AND DATE_FORMAT( `data_richiesta`, \'%Y-%m-%d\' ) <= \'|period_end|\' ) ) ORDER BY IFNULL(`orario_fine`, `data_richiesta`) DESC' WHERE `name`='Interventi';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `mg_listini` HAVING 1=1 ORDER BY `nome`' WHERE `name`='Listini';
UPDATE `zz_modules` SET `options`='' WHERE `name`='Magazzino';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `my_impianti` HAVING 1=1 ORDER BY `matricola`' WHERE `name`='MyImpianti';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `or_ordini` INNER JOIN `or_tipiordine` ON `or_ordini`.`idtipoordine`=`or_tipiordine`.`id` HAVING 1=1 AND `dir`=\'entrata\' AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY `data1` DESC, CAST(`numero_esterno` AS UNSIGNED) DESC' WHERE `name`='Ordini cliente';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `or_ordini` INNER JOIN `or_tipiordine` ON `or_ordini`.`idtipoordine`=`or_tipiordine`.`id` HAVING 1=1 AND `dir`=\'uscita\' AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY `data1` DESC, CAST(`numero_esterno` AS UNSIGNED) DESC' WHERE `name`='Ordini fornitore';
UPDATE `zz_modules` SET `options`='custom' WHERE `name`='Piano dei conti';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `co_preventivi` HAVING 1=1 AND (\'|period_start|\' >= `data_bozza` AND \'|period_start|\' <= `data_conclusione`) OR (\'|period_end|\' >= `data_bozza` AND \'|period_end|\' <= `data_conclusione`) OR (`data_bozza` >= \'|period_start|\' AND `data_bozza` <= \'|period_end|\') OR (`data_conclusione` >= \'|period_start|\' AND `data_conclusione` <= \'|period_end|\') OR (`data_bozza` >= \'|period_start|\' AND `data_conclusione` = \'0000-00-00\') ORDER BY `id` DESC' WHERE `name`='Preventivi';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `co_movimenti` INNER JOIN `co_pianodeiconti3` ON `co_movimenti`.`idconto`=`co_pianodeiconti3`.`id` GROUP BY `idmastrino`, `primanota`, `co_movimenti`.`data` HAVING 1=1 AND `primanota`=1 AND `co_movimenti`.`data`>=\'|period_start|\' AND `co_movimenti`.`data`<=\'|period_end|\' ORDER BY `co_movimenti`.`data` DESC' WHERE `name`='Prima nota';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM (`co_scadenziario` INNER JOIN (((`co_documenti` INNER JOIN `an_anagrafiche` ON `co_documenti`.`idanagrafica`=`an_anagrafiche`.`idanagrafica`) INNER JOIN `co_pagamenti` ON `co_documenti`.`idpagamento`=`co_pagamenti`.`id`) INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id`) ON `co_scadenziario`.`iddocumento`=`co_documenti`.`id`) INNER JOIN `co_statidocumento` ON `co_documenti`.`idstatodocumento`=`co_statidocumento`.`id` HAVING 1=1 AND (ABS(`pagato`) < ABS(`da_pagare`) AND `co_statidocumento`.`descrizione` IN(\'Emessa\',\'Parzialmente pagato\')) ORDER BY `scadenza` ASC' WHERE `name`='Scadenzario';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `in_statiintervento` HAVING 1=1' WHERE `name`='Stati di intervento';
UPDATE `zz_modules` SET `options`='custom' WHERE `name`='Tecnici e tariffe';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `an_tipianagrafiche` HAVING 1=1' WHERE `name`='Tipi di anagrafiche';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `in_tipiintervento` HAVING 1=1' WHERE `name`='Tipi di intervento';
UPDATE `zz_modules` SET `options`='' WHERE `name`='Vendite';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `in_vociservizio` HAVING 1=1 ORDER BY `categoria`, `descrizione`' WHERE `name`='Voci di servizio';
UPDATE `zz_modules` SET `options`='SELECT |fields| FROM `an_zone` HAVING 1=1 ORDER BY `id`' WHERE `name`='Zone';

-- Aggiunta di un reset nel caso di elemento già selezionato nei filtri di Anagrafiche
UPDATE `zz_widget_modules` SET `more_link` = 'if($(\'#th_Tipologia input\').val()!= \'Cliente\'){ $(\'#th_Tipologia input\').val( \'Cliente\' ).trigger( \'keyup\' );} else reset(\'Tipologia\');' WHERE `zz_widget_modules`.`name` = 'Numero di clienti';
UPDATE `zz_widget_modules` SET `more_link` = 'if($(\'#th_Tipologia input\').val()!= \'Tecnico\'){ $(\'#th_Tipologia input\').val( \'Tecnico\' ).trigger( \'keyup\' );} else reset(\'Tipologia\');' WHERE `zz_widget_modules`.`name` = 'Numero di tecnici';
UPDATE `zz_widget_modules` SET `more_link` = 'if($(\'#th_Tipologia input\').val()!= \'Fornitore\'){ $(\'#th_Tipologia input\').val( \'Fornitore\' ).trigger( \'keyup\' );} else reset(\'Tipologia\');' WHERE `zz_widget_modules`.`name` = 'Numero di fornitori';
UPDATE `zz_widget_modules` SET `more_link` = 'if($(\'#th_Tipologia input\').val()!= \'Agente\'){$(\'#th_Tipologia input\').val( \'Agente\' ).trigger( \'keyup\' );} else reset(\'Tipologia\');' WHERE `zz_widget_modules`.`name` = 'Numero di agenti';
UPDATE `zz_widget_modules` SET `more_link` = 'if($(\'#th_Tipologia input\').val()!= \'Vettore\'){$(\'#th_Tipologia input\').val( \'Vettore\' ).trigger( \'keyup\' );} else reset(\'Tipologia\');' WHERE `zz_widget_modules`.`name` = 'Numero di vettori';
UPDATE `zz_widget_modules` SET `more_link` = 'reset(\'Tipologia\');' WHERE `zz_widget_modules`.`name` = 'Tutte le anagrafiche';

-- Aggiunta di campi per le sessioni avanzate e il timeout relativo in editor.php
-- INSERT INTO `zz_impostazioni` (`nome`, `valore`, `tipo`, `editable`, `sezione`) VALUES ('Attiva sessioni avanzate', '0', 'boolean', 1, 'Generali');
-- INSERT INTO `zz_impostazioni` (`nome`, `valore`, `tipo`, `editable`, `sezione`) VALUES ('Timeout sessioni attive', '15', 'int', 1, 'Generali');

-- Aggiunta tabella per le sessioni avanazate
CREATE TABLE `zz_sessioni_attive` (
  `id_utente` int(11) NOT NULL,
  `data` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `posizione` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Aggiornamento zz_modules
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `level`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Strumenti', '', '', '', '', 'fa fa-cog', '2.2', '2.2', '1', '0', '', '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');

UPDATE `zz_modules` `t1` INNER JOIN (SELECT MAX(`order`) AS `order` FROM `zz_modules`) `t2` ON (`t1`.`name`='Strumenti') SET `t1`.`order` = `t2`.`order`+1;

ALTER TABLE `zz_modules` DROP `level`;

UPDATE `zz_modules` SET `options`='menu' WHERE `options`='';

INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Viste', '', 'viste', 'SELECT |fields| FROM `zz_modules` HAVING 1=1 ORDER BY `name`, `name2` ASC', '', 'fa fa-eye', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');

INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Utenti e permessi', '', 'utenti', 'SELECT |fields| FROM `zz_gruppi` HAVING 1=1 ORDER BY `id`, `nome` ASC', '', 'fa fa-lock', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');

INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Opzioni generali', '', 'opzioni', 'SELECT |fields| FROM `zz_impostazioni` WHERE `editable`=1 GROUP BY `sezione` HAVING 1=1 ORDER BY `sezione`', '', 'fa fa-th-list', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');

UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Viste' AND `t2`.`name`='Strumenti') SET `t1`.`parent` = `t2`.`id`;
UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Utenti e permessi' AND `t2`.`name`='Strumenti') SET `t1`.`parent` = `t2`.`id`;
UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Opzioni generali' AND `t2`.`name`='Strumenti') SET `t1`.`parent` = `t2`.`id`;
UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Aggiornamenti' AND `t2`.`name`='Strumenti') SET `t1`.`parent` = `t2`.`id`;
UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Backup' AND `t2`.`name`='Strumenti') SET `t1`.`parent` = `t2`.`id`;

UPDATE `zz_impostazioni` SET `tipo` = 'query=SELECT `an_anagrafiche`.`idanagrafica` AS \'id\', `ragione_sociale` AS \'descrizione\' FROM `an_anagrafiche` INNER JOIN `an_tipianagrafiche_anagrafiche` ON `an_anagrafiche`.`idanagrafica`=`an_tipianagrafiche_anagrafiche`.`idanagrafica` WHERE `idtipoanagrafica`=(SELECT `idtipoanagrafica` FROM `an_tipianagrafiche` WHERE `descrizione`=\'Azienda\') AND deleted=0' WHERE `zz_impostazioni`.`nome` = 'Azienda predefinita';

INSERT INTO `zz_viste` (`id`, `id_module`, `name`, `query`, `order`, `search`, `slow`, `enabled`, `default`) VALUES
(152, (SELECT `id` FROM `zz_modules` WHERE `name`='Opzioni generali'), 'Nome', 'sezione', 2, 1, 0, 1, 1),
(151, (SELECT `id` FROM `zz_modules` WHERE `name`='Opzioni generali'), 'id', 'idimpostazione', 1, 1, 0, 0, 1),
(150, (SELECT `id` FROM `zz_modules` WHERE `name`='Utenti e permessi'), 'id', 'id', 2, 1, 0, 0, 1),
(149, (SELECT `id` FROM `zz_modules` WHERE `name`='Utenti e permessi'), 'Gruppo', 'nome', 1, 1, 0, 1, 1),
(148, (SELECT `id` FROM `zz_modules` WHERE `name`='Viste'), 'ID', 'id', 1, 1, 0, 1, 1),
(147, (SELECT `id` FROM `zz_modules` WHERE `name`='Viste'), 'Icona', 'icon', 4, 1, 0, 1, 1),
(146, (SELECT `id` FROM `zz_modules` WHERE `name`='Viste'), 'Nome', 'IF(name2 = "", name, name2)', 3, 1, 0, 1, 1),
(145, (SELECT `id` FROM `zz_modules` WHERE `name`='Viste'), 'id', 'id', 2, 1, 0, 0, 1);

INSERT INTO `zz_gruppi_viste` (`id_gruppo`, `id_vista`) VALUES
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 145),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 146),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 147),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 148),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 149),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 150),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 151),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 152);

-- Eliminazione impostazioni inutilizzata
DELETE FROM `zz_impostazioni` WHERE `zz_impostazioni`.`nome` = 'Usa tabelle avanzate';
DELETE FROM `zz_impostazioni` WHERE `zz_impostazioni`.`nome` = 'Righe per pagina';

-- Aggiunta tabelle per la gestione dei campi "minori""
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Tabelle', '', '', '', '', 'fa fa-table', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'IVA', '', 'iva', 'SELECT |fields| FROM `co_iva` HAVING 1=1', '', 'fa fa-percent', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Causali', '', 'causali', 'SELECT |fields| FROM `dt_causalet` HAVING 1=1', '', 'fa fa-commenting-o', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Aspetto beni', '', 'beni', 'SELECT |fields| FROM `dt_aspettobeni` HAVING 1=1', '', 'fa fa-external-link', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Unità di misura', '', 'misure', 'SELECT |fields| FROM `mg_unitamisura` HAVING 1=1', '', 'fa fa-external-link', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Porto', '', 'porti', 'SELECT |fields| FROM `dt_porto` HAVING 1=1', '', 'fa fa-external-link', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Pagamenti', '', 'pagamenti', 'SELECT |fields| FROM `co_pagamenti` GROUP BY `descrizione` HAVING 1=1', '', 'fa fa-usd', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');

UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Tabelle' AND `t2`.`name`='Strumenti') SET `t1`.`parent` = `t2`.`id`;
UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='IVA' AND `t2`.`name`='Tabelle') SET `t1`.`parent` = `t2`.`id`;
UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Causali' AND `t2`.`name`='Tabelle') SET `t1`.`parent` = `t2`.`id`;
UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Aspetto beni' AND `t2`.`name`='Tabelle') SET `t1`.`parent` = `t2`.`id`;
UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Unità di misura' AND `t2`.`name`='Tabelle') SET `t1`.`parent` = `t2`.`id`;
UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Porto' AND `t2`.`name`='Tabelle') SET `t1`.`parent` = `t2`.`id`;
UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Pagamenti' AND `t2`.`name`='Tabelle') SET `t1`.`parent` = `t2`.`id`;

INSERT INTO `zz_viste` (`id`, `id_module`, `name`, `query`, `order`, `search`, `slow`, `enabled`, `default`) VALUES
(167, (SELECT `id` FROM `zz_modules` WHERE `name`='Pagamenti'), 'id', 'id', 3, 1, 0, 0, 0),
(166, (SELECT `id` FROM `zz_modules` WHERE `name`='Pagamenti'), 'Rate', 'COUNT(descrizione)', 2, 1, 0, 1, 0),
(165, (SELECT `id` FROM `zz_modules` WHERE `name`='Pagamenti'), 'Descrizione', 'descrizione', 1, 1, 0, 1, 0),
(164, (SELECT `id` FROM `zz_modules` WHERE `name`='Porto'), 'Descrizione', 'descrizione', 2, 1, 0, 1, 1),
(163, (SELECT `id` FROM `zz_modules` WHERE `name`='Porto'), 'id', 'id', 1, 1, 0, 1, 1),
(162, (SELECT `id` FROM `zz_modules` WHERE `name`='Unità di misura'), 'Valore', 'valore', 2, 1, 0, 1, 1),
(161, (SELECT `id` FROM `zz_modules` WHERE `name`='Unità di misura'), 'id', 'id', 1, 1, 0, 0, 1),
(160, (SELECT `id` FROM `zz_modules` WHERE `name`='Aspetto beni'), 'Descrizione', 'descrizione', 2, 1, 0, 1, 1),
(159, (SELECT `id` FROM `zz_modules` WHERE `name`='Aspetto beni'), 'id', 'id', 1, 1, 0, 0, 1),
(158, (SELECT `id` FROM `zz_modules` WHERE `name`='Causali'), 'Descrizione', 'descrizione', 2, 1, 0, 1, 1),
(157, (SELECT `id` FROM `zz_modules` WHERE `name`='Causali'), 'id', 'id', 1, 1, 0, 0, 0),
(156, (SELECT `id` FROM `zz_modules` WHERE `name`='IVA'), 'Indetraibile', 'indetraibile', 4, 1, 0, 1, 0),
(155, (SELECT `id` FROM `zz_modules` WHERE `name`='IVA'), 'Percentuale', 'percentuale', 3, 1, 0, 1, 0),
(154, (SELECT `id` FROM `zz_modules` WHERE `name`='IVA'), 'Descrizione', 'descrizione', 2, 1, 0, 1, 0),
(153, (SELECT `id` FROM `zz_modules` WHERE `name`='IVA'), 'id', 'id', 1, 1, 0, 0, 0);

INSERT INTO `zz_gruppi_viste` (`id_gruppo`, `id_vista`) VALUES
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 167),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 167),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 167),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 167),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 166),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 166),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 166),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 166),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 165),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 165),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 165),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 165),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 164),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 164),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 164),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 164),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 163),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 163),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 163),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 163),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 162),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 162),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 162),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 162),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 161),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 161),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 161),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 161),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 160),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 160),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 160),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 160),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 159),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 159),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 159),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 159),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 158),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 158),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 158),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 158),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 157),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 157),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 157),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 157),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 156),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 156),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 156),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 156),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 155),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 155),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 155),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 155),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 154),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 154),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 154),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 154),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 153),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 153),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 153),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 153);

-- Modifica di an_anagrafiche per sostituire le nazioni con i corrispettivi nella tabella apposita
ALTER TABLE `an_anagrafiche` ADD `id_nazione` INT NOT NULL;
ALTER TABLE `an_anagrafiche` CHANGE COLUMN `id_nazione` `id_nazione` INT NOT NULL  AFTER `nazione`;
UPDATE `an_anagrafiche` SET `id_nazione`=(SELECT `id` FROM `an_nazioni` WHERE `nome`=`nazione`);
ALTER TABLE `an_anagrafiche` DROP COLUMN `nazione`;

-- Aggiunta della colonna id negli impianti, e relative modifiche alle altre tabelle
ALTER TABLE `my_impianti` DROP PRIMARY KEY;
ALTER TABLE `my_impianti` ADD `id` INT NOT NULL AUTO_INCREMENT FIRST, ADD PRIMARY KEY (`id`);

ALTER TABLE `co_ordiniservizio` ADD `idimpianto` INT NOT NULL;
UPDATE `co_ordiniservizio` SET `idimpianto`=(SELECT `id` FROM `my_impianti` WHERE `my_impianti`.`matricola`=`co_ordiniservizio`.`matricola`);
ALTER TABLE `co_ordiniservizio` DROP COLUMN `matricola`;

ALTER TABLE `mg_articoli_interventi` ADD `idimpianto` INT NOT NULL;
UPDATE `mg_articoli_interventi` SET `idimpianto`=(SELECT `id` FROM `my_impianti` WHERE `my_impianti`.`matricola`=`mg_articoli_interventi`.`matricola`);
ALTER TABLE `mg_articoli_interventi` DROP COLUMN `matricola`;

ALTER TABLE `my_impianto_componenti` ADD `idimpianto` INT NOT NULL;
UPDATE `my_impianto_componenti` SET `idimpianto`=(SELECT `id` FROM `my_impianti` WHERE `my_impianti`.`matricola`=`my_impianto_componenti`.`matricola`);
ALTER TABLE `my_impianto_componenti` DROP COLUMN `matricola`;

ALTER TABLE `my_impianti_interventi` DROP PRIMARY KEY;
ALTER TABLE `my_impianti_interventi` ADD `idimpianto` INT NOT NULL;
UPDATE `my_impianti_interventi` SET `idimpianto`=(SELECT `id` FROM `my_impianti` WHERE `my_impianti`.`matricola`=`my_impianti_interventi`.`matricola`);
ALTER TABLE `my_impianti_interventi` DROP COLUMN `matricola`;

ALTER TABLE `my_impianti_contratti` ADD `idimpianto` INT NOT NULL;
UPDATE `my_impianti_contratti` SET `idimpianto`=(SELECT `id` FROM `my_impianti` WHERE `my_impianti`.`matricola`=`my_impianti_contratti`.`matricola`);
ALTER TABLE `my_impianti_contratti` DROP COLUMN `matricola`;

-- Adattamento di co_pagamenti e co_movimenti
ALTER TABLE `co_pagamenti` CHANGE `num_giorni` `num_giorni` INT NOT NULL;
ALTER TABLE `co_movimenti` CHANGE `iddocumento` `iddocumento` INT NOT NULL;

-- Aggiornamento plugins di anagrafiche
UPDATE `zz_modules_plugins` SET `script` = 'referenti.php' WHERE `zz_modules_plugins`.`name` = 'Referenti';
UPDATE `zz_modules_plugins` SET `script` = 'sedi.php' WHERE `zz_modules_plugins`.`name` = 'Sedi';

-- Aggiornamento dei vari campi per le Viste
UPDATE `zz_viste` SET `order_by` = 'data' WHERE `zz_viste`.`id` = 125;
UPDATE `zz_viste` SET `order_by` = 'data' WHERE `zz_viste`.`id` = 113;
UPDATE `zz_viste` SET `order_by` = 'data' WHERE `zz_viste`.`id` = 103;
UPDATE `zz_viste` SET `order_by` = 'data' WHERE `zz_viste`.`id` = 96;
UPDATE `zz_viste` SET `order_by` = 'scadenza' WHERE `zz_viste`.`id` = 65;
UPDATE `zz_viste` SET `order_by` = 'data' WHERE `zz_viste`.`id` = 55;
UPDATE `zz_viste` SET `order_by` = 'data' WHERE `zz_viste`.`id` = 48;
UPDATE `zz_viste` SET `order_by` = 'data' WHERE `zz_viste`.`id` = 40;
UPDATE `zz_viste` SET `order_by` = 'orario_fine' WHERE `zz_viste`.`id` = 12;
UPDATE `zz_viste` SET `order_by` = 'orario_inizio' WHERE `zz_viste`.`id` = 11;
UPDATE `zz_viste` SET `search` = '0' WHERE `zz_viste`.`id` = 16;
UPDATE `zz_viste` SET `search_inside` = 'color_title_Rel.' WHERE `zz_viste`.`id` = 6;
UPDATE `zz_viste` SET `order_by` = 'data_emissione' WHERE `zz_viste`.`id` = 64;

-- Aggiornamento icona di default per i moduli senza icona specifica
UPDATE zz_modules SET icon='fa fa-angle-right' WHERE icon='fa fa-external-link';

-- Aggiunta di tabella e modulo per categorie
CREATE TABLE IF NOT EXISTS `mg_categorie` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(255) NOT NULL,
  `colore` varchar(255) NOT NULL,
  `nota` varchar(1000) NOT NULL,
  `parent` int(11) NOT NULL,
  `created_at` timestamp DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int NOT NULL,
  `updated_by` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `mg_categorie` (`nome`) SELECT `categoria` FROM `mg_articoli` GROUP BY `categoria`;
INSERT INTO `mg_categorie` (`nome`, `parent`) SELECT `subcategoria`, `mg_categorie`.`id` FROM `mg_articoli` INNER JOIN `mg_categorie` ON `mg_categorie`.`nome`=`mg_articoli`.`categoria` GROUP BY `categoria`,`subcategoria`;
ALTER TABLE `mg_articoli` ADD `id_categoria` INT NOT NULL;
ALTER TABLE `mg_articoli` ADD `id_sottocategoria` INT NOT NULL;
UPDATE `mg_articoli` JOIN `mg_categorie` ON `mg_articoli`.`categoria`=`mg_categorie`.`nome` AND `mg_categorie`.`parent`=0 SET `mg_articoli`.`id_categoria`=`mg_categorie`.`id`;
UPDATE `mg_articoli` JOIN `mg_categorie` ON `mg_articoli`.`subcategoria`=`mg_categorie`.`nome` AND `mg_categorie`.`parent`!=0 SET `mg_articoli`.`id_sottocategoria`=`mg_categorie`.`id`;
ALTER TABLE `mg_articoli` DROP COLUMN `categoria`;
ALTER TABLE `mg_articoli` DROP COLUMN `subcategoria`;

INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Categorie', '', 'categorie', 'SELECT |fields| FROM `mg_categorie` WHERE `parent`=0 HAVING 1=1', '', 'fa fa-briefcase', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');
UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Categorie' AND `t2`.`name`='Tabelle') SET `t1`.`parent` = `t2`.`id`;

INSERT INTO `zz_viste` (`id`, `id_module`, `name`, `query`, `order`, `search`, `slow`, `enabled`, `default`) VALUES
(169, (SELECT `id` FROM `zz_modules` WHERE `name`='Categorie'), 'id', 'id', 3, 1, 0, 0, 0),
(168, (SELECT `id` FROM `zz_modules` WHERE `name`='Categorie'), 'Nome', 'nome', 2, 1, 0, 1, 0);

INSERT INTO `zz_gruppi_viste` (`id_gruppo`, `id_vista`) VALUES
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 169),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 169),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 169),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 169),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 168),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 168),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 168),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 168);

-- Fix della ricerca per tipologia su anagrafiche
UPDATE `zz_viste` SET `search_inside` = 'idanagrafica IN( SELECT idanagrafica FROM an_tipianagrafiche_anagrafiche WHERE idtipoanagrafica IN (SELECT idtipoanagrafica FROM an_tipianagrafiche WHERE descrizione LIKE |search|))' WHERE `zz_viste`.`id` = 3;

-- Aggiunta della descrizione negli Articoli
INSERT INTO `zz_viste` (`id`, `id_module`, `name`, `query`, `order`, `search`, `slow`, `search_inside`, `order_by`, `enabled`, `summable`, `default`, `created_at`, `updated_at`, `created_by`, `updated_by`) VALUES (NULL, (SELECT `id` FROM `zz_modules` WHERE `name`='Articoli'), 'Descrizione', 'descrizione', '1', '1', '0', '', '', '1', '0', '1', '0000-00-00 00:00:00.000000', CURRENT_TIMESTAMP, '', '');

INSERT INTO `zz_gruppi_viste` (`id_gruppo`, `id_vista`) VALUES
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), 170),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), 170),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), 170),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), 170);

-- Adattamento in_interventi
ALTER TABLE `in_interventi` ADD UNIQUE(`idintervento`);
ALTER TABLE `in_interventi` DROP PRIMARY KEY;
ALTER TABLE `in_interventi` ADD `id` INT NOT NULL AUTO_INCREMENT FIRST, ADD PRIMARY KEY (`id`);

-- Aggiunta di tabelle per gestione delle eliminazioni per l'API
CREATE TABLE IF NOT EXISTS `zz_tables` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `created_at` timestamp DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int NOT NULL,
  `updated_by` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `zz_deleted` (
  `id` int(11) NOT NULL,
  `id_table` int(11) NOT NULL,
  `created_at` timestamp DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_by` int NOT NULL,
  `updated_by` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `zz_tables` (`name`) VALUES
('an_anagrafiche'),
('an_anagrafiche_agenti'),
('an_nazioni'),
('an_referenti'),
('an_relazioni'),
('an_sedi'),
('an_tipianagrafiche'),
('an_tipianagrafiche_anagrafiche'),
('an_zone'),
('co_contratti'),
('co_contratti_interventi'),
('co_documenti'),
('co_iva'),
('co_movimenti'),
('co_ordiniservizio'),
('co_ordiniservizio_pianificazionefatture'),
('co_ordiniservizio_vociservizio'),
('co_pagamenti'),
('co_pianodeiconti1'),
('co_pianodeiconti2'),
('co_pianodeiconti3'),
('co_preventivi'),
('co_preventivi_interventi'),
('co_righe2_contratti'),
('co_righe_contratti'),
('co_righe_documenti'),
('co_righe_preventivi'),
('co_ritenutaacconto'),
('co_rivalsainps'),
('co_scadenziario'),
('co_staticontratti'),
('co_statidocumento'),
('co_statipreventivi'),
('co_tipidocumento'),
('dt_aspettobeni'),
('dt_automezzi'),
('dt_automezzi_tagliandi'),
('dt_automezzi_tecnici'),
('dt_causalet'),
('dt_ddt'),
('dt_porto'),
('dt_righe_ddt'),
('dt_spedizione'),
('dt_statiddt'),
('dt_tipiddt'),
('in_interventi'),
('in_interventi_tecnici'),
('in_righe_interventi'),
('in_statiintervento'),
('in_tariffe'),
('in_tipiintervento'),
('in_vociservizio'),
('mg_articoli'),
('mg_articoli_automezzi'),
('mg_articoli_interventi'),
('mg_categorie'),
('mg_listini'),
('mg_movimenti'),
('mg_prodotti'),
('mg_unitamisura'),
('mk_allegati'),
('mk_attivita'),
('mk_email'),
('mk_statoattivita'),
('mk_tipoattivita'),
('my_componenti_interventi'),
('my_impianti'),
('my_impianti_contratti'),
('my_impianti_interventi'),
('my_impianto_componenti'),
('or_ordini'),
('or_righe_ordini'),
('or_statiordine'),
('or_tipiordine'),
('zz_files'),
('zz_gruppi'),
('zz_gruppi_modules'),
('zz_gruppi_viste'),
('zz_impostazioni'),
('zz_log'),
('zz_modules'),
('zz_modules_plugins'),
('zz_viste'),
('zz_widget_modules');


UPDATE `co_statidocumento` SET `icona` = 'fa fa-check-circle text-success' WHERE `descrizione` = 'Pagato';
UPDATE `co_statidocumento` SET `icona` = 'fa fa-file-text-o text-muted' WHERE `descrizione` = 'Bozza';
UPDATE `co_statidocumento` SET `icona` = 'fa fa-clock-o text-info' WHERE `descrizione` = 'Emessa';
UPDATE `co_statidocumento` SET `icona` = 'fa fa-times text-danger' WHERE `descrizione` = 'Annullata';
UPDATE `co_statidocumento` SET `icona` = 'fa fa-dot-circle-o text-warning' WHERE `descrizione` = 'Parzialmente pagato';

UPDATE `or_statiordine` SET `icona` = 'fa fa-file-text-o text-muted' WHERE `descrizione` = 'Non evaso';
UPDATE `or_statiordine` SET `icona` = 'fa fa-check-circle text-success' WHERE `descrizione` = 'Evaso';
UPDATE `or_statiordine` SET `icona` = 'fa fa-gear text-warning' WHERE `descrizione` = 'Parzialmente evaso';

UPDATE `dt_statiddt` SET `icona` = 'fa fa-file-text-o text-muted' WHERE `descrizione` = 'Bozza';
UPDATE `dt_statiddt` SET `icona` = 'fa fa-clock-o text-info' WHERE `descrizione` = 'Evaso';
UPDATE `dt_statiddt` SET `icona` = 'fa fa-check-circle text-success' WHERE `descrizione` = 'Pagato';

UPDATE `co_staticontratti` SET `icona` = 'fa fa-file-text-o text-muted' WHERE `descrizione` = 'Bozza';
UPDATE `co_staticontratti` SET `icona` = 'fa fa-clock-o text-warning' WHERE `descrizione` = 'In attesa di conferma';
UPDATE `co_staticontratti` SET `icona` = 'fa fa-thumbs-up text-success' WHERE `descrizione` = 'Accettato';
UPDATE `co_staticontratti` SET `icona` = 'fa fa-thumbs-down text-danger' WHERE `descrizione` = 'Rifiutato';
UPDATE `co_staticontratti` SET `icona` = 'fa fa-gear text-warning' WHERE `descrizione` = 'In lavorazione';
UPDATE `co_staticontratti` SET `icona` = 'fa fa-money text-primary' WHERE `descrizione` = 'In attesa di pagamento';
UPDATE `co_staticontratti` SET `icona` = 'fa fa-check-circle text-success' WHERE `descrizione` = 'Pagato';
UPDATE `co_staticontratti` SET `icona` = 'fa fa-check text-success' WHERE `descrizione` = 'Concluso';

UPDATE `co_statipreventivi` SET `icona` = 'fa fa-file-text-o text-muted' WHERE `descrizione` = 'Bozza';
UPDATE `co_statipreventivi` SET `icona` = 'fa fa-clock-o text-warning' WHERE `descrizione` = 'In attesa di conferma';
UPDATE `co_statipreventivi` SET `icona` = 'fa fa-thumbs-up text-success' WHERE `descrizione` = 'Accettato';
UPDATE `co_statipreventivi` SET `icona` = 'fa fa-thumbs-down text-danger' WHERE `descrizione` = 'Rifiutato';
UPDATE `co_statipreventivi` SET `icona` = 'fa fa-gear text-warning' WHERE `descrizione` = 'In lavorazione';
UPDATE `co_statipreventivi` SET `icona` = 'fa fa-check text-success' WHERE `descrizione` = 'Concluso';
UPDATE `co_statipreventivi` SET `icona` = 'fa fa-check-circle text-success' WHERE `descrizione` = 'Pagato';
UPDATE `co_statipreventivi` SET `icona` = 'fa fa-money text-primary' WHERE `descrizione` = 'In attesa di pagamento';

-- Aggiunta sconto incondizionato sull'attività
ALTER TABLE `in_interventi` ADD `sconto_incondizionato` DECIMAL( 12, 4 ) NOT NULL AFTER `ora_sla`;

-- Aggiunta sconto in euro e percentuale su ore e km, e quantità ore nella riga tecnico-intervento
ALTER TABLE `in_interventi_tecnici`  ADD `sconto` DECIMAL(12,4) NOT NULL AFTER `prezzo_dirittochiamata_tecnico`,  ADD `sconto_prc` DECIMAL(5,2) NOT NULL AFTER `sconto`,  ADD `scontokm` DECIMAL(12,4) NOT NULL AFTER `sconto_prc`,  ADD `scontokm_prc` DECIMAL(5,2) NOT NULL AFTER `scontokm`, ADD `ore` DECIMAL( 12, 4 ) NOT NULL AFTER `orario_fine`;

-- Calcolo il campo ore degli interventi già inseriti
UPDATE `in_interventi_tecnici` SET `ore`=( TIMESTAMPDIFF( MINUTE, `orario_inizio`, `orario_fine` ) / 60 );

-- Aggiunta sconti e prezzo di acquisto su righe generiche attività
ALTER TABLE `in_righe_interventi`  ADD `prezzo_acquisto` DECIMAL(12,4) NOT NULL AFTER `prezzo`,  ADD `sconto` DECIMAL(12,4) NOT NULL AFTER `prezzo_acquisto`,  ADD `sconto_prc` DECIMAL(5,2) NOT NULL AFTER `sconto`, ADD `prezzo_acquisto` DECIMAL( 12, 4 ) NOT NULL AFTER `altro`;

-- Aggiunta sconto in percentuale
ALTER TABLE `mg_articoli_interventi` ADD `sconto_prc` DECIMAL( 5, 2 ) NOT NULL AFTER `sconto`;

-- Rinomino il prezzo finale delle righe generiche in prezzo_vendita per uniformare i campi
ALTER TABLE `in_righe_interventi` CHANGE `prezzo` `prezzo_vendita` FLOAT( 12, 4 ) NOT NULL;

-- Aggiunta unità di misura in copia negli articoli aggiunti negli interventi
ALTER TABLE `mg_articoli_interventi` ADD `um` VARCHAR( 20 ) NOT NULL AFTER `qta`;

-- Aggiungo la tipologia di intervento alla riga del tecnico e copio le tipologie già inserite nel nuovo campo
ALTER TABLE `in_interventi_tecnici` ADD `idtipointervento` VARCHAR( 25 ) NOT NULL AFTER `idintervento`;
UPDATE `in_interventi_tecnici` SET `idtipointervento`=(SELECT `idtipointervento` FROM `in_interventi` WHERE `in_interventi`.`idintervento`=`in_interventi_tecnici`.`idintervento`);

-- Aggiunta prezzo di acquisto sugli articoli e sulle spese aggiuntive
ALTER TABLE `mg_articoli_interventi` ADD `prezzo_acquisto` DECIMAL( 12, 4 ) NOT NULL AFTER `altro`;
ALTER TABLE `in_righe_interventi` ADD `prezzo_acquisto` DECIMAL( 12, 4 ) NOT NULL AFTER `um`;

-- Aggiunta sconto nelle spese aggiuntive
ALTER TABLE `in_righe_interventi` ADD `sconto` DECIMAL( 12, 4 ) NOT NULL AFTER `prezzo_vendita`, ADD `sconto_prc` DECIMAL( 5, 2 ) NOT NULL AFTER `sconto`;

-- Cambiato il campo dell'unità di misura in valore effettivo, togliendo il riferimento all'id. Conversione dei precedenti id in valori
ALTER TABLE `mg_articoli` ADD `um` VARCHAR( 20 ) NOT NULL AFTER `idum`;
UPDATE `mg_articoli` SET `um`=(SELECT `valore` FROM `mg_unitamisura` WHERE `id`=`mg_articoli`.`idum`);
ALTER TABLE `mg_articoli` DROP `idum`;

-- Aggiunte altre possibili ritenute d'acconto e iva
INSERT INTO `co_ritenutaacconto` (`id`, `descrizione`, `percentuale`, `indetraibile`, `esente`) VALUES (NULL, 'Ritenuta d''acconto 10%', '10', '0.00', '0');
INSERT INTO `co_ritenutaacconto` (`id`, `descrizione`, `percentuale`, `indetraibile`, `esente`) VALUES (NULL, 'Ritenuta d''acconto 4%', '4', '0.00', '0');
INSERT INTO `co_iva` (`id`, `descrizione`, `percentuale`, `descrizione2`, `indetraibile`, `esente`) VALUES (NULL, 'Art. 17 comma 6 DPR 633/72 22%', '22', '', '0.00', '0');


-- Aggiunto modulo per gestire le ritenute d'acconto
INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES (NULL, 'Ritenute acconto', '', 'ritenute', 'SELECT |fields| FROM `co_ritenutaacconto` HAVING 1=1', '', 'fa fa-percent', '2.2', '2.2', '1', 1, '', '1', 'menu', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, '', '');

UPDATE `zz_modules` `t1` INNER JOIN `zz_modules` `t2` ON (`t1`.`name`='Ritenute acconto' AND `t2`.`name`='Tabelle') SET `t1`.`parent` = `t2`.`id`;

INSERT INTO `zz_viste` (`id_module`, `name`, `query`, `order`, `search`, `slow`, `enabled`, `default`) VALUES
((SELECT `id` FROM `zz_modules` WHERE `name`='Ritenute acconto'), 'Indetraibile', 'indetraibile', 4, 1, 0, 1, 0),
((SELECT `id` FROM `zz_modules` WHERE `name`='Ritenute acconto'), 'Percentuale', 'percentuale', 3, 1, 0, 1, 0),
((SELECT `id` FROM `zz_modules` WHERE `name`='Ritenute acconto'), 'Descrizione', 'descrizione', 2, 1, 0, 1, 0),
((SELECT `id` FROM `zz_modules` WHERE `name`='Ritenute acconto'), 'id', 'id', 1, 1, 0, 0, 0);

INSERT INTO `zz_tables` (`name`) VALUES
('co_ritenutaacconto');


INSERT INTO `zz_gruppi_viste` (`id_gruppo`, `id_vista`) VALUES
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Indetraibile')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Indetraibile')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Indetraibile')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Indetraibile')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Percentuale')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Percentuale')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Percentuale')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Percentuale')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Descrizione')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Descrizione')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Descrizione')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='Descrizione')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Amministratori'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='id')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Tecnici'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='id')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Agenti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='id')),
((SELECT `id` FROM `zz_gruppi` WHERE `nome`='Clienti'), (SELECT `id` FROM `zz_viste` WHERE id_module =  (SELECT zz_modules.id FROM zz_modules WHERE zz_modules.name = 'Ritenute acconto') AND `name`='id'));
