--
-- Struttura della tabella `co_tipidocumento_gruppo`
--

CREATE TABLE `co_tipidocumento_gruppo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `codice` varchar(100) NOT NULL,
  `descrizione` varchar(100) NOT NULL,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



drop table co_tipidocumento ;
--
-- Struttura della tabella `co_tipidocumento`
--

CREATE TABLE `co_tipidocumento` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` varchar(100) NOT NULL,
  `dir` enum('entrata','uscita') NOT NULL,
  `mod_num` tinyint(1) NOT NULL DEFAULT '0',
  `mod_mag` tinyint(1) NOT NULL DEFAULT '1',
  `mod_sta` tinyint(1) NOT NULL DEFAULT '1',
  `mod_mov` tinyint(1) NOT NULL DEFAULT '1',
  `num_mag` int(11) NOT NULL DEFAULT '0',
  `txt_suffisso` varchar(10) NOT NULL DEFAULT '',
  `dir_pdf` varchar(255) DEFAULT 'fatture',
  `doc_sucessivo` tinyint(11) NOT NULL DEFAULT '0',
  `sta_cambio` tinyint(11) NOT NULL DEFAULT '0',
  `sta_sucessivo` tinyint(11) NOT NULL DEFAULT '0',
  `idconto` tinyint(11) NOT NULL DEFAULT '0',
  `idpagamento` tinyint(11) NOT NULL DEFAULT '0',
  `sta_apertura` tinyint(11) NOT NULL DEFAULT '2',
  `sta_scadenziario` tinyint(11) NOT NULL DEFAULT '0',
  `sta_concluso` tinyint(11) NOT NULL DEFAULT '0',
  `ges_primanota` tinyint(1) NOT NULL DEFAULT '0',
  `var_formato_num` varchar(25) NOT NULL DEFAULT '##',
  `stampa_prezzi` tinyint(1) NOT NULL DEFAULT '0',
  `ges_ritenuta` tinyint(1) NOT NULL DEFAULT '0',
  `ges_rivalsa` tinyint(1) NOT NULL DEFAULT '0',
  `ges_marca` float(12,4) NOT NULL,
  `dicitura_fissa` text,
  `add_scadenza` tinyint(1) NOT NULL DEFAULT '0',
  `sta_conto` tinyint(11) NOT NULL DEFAULT '0',
  `sta_stampa` tinyint(11) NOT NULL DEFAULT '0',
  `var_creaordine` tinyint(11) NOT NULL DEFAULT '0',
  `id_gruppo_tipologia` int(11) NOT NULL DEFAULT '0',
  `path_archivio` varchar(255) DEFAULT 'documenti',
  `mail_from` varchar(255) DEFAULT 'GEST366',
  `mail_oggetto` varchar(255) DEFAULT 'GEST366 : Invio documento Numero %NUM  %NUMS%SUFFISSO del %DATA',
  `mail_testo` varchar(255) DEFAULT 'Gentilissimo %RAGIONESOCIALE \n	in allegato le inviamo copia documento Numero %NUM %NUMS%SUFFISSO del %DATA	Restiamo a sua disposizione\n	Distinti Saluti\n	www.gest366.it',
  `marca_bollo` decimal(12,4) NOT NULL DEFAULT '0.0000',
  `logo` varchar(255) NOT NULL DEFAULT '',
  `differito_doc` tinyint(1) NOT NULL DEFAULT '0',
  `differito_suc` tinyint(11) NOT NULL DEFAULT '0',
  `differito_sta` tinyint(11) NOT NULL DEFAULT '0',
  `mod_commessa` tinyint(1) NOT NULL DEFAULT '0',
  `idmenu` int(11) NOT NULL,
  `mod_wizard` tinyint(1) NOT NULL DEFAULT '0',
  `mod_preventivo` tinyint(1) NOT NULL DEFAULT '0',
  `pan_spedizioni` tinyint(1) NOT NULL DEFAULT '0',
  `mod_conti` tinyint(1) NOT NULL DEFAULT '0',
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



alter Table co_tipidocumento add suffisso_anno tinyint(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add matricola_obb tinyint(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add evasione_parziale tinyint(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add mod_transazioni tinyint(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add mod_scorte tinyint(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add vedi_transazione tinyint(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add vedi_transazionepdf tinyint(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add mod_transazione tinyint(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add stato_transazione_concluso int(11) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add pan_aggiuntive int(11) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add pan_scadenze int(11) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add mod_impegnato int(11) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add mod_ord_for int(11) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add mod_default int(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add mod_riepilogo_iva int(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add mod_ordineservizio int(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add differito_sta_suc int(11) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add doc_sucessivo_stato_padre int(11) NOT NULL DEFAULT '0';



CREATE TABLE `co_documenti_transazioni` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idpadre` int(11) NOT NULL,
  `idfiglio` int(11) NOT NULL,  
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

alter table co_documenti_transazioni add data_transazione datetime  NOT NULL;
alter table co_documenti_transazioni add idutente int(11) NOT NULL;
alter table co_documenti_transazioni add tabella varchar(50) NOT NULL;

CREATE TABLE `or_ordini_transazioni` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idpadre` int(11) NOT NULL,
  `idfiglio` int(11) NOT NULL,  
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

alter table or_ordini_transazioni add data_transazione datetime  NOT NULL;
alter table or_ordini_transazioni add idutente int(11) NOT NULL;




CREATE TABLE `co_sino` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` varchar(100) NOT NULL,
  `icona` varchar(100) NOT NULL,
  `colore` varchar(7) DEFAULT NULL,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `co_sino` (`id`, `descrizione`, `icona`, `colore`) VALUES
(1, 'SI', 'fa fa-check', NULL),
(2, 'NO', 'fa fa-close', NULL);

CREATE TABLE `ms_tipodocumentoeu` (
  	`id` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` varchar(255) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


INSERT INTO `ms_tipodocumentoeu` (`id`, `descrizione`) VALUES
(1, 'entrata'),
(2, 'uscita');

alter table co_documenti add data_bozza datetime NOT NULL;
alter table co_documenti add data_accettazione datetime NOT NULL;
alter table co_documenti add data_rifiuto datetime NOT NULL;
alter table co_documenti add data_conclusione datetime NOT NULL;
alter table co_documenti add data_pagamento datetime NOT NULL;
alter table co_documenti add budget decimal(12,4) NOT NULL;
alter table co_documenti add descrizione_prev text NOT NULL;
alter table co_documenti add validita int(11) NOT NULL;
alter table co_documenti add tempi_consegna varchar(255) NOT NULL;
alter table co_documenti add idreferente int(11) NOT NULL;
alter Table co_documenti add id_gruppo_tipologia int(11) NOT NULL DEFAULT '0';
alter Table co_documenti add id_ordine int(11) NOT NULL DEFAULT '0';
alter Table co_documenti add id_ordine_padre int(11) NOT NULL DEFAULT '0';
alter Table co_documenti add id_doc_figlio int(11) NOT NULL DEFAULT '0';
alter Table co_documenti add id_doc_padre int(11) NOT NULL DEFAULT '0';
alter Table co_documenti add id_statoprecedente int(11) NOT NULL DEFAULT '0';
alter table co_documenti add numero_documento varchar(255) NOT NULL AFTER `numero_esterno`;
alter table co_documenti add idstatodocumento_prec int(1) NOT NULL DEFAULT '0' AFTER `idstatodocumento`;
alter Table co_documenti add id_differito int(11) NOT NULL DEFAULT '0';

ALTER TABLE `co_righe_documenti` ADD `idgruppo` INT(11) NOT NULL AFTER `altro`;
ALTER TABLE `co_righe_documenti` ADD `idconto` INT(11) NOT NULL AFTER `idautomezzo`;
ALTER TABLE `co_righe_documenti` ADD `sconto_primo` decimal(12,4) NOT NULL AFTER `sconto` ;
ALTER TABLE `co_righe_documenti` ADD `tipo_sconto` VARCHAR( 25 ) NOT NULL AFTER `subtotale` ;
ALTER TABLE co_righe_documenti add id_riferimento int(11) NOT NULL DEFAULT '0';
ALTER TABLE co_righe_documenti add id_riferimento_riga_ordine int(11) NOT NULL DEFAULT '0';
ALTER TABLE co_righe_documenti add qta_evasa decimal(12,4) NOT NULL AFTER `qta` ;
ALTER TABLE co_righe_documenti add qta_da_transazione decimal(12,4) NOT NULL AFTER `qta` ;
ALTER TABLE co_righe_documenti ADD sconto_extra decimal(12,4) NOT NULL DEFAULT '0';
ALTER TABLE co_righe_documenti ADD sconto_extra1 decimal(12,4) NOT NULL DEFAULT '0';

alter Table mg_articoli add abilita_serial tinyint(1) NOT NULL DEFAULT '0';
alter Table mg_prodotti add id_riga_documento int(11) NOT NULL DEFAULT '0';
alter Table mg_prodotti add id_riga_ordine int(11) NOT NULL DEFAULT '0';
alter Table mg_prodotti add dir enum('entrata','uscita') DEFAULT 'uscita' ;
alter Table mg_articoli add servizio tinyint(1) NOT NULL DEFAULT '0';
alter Table mg_articoli add idum int(11) NOT NULL DEFAULT '0';

ALTER TABLE `mg_articoli` ADD `peso_lordo` DECIMAL(12,4) NOT NULL AFTER `gg_garanzia`, ADD `volume` DECIMAL(12,4) NOT NULL AFTER `peso_lordo`;

alter Table mg_articoli add idfornitore int(11);
alter Table mg_articoli add id_ubicazione int(11) NOT NULL DEFAULT '0';
alter Table mg_articoli add id_reparto int(11) NOT NULL DEFAULT '0';
alter Table mg_articoli add id_scansia int(11) NOT NULL DEFAULT '0';
alter Table mg_articoli add pro_barcode varchar(255) NOT NULL;
alter Table mg_articoli add pro_smax decimal(12,4)  NOT NULL;
alter Table mg_articoli add pro_lotto decimal(12,4)  NOT NULL;
alter Table mg_articoli add cod_fornitore varchar(255) NOT NULL;
alter Table mg_articoli add id_conto int(11) NOT NULL DEFAULT '0';
alter Table mg_articoli add id_conto_u int(11) NOT NULL DEFAULT '0';

alter Table mg_categorie add id_conto_e int(11) NOT NULL DEFAULT '0';
alter Table mg_categorie add id_conto_u int(11) NOT NULL DEFAULT '0';


alter Table mg_movimenti add idmagazzino int(11) NULL DEFAULT '0';

--
-- Struttura della tabella `reparti
--

CREATE TABLE `mg_reparti` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` varchar(255) NOT NULL,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Struttura della tabella `reparti
--

CREATE TABLE `mg_scansia` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` varchar(255) NOT NULL,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Struttura della tabella `reparti
--

CREATE TABLE `mg_ubicazione` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` varchar(255) NOT NULL,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `mg_magazzini` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(200) NOT NULL,
  `descrizione` varchar(1000) NOT NULL,
  `sigla` varchar(20) NOT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_by` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `mg_articoli_magazzini` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idarticolo` int(11) NOT NULL,
  `idmagazzino` int(11) NOT NULL,
  `qta` decimal(12,4) NOT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_by` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


drop TABLE mg_articoli_automezzi ;
drop TABLE dt_automezzi ;
drop TABLE dt_automezzi_tagliandi ;
drop TABLE dt_automezzi_tecnici ;



CREATE TABLE `zz_modules_documenti` (
 `id` int(11) NOT NULL AUTO_INCREMENT,
  `idmodule` int(11) NOT NULL,
  `cerca` varchar(5000) NOT NULL,
  `sostituisci` varchar(5000) NOT NULL,
  `filtra_cerca` varchar(5000) NOT NULL,
  `filtra_sostituisci` varchar(5000) NOT NULL,
  `filtra_valore` int(11) NOT NULL,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `co_tipisconto` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descrizione` varchar(100) NOT NULL ,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `co_tipisconto` (`id`, `descrizione`) VALUES
(1, 'Fisso'),
(2, 'Percentuale');


CREATE TABLE `mg_listini_art` (
   `id` int(11) NOT NULL AUTO_INCREMENT,
  `idlistino` int(11) NOT NULL,
  `idarticolo` int(11) NOT NULL,
  `prc_guadagno` decimal(5,2) NOT NULL,
  `prezzo` decimal(12,4) NOT NULL ,
   PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



CREATE TABLE `co_filtro` (
   `id` int(11) NOT NULL AUTO_INCREMENT,
  `txtfiltro` varchar(255) NOT NULL,
  `idmodule` int(11) NOT NULL DEFAULT '0',
  `idutente` int(11) NOT NULL DEFAULT '0',
  `idcategoria` tinyint(1) NOT NULL DEFAULT '0',
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



CREATE TABLE `co_filtro_cat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `txtfiltro` varchar(255) NOT NULL,
  `idmodule` int(11) NOT NULL DEFAULT '0',
  `idutente` int(11) NOT NULL DEFAULT '0',
  `idcategoria` tinyint(1) NOT NULL DEFAULT '0',
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


--
-- Impostazioni per fatture elettroniche
--
alter Table an_anagrafiche add cod_sogei varchar(10) NOT NULL;
alter Table an_anagrafiche add cod_sogei_pec varchar(50) NOT NULL;


alter Table co_documenti add el_causale_1 varchar(200) NOT NULL DEFAULT '';
alter Table co_documenti add el_causale_2 varchar(200) NOT NULL DEFAULT '';
alter Table co_documenti add el_idrif varchar(20) NOT NULL DEFAULT '';
alter Table co_documenti add el_rif_data date  NOT NULL;
alter Table co_documenti add el_rif_codicecommessa varchar(100) NOT NULL DEFAULT '';
alter Table co_documenti add el_id_codicecup varchar(20) NOT NULL DEFAULT '';
alter Table co_documenti add el_id_codicecig varchar(20) NOT NULL DEFAULT '';


alter Table co_documenti add el_idrif_ddt1 varchar(20) NOT NULL DEFAULT '';
alter Table co_documenti add el_idrif_ddt1_data date  NOT NULL;
alter Table co_documenti add el_idrif_ddt2 varchar(20) NOT NULL DEFAULT '';
alter Table co_documenti add el_idrif_ddt2_data date  NOT NULL;
alter Table co_documenti add el_modalitapagamento varchar(4) NOT NULL DEFAULT '';

alter Table co_tipidocumento add elettronica tinyint(1) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add el_tipodocumento varchar(4) NOT NULL DEFAULT '0';
alter Table co_tipidocumento add el_divisa varchar(4) NOT NULL DEFAULT 'EUR';



CREATE TABLE `fte_regimefiscale` (
  `codice` varchar(4) NOT NULL,
  `descrizione` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


INSERT INTO `fte_regimefiscale` (`codice`, `descrizione`) VALUES
('RF01','Ordinario'),						
('RF02','Contribuenti minimi (art.1, c.96-117, L. 244/07)'), 									
('RF04','Agricoltura e attività connesse e pesca (artt.34 e 34-bis, DPR 633/72)'), 									
('RF05','Vendita sali e tabacchi (art.74, c.1, DPR. 633/72)'), 									
('RF06','Commercio fiammiferi (art.74, c.1, DPR  633/72)'), 									
('RF07','Editoria (art.74, c.1, DPR  633/72)'),									
('RF08','Gestione servizi telefonia pubblica (art.74, c.1, DPR 633/72)'), 									
('RF09','Rivendita documenti di trasporto pubblico e di sosta (art.74, c.1, DPR  633/72)'), 									
('RF10','Intrattenimenti, giochi e altre attività di cui alla tariffa allegata al DPR 640/72 (art.74, c.6, DPR 633/72)'), 									
('RF11','Agenzie viaggi e turismo (art.74-ter, DPR 633/72)'), 									
('RF12','Agriturismo (art.5, c.2, L. 413/91)'), 									
('RF13','Vendite a domicilio (art.25-bis, c.6, DPR  600/73)'), 									
('RF14','Rivendita beni usati, oggetti d’arte, d’antiquariato o da collezione (art.36, DL 41/95)'), 									
('RF15','Agenzie di vendite all’asta di oggetti d’arte, antiquariato o da collezione (art.40-bis, DL 41/95)'), 									
('RF16','IVA per cassa P.A. (art.6, c.5, DPR 633/72)'), 									
('RF17','IVA per cassa (art. 32-bis, DL 83/2012)'), 									
('RF18','Altro'),									
('RF19','Regime forfettario (art.1, c.54-89, L. 190/2014)');									

CREATE TABLE `fte_tipocassa` (
  `codice` varchar(4) NOT NULL,
  `descrizione` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `fte_tipocassa` (`codice`, `descrizione`) VALUES
('TC01','Cassa nazionale previdenza e assistenza avvocati e procuratori legali'),
('TC02','Cassa previdenza dottori commercialisti'),									
('TC03','Cassa previdenza e assistenza geometri'),								
('TC04','Cassa nazionale previdenza e assistenza ingegneri e architetti liberi professionisti'),								
('TC05','Cassa nazionale del notariato'),								
('TC06','Cassa nazionale previdenza e assistenza ragionieri e periti commerciali'),								
('TC07','Ente nazionale assistenza agenti e rappresentanti di commercio (ENASARCO)'),									
('TC08','Ente nazionale previdenza e assistenza consulenti del lavoro (ENPACL)'),								
('TC09','Ente nazionale previdenza e assistenza medici (ENPAM)'),								
('TC10','Ente nazionale previdenza e assistenza farmacisti (ENPAF)'),								
('TC11','Ente nazionale previdenza e assistenza veterinari (ENPAV)'),									
('TC12','Ente nazionale previdenza e assistenza impiegati dell agricoltura (ENPAIA)'),									
('TC13','Fondo previdenza impiegati imprese di spedizione e agenzie marittime'),									
('TC14','Istituto nazionale previdenza giornalisti italiani (INPGI)'),									
('TC15','Opera nazionale assistenza orfani sanitari italiani (ONAOSI)'),									
('TC16','Cassa autonoma assistenza integrativa giornalisti italiani (CASAGIT)'),									
('TC17','Ente previdenza periti industriali e periti industriali laureati (EPPI)'),									
('TC18','Ente previdenza e assistenza pluricategoriale (EPAP)'),									
('TC19','Ente nazionale previdenza e assistenza biologi (ENPAB)'),									
('TC20','Ente nazionale previdenza e assistenza professione infermieristica (ENPAPI)'),									
('TC21','Ente nazionale previdenza e assistenza psicologi (ENPAP)'),									
('TC22','INPS');									

CREATE TABLE `fte_modalitapagamento` (
  `codice` varchar(4) NOT NULL,
  `descrizione` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `fte_modalitapagamento` (`codice`, `descrizione`) VALUES
('MP01','contanti'),									
('MP02','assegno'),									
('MP03','assegno circolare'),									
('MP04','contanti presso Tesoreria'),									
('MP05','bonifico'),									
('MP06','vaglia cambiario'),									
('MP07','bollettino bancario'),									
('MP08','carta di pagamento'),									
('MP09','RID'),									
('MP10','RID utenze'),									
('MP11','RID veloce'),									
('MP12','RIBA'),									
('MP13','MAV'),									
('MP14','quietanza erario'),									
('MP15','giroconto su conti di contabilità speciale'),									
('MP16','domiciliazione bancaria'),									
('MP17','domiciliazione postale'),									
('MP18','bollettino di c/c postale'),									
('MP19','SEPA Direct Debit'),									
('MP20','SEPA Direct Debit CORE'),									
('MP21','SEPA Direct Debit B2B'),									
('MP22','Trattenuta su somme già riscosse');									


CREATE TABLE `fte_tipidocumento` (
  `codice` varchar(4) NOT NULL,
  `descrizione` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `fte_tipidocumento` (`codice`, `descrizione`) VALUES
('TD01','fattura'),									
('TD02','acconto/anticipo su fattura'),									
('TD03','acconto/anticipo su parcella'),									
('TD04','nota di credito'),									
('TD05','nota di debito'),									
('TD06','parcella');									

CREATE TABLE `fte_natura` (
  `codice` varchar(2) NOT NULL,
  `descrizione` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `fte_natura` (`codice`, `descrizione`) VALUES
('N1','escluse ex art. 15'),									
('N2','non soggette'),									
('N3','non imponibili'),									
('N4','esenti'),									
('N5','regime del margine / IVA non esposta in fattura'),									
('N6','inversione contabile (per le operazioni in reverse charge ovvero nei casi di autofatturazione per acquisti extra UE di servizi ovvero per importazioni di beni nei soli casi previsti)'),									
('N7','IVA assolta in altro stato UE (vendite a distanza ex art. 40 c. 3 e 4 e art. 41 c. 1 lett. b,  DL 331/93; prestazione di servizi di telecomunicazioni, tele-radiodiffusione ed elettronici ex art. 7-sexies lett. f, g, art. 74-sexies DPR 633/72)');





alter Table or_righe_ordini add idriga_doc int(11) NULL DEFAULT '0';
alter Table or_righe_ordini add idriferimento_doc int(11) NULL DEFAULT '0';
alter Table or_righe_ordini add stato_riga varchar(10) NOT NULL DEFAULT 'Non evaso';


alter Table in_interventi_tecnici add idstatointervento varchar(10) NOT NULL DEFAULT '';
alter table in_interventi_tecnici add descrizione_att text NOT NULL;

alter Table in_interventi_tecnici add `firma_file` varchar(255) NOT NULL;
alter Table in_interventi_tecnici add `firma_data` datetime NOT NULL;
alter Table in_interventi_tecnici add `firma_nome` varchar(255) NOT NULL;
alter Table in_righe_interventi add idriga_pianifica int(11) NULL DEFAULT '0';
alter Table mg_articoli_interventi add idriga_pianifica int(11) NULL DEFAULT '0';
alter table in_righe_interventi add data_movimento date  NOT NULL;
alter table mg_articoli_interventi add data_movimento date  NOT NULL;



ALTER TABLE `or_righe_ordini` ADD `sconto_primo` decimal(12,4) NOT NULL ;
ALTER TABLE or_righe_ordini ADD sconto_extra decimal(12,4) NOT NULL ;
ALTER TABLE or_righe_ordini ADD sconto_extra1 decimal(12,4) NOT NULL;

--
-- Aggiornamento finale alla 2.0
--


drop table zz_modules ; 
delete from zz_impostazioni ; 
delete from zz_widget_modules ; 
delete from zz_viste ; 
delete from zz_modules_plugins ; 
delete from zz_modules_documenti ; 
delete from zz_gruppi_viste ; 
delete from zz_gruppi_modules ; 

--
-- Dump dei dati per la tabella `zz_modules`
--


CREATE TABLE `zz_modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `name2` varchar(255) NOT NULL,
  `module_dir` varchar(50) NOT NULL,
  `options` text NOT NULL,
  `options2` text NOT NULL,
  `icon` varchar(255) NOT NULL,
  `version` varchar(15) NOT NULL,
  `compatibility` varchar(1000) NOT NULL,
  `order` int(11) NOT NULL,
  `parent` int(11) NOT NULL,
  `default` tinyint(1) NOT NULL,
  `default_menu` tinyint(4) NOT NULL DEFAULT '0',
  `enabled` tinyint(1) NOT NULL,
  `type` varchar(20) NOT NULL,
  `new` tinyint(1) NOT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_by` int(11) NOT NULL,
  `created_by` int(11) NOT NULL ,
   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `zz_modules` (`id`, `name`, `name2`, `module_dir`, `options`, `options2`, `icon`, `version`, `compatibility`, `order`, `parent`, `default`, `default_menu`, `enabled`, `type`, `new`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES
(1, 'Pannello', '', 'pannello', 'custom', '', 'fa fa-dashboard', '2.0.0', '2.0.0', 0, 0, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(2, 'Anagrafiche', '', 'anagrafiche', 'SELECT |fields| FROM `an_anagrafiche` LEFT OUTER JOIN `an_relazioni` ON `an_anagrafiche`.`idrelazione`=`an_relazioni`.`id` HAVING 1=1 AND `deleted`=0 ORDER BY `ragione_sociale`', '', 'fa fa-users', '2.0.0', '2.0.0', 1, 0, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(6, 'Aggiornamenti', '', 'aggiornamenti', 'custom', '', 'fa fa-download', '2.0.0', '2.0.0', 9, 36, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(7, 'Backup', '', 'backup', 'custom', '', 'fa fa-archive', '2.0.0', '2.0.0', 8, 36, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(8, 'Tipi di anagrafiche', '', 'tipi_anagrafiche', 'SELECT |fields| FROM `an_tipianagrafiche` HAVING 1=1', '', 'fa fa-angle-right', '2.0.0', '2.0.0', 0, 2, 1, 0, 0, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(12, 'Contabilit&agrave;', '', 'contabilita', 'menu', '', 'fa fa-eur', '2.0.0', '2.0.0', 5, 0, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(14, 'Fatture di vendita', 'Documenti', 'documenti', 'SELECT |fields| FROM `co_documenti` INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id` HAVING 1=1 AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC', '', 'fa fa-retweet', '2.0.0', '2.0.0', 3, 33, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(16, 'Prima nota', '', 'primanota', 'SELECT |fields| FROM `co_movimenti` INNER JOIN `co_pianodeiconti3` ON `co_movimenti`.`idconto`=`co_pianodeiconti3`.`id` GROUP BY `idmastrino`, `primanota`, `co_movimenti`.`data` HAVING 1=1 AND `primanota`=1 AND `co_movimenti`.`data`>=\'|period_start|\' AND `co_movimenti`.`data`<=\'|period_end|\' ORDER BY `co_movimenti`.`data` DESC', '', 'fa fa-angle-right', '2.0.0', '2.0.0', 5, 12, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(17, 'Piano dei conti', '', 'partitario', 'custom', '', 'fa fa-angle-right', '2.0.0', '2.0.0', 6, 12, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(18, 'Scadenzario', '', 'scadenzario', 'SELECT |fields| FROM (`co_scadenziario` INNER JOIN (((`co_documenti` INNER JOIN `an_anagrafiche` ON `co_documenti`.`idanagrafica`=`an_anagrafiche`.`idanagrafica`) INNER JOIN `co_pagamenti` ON `co_documenti`.`idpagamento`=`co_pagamenti`.`id`) INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id`) ON `co_scadenziario`.`iddocumento`=`co_documenti`.`id`) INNER JOIN `co_statidocumento` ON `co_documenti`.`idstatodocumento`=`co_statidocumento`.`id` HAVING 1=1 AND (ABS(`pagato`) < ABS(`da_pagare`) AND `co_statidocumento`.`descrizione` IN(\'Emessa\',\'Parzialmente pagato\')) ORDER BY `scadenza` ASC', '', 'fa fa-angle-right', '2.0.0', '2.0.0', 7, 12, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(20, 'Magazzino', '', 'magazzino', 'menu', '', 'fa fa-truck', '2.0.0', '2.0.0', 6, 0, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(21, 'Articoli', '', 'articoli', 'SELECT |fields| FROM `mg_articoli` HAVING 1=1 ORDER BY `descrizione`', '', 'fa fa-cubes', '2.0.0', '2.0.0', 0, 20, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(22, 'Listini', '', 'listini', 'SELECT |fields| FROM `mg_listini` HAVING 1=1 ORDER BY `nome`', '', 'fa fa-diamond', '2.0.0', '2.0.0', 1, 20, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(23, 'Magazzini', '', 'magazzini', 'SELECT |fields| FROM `mg_magazzini` HAVING 1=1 ORDER BY `sigla`', '', 'fa fa-archive', '2.0.0', '2.0.0', 2, 20, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(25, 'Ordini fornitore', '', 'ordini', 'SELECT |fields| FROM `or_ordini` INNER JOIN `or_tipiordine` ON `or_ordini`.`idtipoordine`=`or_tipiordine`.`id` HAVING 1=1 AND `dir`=\'uscita\' AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY `data1` DESC, CAST(`numero_esterno` AS UNSIGNED) DESC', '', 'fa fa-car', '2.0.0', '2.0.0', 2, 64, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(28, 'Zone', '', 'zone', 'SELECT |fields| FROM `an_zone` HAVING 1=1 ORDER BY `id`', '', 'fa fa-angle-right', '2.0.0', '2.0.0', 2, 2, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(33, 'Documenti', '', '', 'menu', '', 'fa fa-line-chart', '2.0.0', '2.0.0', 2, 0, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(35, 'Gestione componenti', '', 'gestione_componenti', 'custom', '', 'fa fa-database', '2.0.0', '2.0.0', 0, 40, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(36, 'Strumenti', '', '', 'menu', '', 'fa fa-cog', '2.0.0', '2.0.0', 7, 0, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(37, 'Viste', '', 'viste', 'SELECT |fields| FROM `zz_modules` HAVING 1=1 ORDER BY `name`, `name2` ASC', '', 'fa fa-eye', '2.0.0', '2.0.0', 1, 36, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(38, 'Utenti e permessi', '', 'utenti', 'SELECT |fields| FROM `zz_gruppi` HAVING 1=1 ORDER BY `id`, `nome` ASC', '', 'fa fa-lock', '2.0.0', '2.0.0', 1, 36, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(39, 'Opzioni generali', '', 'opzioni', 'SELECT |fields| FROM `zz_impostazioni` WHERE `editable`=1 GROUP BY `sezione` HAVING 1=1 ORDER BY `sezione`', '', 'fa fa-th-list', '2.0.0', '2.0.0', 1, 36, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(40, 'Tabelle', '', '', '', '', 'fa fa-table', '2.0.0', '2.0.0', 1, 36, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(41, 'IVA', '', 'iva', 'SELECT |fields| FROM `co_iva` HAVING 1=1', '', 'fa fa-percent', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(42, 'Causali', '', 'causali', 'SELECT |fields| FROM `dt_causalet` HAVING 1=1', '', 'fa fa-commenting-o', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(43, 'Aspetto beni', '', 'beni', 'SELECT |fields| FROM `dt_aspettobeni` HAVING 1=1', '', 'fa fa-angle-right', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(44, 'Unità di misura', '', 'misure', 'SELECT |fields| FROM `mg_unitamisura` HAVING 1=1', '', 'fa fa-angle-right', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(45, 'Porto', '', 'porti', 'SELECT |fields| FROM `dt_porto` HAVING 1=1', '', 'fa fa-angle-right', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(46, 'Pagamenti', '', 'pagamenti', 'SELECT |fields| FROM `co_pagamenti` GROUP BY `descrizione` HAVING 1=1', '', 'fa fa-usd', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(47, 'Categorie', '', 'categorie', 'SELECT |fields| FROM `mg_categorie` WHERE `parent`=0 HAVING 1=1', '', 'fa fa-briefcase', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(48, 'Ritenute acconto', '', 'ritenute', 'SELECT |fields| FROM `co_ritenutaacconto` HAVING 1=1', '', 'fa fa-percent', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:38', 0, 0),
(50, 'Tipologia Documenti', '', 'tipi_documenti', 'SELECT |fields| FROM `co_tipidocumento` HAVING 1=1', '', 'fa fa-navicon', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(51, 'Gruppi Documenti', '', 'tipi_documenti_gruppi', 'SELECT |fields| FROM `co_tipidocumento_gruppo` HAVING 1=1', '', 'fa fa-cubes', '2.0.0', '2.0.0', 2, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(56, 'Reparti', '', 'reparto', 'SELECT |fields| FROM `mg_reparti` HAVING 1=1', '', 'fa fa-commenting-o', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(57, 'Ubicazioni', '', 'ubicazione', 'SELECT |fields| FROM `mg_ubicazione` HAVING 1=1', '', 'fa fa-commenting-o', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(58, 'Scansie', '', 'scansia', 'SELECT |fields| FROM `mg_scansia` HAVING 1=1', '', 'fa fa-commenting-o', '2.0.0', '2.0.0', 1, 40, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(60, 'Voci di Menu', '', 'menu', 'SELECT |fields| FROM `zz_modules` HAVING 1=1 ORDER BY `name`, `name2` ASC', '', 'fa fa-gears', '2.0.0', '2.0.0', 0, 36, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(61, 'Widget', '', 'widget', 'SELECT |fields| FROM `zz_widget_modules` HAVING 1=1 ORDER BY `descrizione` ASC', '', 'fa fa-arrows-alt', '2.0.0', '2.0.0', 0, 36, 0, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-11-28 13:04:37', 0, 0),
(63, 'Sedi', '', 'anagrafiche_sedi', 'SELECT |fields| FROM `an_sedi` HAVING 1=1 ORDER BY `id`', '', 'fa fa-angle-right', '2.0.0', '2.0.0', 2, 2, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(64, 'Ordini', '', '', 'menu', '', 'fa fa-cart-plus', '2.0.0', '2.0.0', 3, 0, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(65, 'Ordine Cliente', '', 'documenti', 'SELECT |fields| FROM `co_documenti` INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id` HAVING 1=1 AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC', '', 'fa fa-qrcode', '2.0.0', '2.0.0', 1, 64, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(66, 'DDt acquisto', '', 'documenti', 'SELECT |fields| FROM `co_documenti` INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id` HAVING 1=1 AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC', '', 'fa fa-plane', '2.0.0', '2.0.0', 3, 64, 1, 0, 1, 'menu', 0, '2018-03-02 08:54:46', '0000-00-00 00:00:00', 0, 0),
(67, 'Preventivo', '', 'documenti', 'SELECT |fields| FROM `co_documenti` INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id` HAVING 1=1 AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC', '', 'fa fa-pause-circle-o', '2.0.0', '2.0.0', 1, 33, 1, 0, 1, 'menu', 0, '2018-03-02 08:55:18', '0000-00-00 00:00:00', 0, 0),
(68, 'Fattura immediata di vendita', '', 'documenti', 'SELECT |fields| FROM `co_documenti` INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id` HAVING 1=1 AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC', '', 'fa fa-retweet', '2.0.0', '2.0.0', 1, 86, 1, 0, 1, 'menu', 0, '2018-03-02 08:52:37', '0000-00-00 00:00:00', 0, 0),
(69, 'Fattura differita di acquisto', '', 'documenti', 'SELECT |fields| FROM `co_documenti` INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id` HAVING 1=1 AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC', '', 'fa fa-retweet', '2.0.0', '2.0.0', 1, 86, 1, 0, 1, 'menu', 0, '2018-03-02 08:53:09', '0000-00-00 00:00:00', 0, 0),
(70, 'Importa da Ver 1', '', 'import_v1', 'custom', '', 'fa fa-archive', '2.0.0', '2.0.0', 8, 81, 1, 0, 1, 'menu', 0, '2018-02-26 09:45:17', '0000-00-00 00:00:00', 0, 0),
(71, 'Ordini di Servizio', '', '', 'menu', '', 'fa fa-calendar', '2.0.0', '2.0.0', 4, 0, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(74, 'Ordine di Servizio', '', 'documenti', 'SELECT |fields| FROM `co_documenti` INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id` HAVING 1=1 AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC', '', 'fa fa-calendar', '2.0.0', '2.0.0', 1, 71, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(75, 'Calendario', '', 'dashboard', 'custom', '', 'fa fa-dashboard', '2.0.0', '2.0.0', 1, 71, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(77, 'Stati Ordine di Servizio', '', 'stati_intervento', 'SELECT |fields| FROM `in_statiintervento` HAVING 1=1', '', 'fa fa-th', '2.0.0', '2.0.0', 5, 71, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '2017-12-02 09:21:50', 0, 0),
(78, 'Tipi di intervento', 'Tipi di attività', 'tipi_intervento', 'SELECT |fields| FROM `in_tipiintervento` HAVING 1=1', '', 'fa fa-ambulance', '2.0.0', '2.0.0', 6, 71, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(79, 'Pianificazione', '', 'documenti', 'SELECT |fields| FROM (`in_interventi` INNER JOIN `an_anagrafiche` ON `in_interventi`.`idanagrafica`=`an_anagrafiche`.`idanagrafica`) LEFT OUTER JOIN `in_interventi_tecnici` ON `in_interventi_tecnici`.`idintervento`=`in_interventi`.`idintervento` GROUP BY `in_interventi_tecnici`.`id` HAVING 1=1 AND ( ( DATE_FORMAT( `orario_inizio`, \'%Y-%m-%d\' ) >= \'|period_start|\' AND DATE_FORMAT( `orario_fine`, \'%Y-%m-%d\' ) <= \'|period_end|\' ) OR ( DATE_FORMAT( `data_richiesta`, \'%Y-%m-%d\' ) >= \'|period_start|\' AND DATE_FORMAT( `data_richiesta`, \'%Y-%m-%d\' ) <= \'|period_end|\' ) ) ORDER BY IFNULL(`orario_fine`, `data_richiesta`) DESC', '', 'fa fa-wrench', '2.0.0', '2.0.0', 3, 71, 1, 0, 1, 'menu', 0, '2018-02-26 09:44:09', '0000-00-00 00:00:00', 0, 0),
(80, 'Fattura differita di vendita', '', 'documenti', 'SELECT |fields| FROM `co_documenti` INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id` HAVING 1=1 AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC', '', 'fa fa-retweet', '2.0.0', '2.0.0', 1, 86, 1, 0, 1, 'menu', 0, '2018-03-02 08:52:50', '0000-00-00 00:00:00', 0, 0),
(81, 'Archivi', '', '', 'menu', '', 'fa fa-archive', '2.0.0', '2.0.0', 10, 36, 1, 0, 1, 'menu', 0, '2018-02-26 09:45:00', '0000-00-00 00:00:00', 0, 0),
(82, 'Csv To Anagrafiche', '', 'importa_an', 'custom', '', 'fa fa-dashboard', '2.0.0', '2.0.0', 0, 81, 1, 0, 1, 'menu', 0, '2018-02-26 11:29:57', '0000-00-00 00:00:00', 0, 0),
(83, 'Stampa Contabili', '', 'stampe_contabili', 'custom', '', 'fa fa-list-alt', '2.0.0', '2.0.0', 0, 12, 1, 0, 1, 'menu', 0, '2018-02-26 15:10:03', '0000-00-00 00:00:00', 0, 0),
(84, 'Csv To Articoli', '', 'importa_art', 'custom', '', 'fa fa-dashboard', '2.0.0', '2.0.0', 0, 81, 1, 0, 1, 'menu', 0, '2018-02-26 11:29:57', '0000-00-00 00:00:00', 0, 0),
(86, 'Fatture', '', '', '', '', 'fa fa-area-chart', '', '', 0, 33, 1, 0, 1, 'Menu', 0, '2018-03-02 08:52:23', '0000-00-00 00:00:00', 0, 0),
(87, 'DDT', '', 'documenti', 'SELECT |fields| FROM `co_documenti` INNER JOIN `co_tipidocumento` ON `co_documenti`.`idtipodocumento`=`co_tipidocumento`.`id` HAVING 1=1 AND `data1` >= \'|period_start|\' AND `data1` <= \'|period_end|\' ORDER BY DATE_FORMAT( `data1`, \'%Y%m%d\' ) DESC', '', 'fa fa-truck', '2.0.0', '2.0.0', 1, 33, 1, 0, 1, 'menu', 0, '2018-03-02 08:54:12', '0000-00-00 00:00:00', 0, 0);


--
-- Dump dei dati per la tabella `zz_impostazioni`
--

INSERT INTO `zz_impostazioni` (`idimpostazione`, `nome`, `valore`, `tipo`, `editable`, `sezione`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES
(2, 'Azienda predefinita', '36', 'query=SELECT `an_anagrafiche`.`idanagrafica` AS \'id\', `ragione_sociale` AS \'descrizione\' FROM `an_anagrafiche` INNER JOIN `an_tipianagrafiche_anagrafiche` ON `an_anagrafiche`.`idanagrafica`=`an_tipianagrafiche_anagrafiche`.`idanagrafica` WHERE `idtipoanagrafica`=(SELECT `idtipoanagrafica` FROM `an_tipianagrafiche` WHERE `descrizione`=\'Azienda\') AND deleted=0', 1, 'Generali', '2018-02-26 15:29:45', '0000-00-00 00:00:00', 0, 0),
(3, 'max_idintervento', '0', 'string', 0, 'Generali', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(5, 'Formato report', 'pdf', 'list[html,pdf]', 0, 'Generali', '2018-02-27 15:39:31', '0000-00-00 00:00:00', 0, 0),
(6, 'Iva predefinita', '91', 'query=SELECT id, descrizione FROM `co_iva` ORDER BY descrizione ASC', 1, 'Documenti', '2018-01-16 13:56:55', '0000-00-00 00:00:00', 0, 0),
(8, 'Percentuale ritenuta d\'acconto', '', 'query=SELECT id, descrizione FROM `co_ritenutaacconto` ORDER BY descrizione ASC', 1, 'Documenti', '2018-01-23 14:29:09', '0000-00-00 00:00:00', 0, 0),
(9, 'Percentuale rivalsa INPS', '', 'query=SELECT id, descrizione FROM `co_rivalsainps` ORDER BY descrizione ASC', 1, 'Documenti', '2018-01-15 08:48:18', '0000-00-00 00:00:00', 0, 0),
(12, 'Conto aziendale predefinito', '', 'query=SELECT id,descrizione FROM co_pianodeiconti3 WHERE idpianodeiconti2=(SELECT id FROM co_pianodeiconti2 WHERE descrizione=\'Cassa e banche\')', 1, 'Documenti', '2018-01-16 13:56:14', '0000-00-00 00:00:00', 0, 0),
(13, 'Indirizzo per le email in uscita', 'info@gest366.it', 'string', 1, 'Email', '2018-02-28 13:44:59', '0000-00-00 00:00:00', 0, 0),
(20, 'Stampa i prezzi sugli ordini', '1', 'boolean', 1, 'Ordini', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(21, 'Movimenta il magazzino durante l\'inserimento o eliminazione dei lotti/serial number', '1', 'boolean', 1, 'Magazzino', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(24, 'Formato numero secondario ordine', '45######', 'string', 1, 'Ordini', '2018-02-14 13:17:28', '0000-00-00 00:00:00', 0, 0),
(29, 'Formato codice anagrafica', '########', 'string', 1, 'Anagrafiche', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(31, 'Formato codice contratti', '#', 'string', 0, 'Contratti', '2018-02-26 13:52:01', '0000-00-00 00:00:00', 0, 0),
(32, 'Stampa i prezzi sui contratti', '1', 'boolean', 0, 'Contratti', '2018-02-26 13:52:08', '0000-00-00 00:00:00', 0, 0),
(33, 'osmcloud_username', '', 'string', 0, 'CLOUD', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(34, 'osmcloud_password', '', 'string', 0, 'CLOUD', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(35, 'osm_installed', '1', 'string', 0, 'INSTALL', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(39, 'Destinatario', 'info@gest366.it', 'string', 0, 'Email', '2017-12-18 16:57:35', '0000-00-00 00:00:00', 0, 0),
(40, 'Numero di backup da mantenere', '7', 'integer', 1, 'Generali', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(41, 'Backup automatico', '0', 'boolean', 1, 'Generali', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(43, 'Utilizzare i tooltip sul calendario', '1', 'boolean', 1, 'Generali', '2018-02-23 14:28:44', '0000-00-00 00:00:00', 0, 0),
(44, 'Visualizzare la domenica sul calendario', '1', 'boolean', 1, 'Generali', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(45, 'Nascondere la barra sinistra di default', '1', 'boolean', 1, 'Generali', '2018-01-30 09:12:45', '0000-00-00 00:00:00', 0, 0),
(47, 'Cifre decimali', '2', 'list[1,2,3,4]', 1, 'Generali', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(49, 'Attiva aggiornamenti', '1', 'boolean', 0, 'Generali', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(50, 'Vista dashboard', 'settimana', 'list[mese,settimana,giorno]', 1, 'Generali', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(52, 'Destinatario fisso in copia (campo CC)', '', 'string', 1, 'Email', '2018-02-28 13:48:23', '0000-00-00 00:00:00', 0, 0),
(53, 'API_excluded_tables', 'zz_utenti,zz_permessi,zz_sessioni_attive,updates,z', 'string', 0, 'API', '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(54, 'Attiva sessioni avanzate', '0', 'boolean', 0, 'Generali', '2018-02-26 13:53:21', '0000-00-00 00:00:00', 0, 0),
(55, 'Timeout sessioni attive', '15', 'int', 0, 'Generali', '2018-02-26 13:53:32', '0000-00-00 00:00:00', 0, 0),
(56, 'Iva predefinita', '91', 'query=SELECT id, descrizione FROM `co_iva` ORDER BY descrizione ASC', 1, 'Generali', '2017-12-18 16:57:35', '0000-00-00 00:00:00', 0, 0),
(58, 'Numero caratteri prima di inizio ricerca articolo', '0', '', 1, 'Documenti', '2018-01-15 16:03:03', '0000-00-00 00:00:00', 0, 0),
(60, 'Regime Fiscale', 'RF01', '', 1, 'Generali', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(61, 'Filtra articoli per fornitore', '1', 'boolean', 1, 'Ordini', '2018-02-13 11:24:02', '0000-00-00 00:00:00', 0, 0),
(62, 'Nome Form Mail', 'GEST366', 'string', 1, 'Email', '2018-02-28 13:44:59', '0000-00-00 00:00:00', 0, 0),
(63, 'Visualizza i costi sulle stampe rapporti attivita', '0', 'boolean', 0, 'Documenti', '2018-03-02 08:39:00', '0000-00-00 00:00:00', 0, 0);

--
-- Dump dei dati per la tabella `zz_widget_modules`
--

INSERT INTO `zz_widget_modules` (`id`, `name`, `type`, `id_module`, `location`, `class`, `query`, `bgcolor`, `icon`, `print_link`, `more_link`, `more_link_type`, `php_include`, `text`, `enabled`, `order`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES
(1, 'Numero di clienti', 'stats', 2, 'controller_top', '', 'SELECT COUNT(an_anagrafiche.idanagrafica) AS dato FROM an_anagrafiche INNER JOIN (an_tipianagrafiche_anagrafiche INNER JOIN an_tipianagrafiche ON an_tipianagrafiche_anagrafiche.idtipoanagrafica=an_tipianagrafiche.idtipoanagrafica) ON an_anagrafiche.idanagrafica=an_tipianagrafiche_anagrafiche.idanagrafica WHERE descrizione=\"Cliente\" AND deleted=0', '#6ae85f', 'fa fa-user', '', 'if($(\'#th_Tipologia input\').val()!= \'Cliente\'){ $(\'#th_Tipologia input\').val( \'Cliente\' ).trigger( \'keyup\' );} else reset(\'Tipologia\');', 'javascript', '', 'Clienti', 1, 0, '2017-12-19 16:16:29', '0000-00-00 00:00:00', 0, 0),
(2, 'Numero di tecnici', 'stats', 2, 'controller_top', '', 'SELECT COUNT(an_anagrafiche.idanagrafica) AS dato FROM an_anagrafiche INNER JOIN (an_tipianagrafiche_anagrafiche INNER JOIN an_tipianagrafiche ON an_tipianagrafiche_anagrafiche.idtipoanagrafica=an_tipianagrafiche.idtipoanagrafica) ON an_anagrafiche.idanagrafica=an_tipianagrafiche_anagrafiche.idanagrafica WHERE descrizione=\"Tecnico\" AND deleted=0', '#ff7e00', 'fa fa-cog', '', 'if($(\'#th_Tipologia input\').val()!= \'Tecnico\'){ $(\'#th_Tipologia input\').val( \'Tecnico\' ).trigger( \'keyup\' );} else reset(\'Tipologia\');', 'javascript', '', 'Tecnici', 1, 1, '2017-12-19 16:16:29', '0000-00-00 00:00:00', 0, 0),
(3, 'Numero di fornitori', 'stats', 2, 'controller_top', '', 'SELECT COUNT(an_anagrafiche.idanagrafica) AS dato FROM an_anagrafiche INNER JOIN (an_tipianagrafiche_anagrafiche INNER JOIN an_tipianagrafiche ON an_tipianagrafiche_anagrafiche.idtipoanagrafica=an_tipianagrafiche.idtipoanagrafica) ON an_anagrafiche.idanagrafica=an_tipianagrafiche_anagrafiche.idanagrafica WHERE descrizione=\"Fornitore\" AND deleted=0', '#a15d2d', 'fa fa-truck', '', 'if($(\'#th_Tipologia input\').val()!= \'Fornitore\'){ $(\'#th_Tipologia input\').val( \'Fornitore\' ).trigger( \'keyup\' );} else reset(\'Tipologia\');', 'javascript', '', 'Fornitori', 1, 2, '2017-12-19 16:16:29', '0000-00-00 00:00:00', 0, 0),
(4, 'Numero di agenti', 'stats', 2, 'controller_top', '', 'SELECT COUNT(an_anagrafiche.idanagrafica) AS dato FROM an_anagrafiche INNER JOIN (an_tipianagrafiche_anagrafiche INNER JOIN an_tipianagrafiche ON an_tipianagrafiche_anagrafiche.idtipoanagrafica=an_tipianagrafiche.idtipoanagrafica) ON an_anagrafiche.idanagrafica=an_tipianagrafiche_anagrafiche.idanagrafica WHERE descrizione=\"Agente\" AND deleted=0', '#2d70a1', 'fa fa-briefcase', '', 'if($(\'#th_Tipologia input\').val()!= \'Agente\'){$(\'#th_Tipologia input\').val( \'Agente\' ).trigger( \'keyup\' );} else reset(\'Tipologia\');', 'javascript', '', 'Agenti', 1, 3, '2017-12-19 16:16:29', '0000-00-00 00:00:00', 0, 0),
(7, 'Scadenze', 'stats', 1, 'controller_right', 'col-md-3', 'SELECT COUNT(co_documenti.id) AS dato FROM co_scadenziario INNER JOIN (((co_documenti INNER JOIN an_anagrafiche ON co_documenti.idanagrafica=an_anagrafiche.idanagrafica) INNER JOIN co_pagamenti ON co_documenti.idpagamento=co_pagamenti.id) INNER JOIN co_tipidocumento ON co_documenti.idtipodocumento=co_tipidocumento.id) ON co_scadenziario.iddocumento=co_documenti.id WHERE ABS(pagato) < ABS(da_pagare) AND idstatodocumento=(SELECT id FROM co_statidocumento WHERE descrizione=\"Emessa\") AND scadenza >= \"|period_start|\" AND scadenza <= \"|period_end|\" ORDER BY scadenza ASC', '#c62f2a', 'fa fa-money', '', './controller.php?id_module=18', 'link', '', 'Scadenze', 1, 2, '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(8, 'Articoli in esaurimento', 'stats', 1, 'controller_right', 'col-md-3', 'SELECT COUNT(id) AS dato FROM mg_articoli WHERE qta < threshold_qta AND attivo=1', '#a15d2d', 'fa fa-truck', '', './modules/articoli/widgets/articoli.dashboard.php', 'popup', '', 'Articoli in esaurimento', 1, 3, '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(12, 'Stampa inventario', 'print', 21, 'controller_top', 'col-md-1', '', '#45a9f1', 'fa fa-print', '', 'if( confirm(\'Stampare l\\\'inventario?\') ){ window.open(\'templates/pdfgen.php?ptype=magazzino_inventario&search_codice=\'+$(\'#th_Codice input\').val()+\'&search_descrizione=\'+$(\'#th_Descrizione input\').val()+\'&search_categoria=\'+$(\'#th_Categoria input\').val()+\'&search_subcategoria=\'+$(\'#th_Sottocategoria input\').val()+\'&search_tipo=solo prodotti attivi\'); }', 'javascript', '', 'Stampa inventario', 1, 0, '2018-02-27 14:56:06', '0000-00-00 00:00:00', 0, 0),
(13, 'Fatturato', 'stats', 14, 'controller_top', 'col-md-6', 'SELECT CONCAT_WS( \" \", REPLACE( REPLACE( REPLACE( FORMAT( SUM((SELECT SUM(subtotale+iva-sconto) FROM co_righe_documenti WHERE iddocumento=co_documenti.id)+iva_rivalsainps+rivalsainps+bollo-ritenutaacconto), 2), \",\", \"#\"), \".\", \",\" ), \"#\", \".\"), \"&euro;\" ) AS dato FROM co_documenti WHERE idtipodocumento IN(SELECT id FROM co_tipidocumento WHERE dir=\"entrata\" and mod_sta=\"1\") AND data >= \"|period_start|\" AND data <= \"|period_end|\"', '#4dc347', 'fa fa-money', '', '', '', '', 'Fatturato', 1, 1, '2018-03-02 08:56:15', '0000-00-00 00:00:00', 0, 0),
(15, 'Crediti da clienti', 'stats', 14, 'controller_top', 'col-md-6', 'SELECT CONCAT_WS( \" \", REPLACE( REPLACE( REPLACE( FORMAT( SUM((SELECT SUM(subtotale+iva-sconto) FROM co_righe_documenti WHERE iddocumento=co_documenti.id)+iva_rivalsainps+rivalsainps+bollo-ritenutaacconto), 2), \",\", \"#\"), \".\", \",\" ), \"#\", \".\"), \"&euro;\" ) AS dato FROM co_documenti WHERE idtipodocumento IN(SELECT id FROM co_tipidocumento WHERE dir=\"entrata\") AND idstatodocumento=(SELECT id FROM co_statidocumento WHERE descrizione=\"Emessa\") AND data >= \"|period_start|\" AND data <= \"|period_end|\"', '#f4af1b', 'fa fa-warning', '', '', '', '', 'Crediti da clienti', 1, 2, '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(17, 'Numero di vettori', 'stats', 2, 'controller_top', '', 'SELECT COUNT(an_anagrafiche.idanagrafica) AS dato FROM an_anagrafiche INNER JOIN (an_tipianagrafiche_anagrafiche INNER JOIN an_tipianagrafiche ON an_tipianagrafiche_anagrafiche.idtipoanagrafica=an_tipianagrafiche.idtipoanagrafica) ON an_anagrafiche.idanagrafica=an_tipianagrafiche_anagrafiche.idanagrafica WHERE descrizione=\"Vettore\" AND deleted=0', '#00C0EF', 'fa fa-truck', '', 'if($(\'#th_Tipologia input\').val()!= \'Vettore\'){$(\'#th_Tipologia input\').val( \'Vettore\' ).trigger( \'keyup\' );} else reset(\'Tipologia\');', 'javascript', '', 'Vettori', 1, 4, '2017-12-19 16:16:29', '0000-00-00 00:00:00', 0, 0),
(18, 'Tutte le anagrafiche', 'stats', 2, 'controller_top', '', 'SELECT COUNT(an_anagrafiche.idanagrafica) AS dato FROM an_anagrafiche INNER JOIN (an_tipianagrafiche_anagrafiche INNER JOIN an_tipianagrafiche ON an_tipianagrafiche_anagrafiche.idtipoanagrafica=an_tipianagrafiche.idtipoanagrafica) ON an_anagrafiche.idanagrafica=an_tipianagrafiche_anagrafiche.idanagrafica WHERE deleted=0', '#CCCCCC', 'fa fa-users', '', 'reset(\'Tipologia\');', 'javascript', '', 'Tutti', 1, 5, '2017-12-19 16:16:29', '0000-00-00 00:00:00', 0, 0),
(20, 'Valore magazzino', 'stats', 21, 'controller_top', 'col-md-1', 'SELECT CONCAT_WS( \" \", REPLACE( REPLACE( REPLACE( FORMAT (SUM(prezzo_acquisto*qta),2), \",\", \"#\"), \".\", \",\" ), \"#\", \".\"), \"&euro;\" ) AS dato FROM mg_articoli WHERE qta>0', '#a15d2d', 'fa fa-money', '', '', '', '', 'Valore magazzino', 1, 1, '2018-02-27 14:46:08', '0000-00-00 00:00:00', 0, 0),
(21, 'Articoli in magazzino', 'stats', 21, 'controller_top', '', 'SELECT CONCAT_WS( \" \", REPLACE( REPLACE( REPLACE( FORMAT (SUM(qta),2), \",\", \"#\"), \".\", \",\" ), \"#\", \".\"), \"unit&agrave;\" ) AS dato FROM mg_articoli WHERE qta>0', '#45A9F1', 'fa fa-check-square-o', '', '', '', '', 'Articoli in magazzino', 1, 2, '2017-11-30 14:09:47', '0000-00-00 00:00:00', 0, 0);


--
-- Dump dei dati per la tabella `zz_viste`
--

INSERT INTO `zz_viste` (`id`, `id_module`, `name`, `query`, `order`, `search`, `slow`, `search_inside`, `order_by`, `enabled`, `summable`, `default`, `created_at`, `updated_at`, `created_by`, `updated_by`) VALUES
(1, 2, 'id', 'idanagrafica', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(2, 2, 'Ragione sociale', 'ragione_sociale', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(3, 2, 'Tipologia', '(SELECT GROUP_CONCAT(descrizione SEPARATOR \', \') FROM an_tipianagrafiche INNER JOIN an_tipianagrafiche_anagrafiche ON an_tipianagrafiche.idtipoanagrafica=an_tipianagrafiche_anagrafiche.idtipoanagrafica GROUP BY idanagrafica HAVING idanagrafica=an_anagrafiche.idanagrafica)', 3, 1, 0, 'idanagrafica IN( SELECT idanagrafica FROM an_tipianagrafiche_anagrafiche WHERE idtipoanagrafica IN (SELECT idtipoanagrafica FROM an_tipianagrafiche WHERE descrizione LIKE |search|))', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(4, 2, 'Città', 'citta', 4, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(5, 2, 'Telefono', 'telefono', 5, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(6, 2, 'color_Rel.', 'an_relazioni.colore', 6, 1, 0, 'color_title_Rel.', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(7, 2, 'color_title_Rel.', 'an_relazioni.descrizione', 7, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(17, 8, 'id', 'idtipoanagrafica', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(18, 8, 'Descrizione', 'descrizione', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(38, 14, 'id', 'co_documenti.id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(39, 14, 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 3, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:57:35', 0, 0),
(40, 14, 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 2, 1, 0, '', 'data', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:55:47', 0, 0),
(41, 14, 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica)', 6, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:55:35', 0, 0),
(42, 14, 'Totale', 'REPLACE( REPLACE( REPLACE( FORMAT( (SELECT SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) FROM co_righe_documenti GROUP BY iddocumento HAVING iddocumento=co_documenti.id) + bollo + iva_rivalsainps, 2), \',\', \'#\' ), \'.\', \',\' ), \'#\', \'.\' )', 7, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-01-30 09:17:54', 0, 0),
(43, 14, 'icon_Stato', '(SELECT icona FROM co_statidocumento WHERE id=idstatodocumento)', 8, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:55:35', 0, 0),
(44, 14, 'icon_title_Stato', '(SELECT descrizione FROM co_statidocumento WHERE id=idstatodocumento)', 9, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:55:35', 0, 0),
(45, 14, 'data1', 'data', 10, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:55:35', 0, 0),
(54, 16, 'id', 'co_movimenti.id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(55, 16, 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 2, 1, 0, '', 'data', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(56, 16, 'Causale', 'co_movimenti.descrizione', 3, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(57, 16, 'Controparte', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=(SELECT idanagrafica FROM co_documenti WHERE id=iddocumento))', 4, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(58, 16, 'Conto avere', 'GROUP_CONCAT(CASE WHEN  totale>0 THEN co_pianodeiconti3.descrizione ELSE NULL END)', 5, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(59, 16, 'Dare', 'FORMAT( SUM(CASE WHEN totale>0 THEN ABS(totale) ELSE 0 END), 2, \'de_DE\' )', 6, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(60, 16, 'Avere', 'FORMAT( SUM(CASE WHEN totale<0 THEN ABS(totale) ELSE 0 END), 2, \'de_DE\' )', 7, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(61, 18, 'id', 'co_scadenziario.id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(62, 18, 'Anagrafica', 'ragione_sociale', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(63, 18, 'Tipo di pagamento', 'co_pagamenti.descrizione', 3, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(64, 18, 'Data emissione', 'CONCAT( co_tipidocumento.descrizione, CONCAT( \' numero \', IF(numero_esterno<>\'\', numero_esterno, numero) ) )', 4, 1, 0, '', 'data_emissione', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(65, 18, 'Data scadenza', 'DATE_FORMAT(scadenza, \'%d/%m/%Y\')', 5, 1, 0, '', 'scadenza', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(66, 18, 'Importo', 'REPLACE( REPLACE( REPLACE( FORMAT(da_pagare, 2), \',\', \'#\'), \'.\', \',\'), \'#\', \'.\')', 6, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(67, 18, 'Saldato', 'REPLACE( REPLACE( REPLACE( FORMAT(pagato, 2), \',\', \'#\'), \'.\', \',\'), \'#\', \'.\')', 7, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-04-07 14:42:38', 0, 0),
(68, 18, '_bg_', 'IF(scadenza<NOW(), \'#ff7777\', \'\')', 8, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(69, 21, 'id', 'id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(70, 21, 'Codice', 'codice', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:23:17', 0, 0),
(71, 21, 'Categoria', '(SELECT `nome` FROM `mg_categorie` WHERE `id`=`id_categoria`)', 5, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:23:20', 0, 0),
(72, 21, 'Sottocategoria', '(SELECT `nome` FROM `mg_categorie` WHERE `id`=`id_sottocategoria`)', 6, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:23:20', 0, 0),
(73, 21, 'Q.tà', 'CONCAT_WS(\' \', CAST(REPLACE(FORMAT(qta, 2), \'.\', \',\' ) AS CHAR CHARACTER SET utf8), CAST(um AS CHAR CHARACTER SET utf8))', 7, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:23:20', 0, 0),
(74, 22, 'id', 'id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(75, 22, 'Nome', 'nome', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(76, 22, 'Percentuale guadagno o sconto', 'prc_guadagno', 3, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(77, 22, 'Note', 'note', 4, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(78, 23, 'id', 'id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(79, 23, 'Sigla', 'Sigla', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 13:47:16', 0, 0),
(80, 23, 'Nome', 'nome', 3, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(81, 23, 'Descrizione', 'descrizione', 4, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(89, 25, 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(90, 25, 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=or_ordini.idanagrafica)', 3, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(91, 25, 'icon_Stato', '(SELECT icona FROM or_statiordine WHERE id=idstatoordine)', 4, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(92, 25, 'icon_title_Stato', '(SELECT descrizione FROM or_statiordine WHERE id=idstatoordine)', 5, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(93, 25, 'data1', 'data', 6, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(108, 28, 'id', 'id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(109, 28, 'Nome', 'nome', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(110, 28, 'Descrizione', 'descrizione', 3, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(126, 16, 'Conto dare', 'GROUP_CONCAT(CASE WHEN  totale<0 THEN co_pianodeiconti3.descrizione ELSE NULL END)', 8, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(127, 2, 'deleted', 'deleted', 8, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(130, 14, 'dir', 'dir', 11, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:55:35', 0, 0),
(139, 25, 'dir', 'dir', 7, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(142, 18, 'da_pagare', 'da_pagare', 9, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(143, 18, 'descrizione', 'co_statidocumento.descrizione', 10, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(144, 18, 'pagato', 'pagato', 11, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(145, 37, 'id', 'id', 2, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(146, 37, 'Nome', 'IF(name2 = \"\", name, name2)', 3, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(147, 37, 'Icona', 'icon', 4, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(148, 37, 'ID', 'id', 1, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(149, 38, 'Gruppo', 'nome', 1, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(150, 38, 'id', 'id', 2, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(151, 39, 'id', 'idimpostazione', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(152, 39, 'Nome', 'sezione', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(153, 41, 'id', 'id', 1, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(154, 41, 'Descrizione', 'descrizione', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(155, 41, 'Percentuale', 'percentuale', 3, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(156, 41, 'Indetraibile', 'indetraibile', 4, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(157, 42, 'id', 'id', 1, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(158, 42, 'Descrizione', 'descrizione', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(159, 43, 'id', 'id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(160, 43, 'Descrizione', 'descrizione', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(161, 44, 'id', 'id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(162, 44, 'Valore', 'valore', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(163, 45, 'id', 'id', 1, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(164, 45, 'Descrizione', 'descrizione', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(165, 46, 'Descrizione', 'descrizione', 1, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(166, 46, 'Rate', 'COUNT(descrizione)', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(167, 46, 'id', 'id', 3, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(168, 47, 'Nome', 'nome', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(169, 47, 'id', 'id', 3, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(170, 21, 'Descrizione', 'descrizione', 1, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-11-28 14:04:37', 0, 0),
(171, 48, 'Indetraibile', 'indetraibile', 4, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:38', 0, 0),
(172, 48, 'Percentuale', 'percentuale', 3, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:38', 0, 0),
(173, 48, 'Descrizione', 'descrizione', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:38', 0, 0),
(174, 48, 'id', 'id', 1, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2017-11-28 14:04:38', 0, 0),
(175, 50, 'id', 'id', 1, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2017-11-30 15:20:27', 0, 0),
(176, 50, 'Tipologia Documento', 'descrizione', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-30 15:20:58', 0, 0),
(177, 50, 'Gruppo', '(SELECT descrizione FROM co_tipidocumento_gruppo WHERE id=id_gruppo_tipologia) ', 4, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-30 15:37:13', 0, 0),
(178, 50, 'Suffisso', 'txt_suffisso', 6, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-30 15:39:34', 0, 0),
(179, 50, 'Tipo', 'dir', 3, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-30 15:36:18', 0, 0),
(180, 50, 'Path PDF', 'dir_pdf', 5, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-30 15:38:34', 0, 0),
(181, 51, 'id', 'id', 1, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2017-11-30 15:56:38', 0, 0),
(182, 51, 'Descrizione', 'descrizione', 3, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-30 15:58:30', 0, 0),
(183, 51, 'Codice', 'codice', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-11-30 15:58:30', 0, 0),
(184, 56, 'id', 'id', 1, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2017-12-19 11:11:55', 0, 0),
(185, 56, 'Descrizione', 'descrizione', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-12-19 11:12:17', 0, 0),
(186, 58, 'id', 'id', 1, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2017-12-19 11:13:41', 0, 0),
(187, 58, 'Descrizione', 'descrizione', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-12-19 11:13:57', 0, 0),
(188, 57, 'id', 'id', 1, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2017-12-19 11:14:16', 0, 0),
(189, 57, 'Descrizione', 'descrizione', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2017-12-19 11:14:38', 0, 0),
(191, 60, 'id', 'id', 1, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 15:25:07', 0, 0),
(192, 60, 'Voce di Menu', 'name', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 15:25:16', 0, 0),
(193, 60, 'Nome Secondario', 'name2', 3, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 15:25:25', 0, 0),
(194, 61, 'id', 'id', 1, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 15:24:17', 0, 0),
(195, 61, 'Descrizione', 'name', 2, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 15:24:23', 0, 0),
(196, 61, 'Parente', '( SELECT name FROM zz_modules WHERE id=id_module ) ', 3, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:21:46', 0, 0),
(197, 21, 'Fornitore', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=mg_articoli.idfornitore)', 4, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:23:41', 0, 0),
(198, 14, 'N° Doc°', 'numero_documento', 4, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:56:18', 0, 0),
(199, 14, 'Documento', '(SELECT descrizione FROM co_tipidocumento WHERE id=co_documenti.idtipodocumento )', 5, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2017-12-19 16:56:25', 0, 0),
(200, 14, 'idtipodocumento', 'idtipodocumento', 12, 0, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2017-12-20 08:55:46', 0, 0),
(213, 63, 'id', 'id', 1, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-12 16:22:02', 0, 0),
(214, 63, 'Nome Sede', 'nomesede', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-12 16:22:02', 0, 0),
(215, 63, 'Ragione Sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=an_sedi.idanagrafica)', 3, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-12 16:25:40', 0, 0),
(216, 25, 'id', 'or_ordini.id', 8, 0, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-13 10:22:08', 0, 0),
(217, 65, 'id', 'co_documenti.id', 1, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(218, 65, 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 3, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(219, 65, 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 2, 1, 0, '', 'data', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(220, 65, 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica)', 6, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(221, 65, 'Totale', 'REPLACE( REPLACE( REPLACE( FORMAT( (SELECT SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) FROM co_righe_documenti GROUP BY iddocumento HAVING iddocumento=co_documenti.id) + bollo + iva_rivalsainps, 2), \',\', \'#\' ), \'.\', \',\' ), \'#\', \'.\' )', 7, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(222, 65, 'icon_Stato', '(SELECT icona FROM co_statidocumento WHERE id=idstatodocumento)', 8, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(223, 65, 'icon_title_Stato', '(SELECT descrizione FROM co_statidocumento WHERE id=idstatodocumento)', 9, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(224, 65, 'data1', 'data', 10, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(225, 65, 'dir', 'dir', 11, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(226, 65, 'N° Doc°', 'numero_documento', 4, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(227, 65, 'Documento', '(SELECT descrizione FROM co_tipidocumento WHERE id=co_documenti.idtipodocumento )', 5, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(228, 65, 'idtipodocumento', 'idtipodocumento', 12, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-14 14:42:03', 0, 0),
(229, 66, 'id', 'co_documenti.id', 1, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(230, 66, 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 3, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(231, 66, 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 2, 1, 0, '', 'data', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(232, 66, 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica)', 6, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(233, 66, 'Totale', 'REPLACE( REPLACE( REPLACE( FORMAT( (SELECT SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) FROM co_righe_documenti GROUP BY iddocumento HAVING iddocumento=co_documenti.id) + bollo + iva_rivalsainps, 2), \',\', \'#\' ), \'.\', \',\' ), \'#\', \'.\' )', 7, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(234, 66, 'icon_Stato', '(SELECT icona FROM co_statidocumento WHERE id=idstatodocumento)', 8, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(235, 66, 'icon_title_Stato', '(SELECT descrizione FROM co_statidocumento WHERE id=idstatodocumento)', 9, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(236, 66, 'data1', 'data', 10, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(237, 66, 'dir', 'dir', 11, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(238, 66, 'N° Doc°', 'numero_documento', 4, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(239, 66, 'Documento', '(SELECT descrizione FROM co_tipidocumento WHERE id=co_documenti.idtipodocumento )', 5, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(240, 66, 'idtipodocumento', 'idtipodocumento', 12, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:08:48', 0, 0),
(244, 67, 'id', 'co_documenti.id', 1, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(245, 67, 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 3, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(246, 67, 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 2, 1, 0, '', 'data', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(247, 67, 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica)', 6, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(248, 67, 'Totale', 'REPLACE( REPLACE( REPLACE( FORMAT( (SELECT SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) FROM co_righe_documenti GROUP BY iddocumento HAVING iddocumento=co_documenti.id) + bollo + iva_rivalsainps, 2), \',\', \'#\' ), \'.\', \',\' ), \'#\', \'.\' )', 7, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(249, 67, 'icon_Stato', '(SELECT icona FROM co_statidocumento WHERE id=idstatodocumento)', 8, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(250, 67, 'icon_title_Stato', '(SELECT descrizione FROM co_statidocumento WHERE id=idstatodocumento)', 9, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(251, 67, 'data1', 'data', 10, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(252, 67, 'dir', 'dir', 11, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(253, 67, 'N° Doc°', 'numero_documento', 4, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(254, 67, 'Documento', '(SELECT descrizione FROM co_tipidocumento WHERE id=co_documenti.idtipodocumento )', 5, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(255, 67, 'idtipodocumento', 'idtipodocumento', 12, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-16 14:11:13', 0, 0),
(259, 68, 'id', 'co_documenti.id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:23:10', 0, 0),
(260, 68, 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 3, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:23:19', 0, 0),
(261, 68, 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 2, 1, 0, '', 'data', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:24:47', 0, 0),
(262, 68, 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica)', 6, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:24:54', 0, 0),
(263, 68, 'Totale', 'REPLACE( REPLACE( REPLACE( FORMAT( (SELECT SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) FROM co_righe_documenti GROUP BY iddocumento HAVING iddocumento=co_documenti.id) + bollo + iva_rivalsainps, 2), \',\', \'#\' ), \'.\', \',\' ), \'#\', \'.\' )', 7, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:25:01', 0, 0),
(264, 68, 'icon_Stato', '(SELECT icona FROM co_statidocumento WHERE id=idstatodocumento)', 8, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:25:07', 0, 0),
(265, 68, 'icon_title_Stato', '(SELECT descrizione FROM co_statidocumento WHERE id=idstatodocumento)', 9, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:25:12', 0, 0),
(266, 68, 'data1', 'data', 10, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:25:18', 0, 0),
(267, 68, 'dir', 'dir', 11, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:25:24', 0, 0),
(268, 68, 'N° Doc°', 'numero_documento', 4, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:25:31', 0, 0),
(269, 68, 'Documento', '(SELECT descrizione FROM co_tipidocumento WHERE id=co_documenti.idtipodocumento )', 5, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:25:37', 0, 0),
(270, 68, 'idtipodocumento', 'idtipodocumento', 12, 0, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:25:42', 0, 0),
(274, 69, 'id', 'co_documenti.id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:25:47', 0, 0),
(275, 69, 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 3, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:25:51', 0, 0),
(276, 69, 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 2, 1, 0, '', 'data', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:25:56', 0, 0),
(277, 69, 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica)', 6, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:26:00', 0, 0),
(278, 69, 'Totale', 'REPLACE( REPLACE( REPLACE( FORMAT( (SELECT SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) FROM co_righe_documenti GROUP BY iddocumento HAVING iddocumento=co_documenti.id) + bollo + iva_rivalsainps, 2), \',\', \'#\' ), \'.\', \',\' ), \'#\', \'.\' )', 7, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:26:05', 0, 0),
(279, 69, 'icon_Stato', '(SELECT icona FROM co_statidocumento WHERE id=idstatodocumento)', 8, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:26:12', 0, 0),
(280, 69, 'icon_title_Stato', '(SELECT descrizione FROM co_statidocumento WHERE id=idstatodocumento)', 9, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:26:16', 0, 0),
(281, 69, 'data1', 'data', 10, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:26:21', 0, 0),
(282, 69, 'dir', 'dir', 11, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:26:26', 0, 0),
(283, 69, 'N° Doc°', 'numero_documento', 4, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:26:31', 0, 0),
(284, 69, 'Documento', '(SELECT descrizione FROM co_tipidocumento WHERE id=co_documenti.idtipodocumento )', 5, 1, 0, '', '', 1, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:26:35', 0, 0),
(285, 69, 'idtipodocumento', 'idtipodocumento', 12, 0, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:26:40', 0, 0),
(319, 74, 'id', 'co_documenti.id', 1, 1, 0, '', '', 0, 0, 1, '0000-00-00 00:00:00', '2018-02-28 13:26:46', 0, 0),
(320, 74, 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 3, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-20 11:11:18', 0, 0),
(321, 74, 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 2, 1, 0, '', 'data', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-20 11:11:18', 0, 0),
(322, 74, 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica)', 6, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-20 11:11:18', 0, 0),
(323, 74, 'Totale', 'REPLACE( REPLACE( REPLACE( FORMAT( (SELECT SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) FROM co_righe_documenti GROUP BY iddocumento HAVING iddocumento=co_documenti.id) + bollo + iva_rivalsainps, 2), \',\', \'#\' ), \'.\', \',\' ), \'#\', \'.\' )', 7, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-20 11:11:18', 0, 0),
(324, 74, 'icon_Stato', '(SELECT icona FROM co_statidocumento WHERE id=idstatodocumento)', 8, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-20 11:11:18', 0, 0),
(325, 74, 'icon_title_Stato', '(SELECT descrizione FROM co_statidocumento WHERE id=idstatodocumento)', 9, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-20 11:11:18', 0, 0),
(326, 74, 'data1', 'data', 10, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-20 11:11:18', 0, 0),
(327, 74, 'dir', 'dir', 11, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-20 11:11:18', 0, 0),
(328, 74, 'N° Doc°', 'numero_documento', 4, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-20 11:11:18', 0, 0),
(329, 74, 'Documento', '(SELECT descrizione FROM co_tipidocumento WHERE id=co_documenti.idtipodocumento )', 5, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-20 11:11:18', 0, 0),
(330, 74, 'idtipodocumento', 'idtipodocumento', 12, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-20 11:11:18', 0, 0),
(334, 77, 'id', 'idstatointervento', 1, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-20 13:13:36', 0, 0),
(335, 77, 'Codice', 'idstatointervento', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-20 13:13:36', 0, 0),
(336, 77, 'Descrizione', 'descrizione', 3, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-20 13:13:36', 0, 0),
(341, 78, 'id', 'idtipointervento', 1, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-21 15:48:48', 0, 0),
(342, 78, 'Codice', 'idtipointervento', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-21 15:48:48', 0, 0),
(343, 78, 'Descrizione', 'descrizione', 3, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-21 15:48:48', 0, 0),
(344, 79, 'id', 'in_interventi_tecnici.idintervento', 1, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 07:30:50', 0, 0),
(345, 79, 'ID', 'in_interventi.idintervento', 2, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 07:18:17', 0, 0),
(346, 79, 'Anagrafica', 'ragione_sociale', 3, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 07:18:17', 0, 0),
(347, 79, 'Data Inizio', 'DATE_FORMAT( MIN(orario_inizio), \'%d/%m/%Y\')', 4, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 07:20:27', 0, 0),
(348, 79, 'Data Fine', 'DATE_FORMAT(MAX(orario_fine), \'%d/%m/%Y\')', 5, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 07:20:27', 0, 0),
(349, 79, 'Stato', '(SELECT descrizione FROM in_statiintervento WHERE idstatointervento=in_interventi_tecnici.idstatointervento)', 7, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 08:03:07', 0, 0),
(350, 79, 'Tipo', '(SELECT descrizione FROM in_tipiintervento WHERE idtipointervento=in_interventi_tecnici.idtipointervento)', 6, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 08:02:49', 0, 0),
(351, 79, 'idanagrafica', 'in_interventi.idanagrafica', 8, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 07:23:35', 0, 0),
(352, 79, 'orario_inizio', 'orario_inizio', 9, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 07:23:35', 0, 0),
(353, 79, 'data_richiesta', 'data_richiesta', 10, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 07:23:35', 0, 0),
(354, 79, 'orario_fine', 'orario_fine', 11, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 07:23:35', 0, 0),
(355, 79, '_bg_', '(SELECT colore FROM in_statiintervento WHERE idstatointervento=in_interventi_tecnici.idstatointervento)', 12, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 14:25:25', 0, 0),
(356, 80, 'id', 'co_documenti.id', 1, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(357, 80, 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 3, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(358, 80, 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 2, 1, 0, '', 'data', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(359, 80, 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica)', 6, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(360, 80, 'Totale', 'REPLACE( REPLACE( REPLACE( FORMAT( (SELECT SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) FROM co_righe_documenti GROUP BY iddocumento HAVING iddocumento=co_documenti.id) + bollo + iva_rivalsainps, 2), \',\', \'#\' ), \'.\', \',\' ), \'#\', \'.\' )', 7, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(361, 80, 'icon_Stato', '(SELECT icona FROM co_statidocumento WHERE id=idstatodocumento)', 8, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(362, 80, 'icon_title_Stato', '(SELECT descrizione FROM co_statidocumento WHERE id=idstatodocumento)', 9, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(363, 80, 'data1', 'data', 10, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(364, 80, 'dir', 'dir', 11, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(365, 80, 'N° Doc°', 'numero_documento', 4, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(366, 80, 'Documento', '(SELECT descrizione FROM co_tipidocumento WHERE id=co_documenti.idtipodocumento )', 5, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(367, 80, 'idtipodocumento', 'idtipodocumento', 12, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-02-23 16:25:42', 0, 0),
(368, 87, 'id', 'co_documenti.id', 1, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0),
(369, 87, 'Numero', 'IF(numero_esterno=\'\', numero, numero_esterno)', 3, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0),
(370, 87, 'Data', 'DATE_FORMAT(data, \'%d/%m/%Y\')', 2, 1, 0, '', 'data', 1, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0),
(371, 87, 'Ragione sociale', '(SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica)', 6, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0),
(372, 87, 'Totale', 'REPLACE( REPLACE( REPLACE( FORMAT( (SELECT SUM(subtotale - sconto + iva + rivalsainps - ritenutaacconto) FROM co_righe_documenti GROUP BY iddocumento HAVING iddocumento=co_documenti.id) + bollo + iva_rivalsainps, 2), \',\', \'#\' ), \'.\', \',\' ), \'#\', \'.\' )', 7, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0),
(373, 87, 'icon_Stato', '(SELECT icona FROM co_statidocumento WHERE id=idstatodocumento)', 8, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0),
(374, 87, 'icon_title_Stato', '(SELECT descrizione FROM co_statidocumento WHERE id=idstatodocumento)', 9, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0),
(375, 87, 'data1', 'data', 10, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0),
(376, 87, 'dir', 'dir', 11, 1, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0),
(377, 87, 'N° Doc°', 'numero_documento', 4, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0),
(378, 87, 'Documento', '(SELECT descrizione FROM co_tipidocumento WHERE id=co_documenti.idtipodocumento )', 5, 1, 0, '', '', 1, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0),
(379, 87, 'idtipodocumento', 'idtipodocumento', 12, 0, 0, '', '', 0, 0, 0, '0000-00-00 00:00:00', '2018-03-02 08:53:37', 0, 0);

--
-- Dump dei dati per la tabella `zz_modules_plugins`
--

INSERT INTO `zz_modules_plugins` (`id`, `name`, `idmodule_from`, `idmodule_to`, `position`, `script`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES
(2, 'Impianti', 30, 3, 'tab', 'my_impianti.interventi.php', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(3, 'Referenti', 2, 2, 'tab', 'referenti.php', '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(8, 'Interventi svolti', 3, 30, 'tab', 'my_impianti.interventi.php', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(9, 'Componenti', 30, 30, 'tab', 'my_impianti.componenti.php', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(10, 'Movimenti', 21, 21, 'tab', 'articoli.movimenti.php', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(11, 'Seriali', 21, 21, 'tab', 'articoli.lotti.php', '2017-12-15 11:05:27', '0000-00-00 00:00:00', 0, 0),
(12, 'Consuntivo', 13, 13, 'tab', 'preventivi.consuntivo.php', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(13, 'Consuntivo', 31, 31, 'tab', 'contratti.consuntivo.php', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(14, 'Pianificazione interventi', 31, 31, 'tab', 'contratti.pianificazioneinterventi.php', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(15, 'Pianificazione ordini di servizio', 31, 31, 'tab', 'contratti.ordiniservizio.php', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(16, 'Pianificazione fatturazione', 31, 31, 'tab', 'contratti.fatturaordiniservizio.php', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0);


--
-- Dump dei dati per la tabella `zz_modules_documenti`
--

INSERT INTO `zz_modules_documenti` (`id`, `idmodule`, `cerca`, `sostituisci`, `filtra_cerca`, `filtra_sostituisci`, `filtra_valore`) VALUES
(2, 65, 'HAVING 1=1', 'HAVING 1=1 and idtipodocumento=20', '', '', 20),
(3, 66, 'HAVING 1=1', 'HAVING 1=1 and idtipodocumento=11', '', '', 11),
(4, 67, 'HAVING 1=1', 'HAVING 1=1 and idtipodocumento=9', '', '', 9),
(5, 68, 'HAVING 1=1', 'HAVING 1=1 and idtipodocumento=2', '', '', 2),
(6, 69, 'HAVING 1=1', 'HAVING 1=1 and idtipodocumento=3', '', '', 3),
(9, 74, 'HAVING 1=1', 'HAVING 1=1 and idtipodocumento=21', '', '', 21),
(10, 80, 'HAVING 1=1', 'HAVING 1=1 and idtipodocumento=4', '', '', 4),
(11, 87, 'HAVING 1=1', 'HAVING 1=1 and idtipodocumento=10', '', '', 10);


--
-- Dump dei dati per la tabella `zz_gruppi_viste`
--

INSERT INTO `zz_gruppi_viste` (`id`, `id_gruppo`, `id_vista`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES
(1, 1, 28, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(2, 2, 28, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(3, 3, 28, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(4, 4, 28, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(5, 1, 29, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(6, 2, 29, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(7, 3, 29, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(8, 4, 29, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(9, 1, 30, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(10, 2, 30, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(11, 3, 30, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(12, 4, 30, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(13, 1, 31, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(14, 2, 31, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(15, 3, 31, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(16, 4, 31, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(17, 1, 17, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(18, 2, 17, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(19, 3, 17, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(20, 4, 17, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(21, 1, 18, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(22, 2, 18, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(23, 3, 18, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(24, 4, 18, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(61, 1, 108, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(62, 2, 108, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(63, 3, 108, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(64, 4, 108, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(65, 1, 109, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(66, 2, 109, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(67, 3, 109, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(68, 4, 109, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(69, 1, 110, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(70, 2, 110, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(71, 3, 110, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(72, 4, 110, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(73, 1, 19, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(74, 2, 19, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(75, 3, 19, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(76, 4, 19, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(77, 1, 20, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(78, 2, 20, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(79, 3, 20, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(80, 4, 20, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(81, 1, 21, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(82, 2, 21, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(83, 3, 21, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(84, 4, 21, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(85, 1, 22, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(86, 2, 22, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(87, 3, 22, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(88, 4, 22, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(89, 1, 23, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(90, 2, 23, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(91, 3, 23, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(92, 4, 23, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(93, 1, 24, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(94, 2, 24, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(95, 3, 24, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(96, 4, 24, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(97, 1, 25, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(98, 2, 25, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(99, 3, 25, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(100, 4, 25, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(101, 1, 26, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(102, 2, 26, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(103, 3, 26, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(104, 4, 26, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(105, 1, 27, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(106, 2, 27, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(107, 3, 27, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(108, 4, 27, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(109, 1, 122, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(110, 2, 122, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(111, 3, 122, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(112, 4, 122, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(113, 1, 123, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(114, 2, 123, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(115, 3, 123, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(116, 4, 123, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(117, 1, 124, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(118, 2, 124, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(119, 3, 124, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(120, 4, 124, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(121, 1, 54, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(122, 2, 54, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(123, 3, 54, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(124, 4, 54, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(125, 1, 55, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(126, 2, 55, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(127, 3, 55, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(128, 4, 55, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(129, 1, 56, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(130, 2, 56, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(131, 3, 56, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(132, 4, 56, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(133, 1, 57, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(134, 2, 57, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(135, 3, 57, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(136, 4, 57, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(137, 1, 58, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(138, 2, 58, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(139, 3, 58, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(140, 4, 58, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(141, 1, 59, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(142, 2, 59, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(143, 3, 59, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(144, 4, 59, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(145, 1, 60, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(146, 2, 60, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(147, 3, 60, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(148, 4, 60, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(149, 1, 126, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(150, 2, 126, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(151, 3, 126, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(152, 4, 126, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(153, 1, 111, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(154, 2, 111, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(155, 3, 111, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(156, 4, 111, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(157, 1, 112, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(158, 2, 112, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(159, 3, 112, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(160, 4, 112, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(161, 1, 113, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(162, 2, 113, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(163, 3, 113, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(164, 4, 113, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(165, 1, 114, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(166, 2, 114, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(167, 3, 114, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(168, 4, 114, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(169, 1, 115, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(170, 2, 115, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(171, 3, 115, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(172, 4, 115, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(173, 1, 74, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(174, 2, 74, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(175, 3, 74, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(176, 4, 74, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(177, 1, 75, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(178, 2, 75, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(179, 3, 75, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(180, 4, 75, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(181, 1, 76, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(182, 2, 76, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(183, 3, 76, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(184, 4, 76, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(185, 1, 77, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(186, 2, 77, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(187, 3, 77, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(188, 4, 77, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(221, 1, 0, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(222, 2, 0, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(223, 3, 0, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(224, 4, 0, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(225, 1, 0, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(226, 2, 0, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(227, 3, 0, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(228, 4, 0, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(229, 1, 116, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(230, 2, 116, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(231, 3, 116, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(232, 4, 116, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(233, 1, 117, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(234, 2, 117, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(235, 3, 117, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(236, 4, 117, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(237, 1, 118, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(238, 2, 118, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(239, 3, 118, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(240, 4, 118, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(241, 1, 119, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(242, 2, 119, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(243, 3, 119, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(244, 4, 119, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(245, 1, 120, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(246, 2, 120, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(247, 3, 120, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(248, 4, 120, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(249, 1, 121, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(250, 2, 121, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(251, 3, 121, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(252, 4, 121, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(253, 1, 128, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(254, 2, 128, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(255, 3, 128, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(256, 4, 128, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(257, 1, 129, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(258, 2, 129, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(259, 3, 129, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(260, 4, 129, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(297, 1, 101, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(298, 2, 101, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(299, 3, 101, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(300, 4, 101, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(301, 1, 102, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(302, 2, 102, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(303, 3, 102, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(304, 4, 102, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(305, 1, 103, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(306, 2, 103, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(307, 3, 103, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(308, 4, 103, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(309, 1, 104, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(310, 2, 104, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(311, 3, 104, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(312, 4, 104, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(313, 1, 105, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(314, 2, 105, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(315, 3, 105, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(316, 4, 105, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(317, 1, 106, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(318, 2, 106, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(319, 3, 106, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(320, 4, 106, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(321, 1, 107, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(322, 2, 107, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(323, 3, 107, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(324, 4, 107, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(325, 1, 132, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(326, 2, 132, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(327, 3, 132, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(328, 4, 132, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(329, 1, 46, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(330, 2, 46, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(331, 3, 46, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(332, 4, 46, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(333, 1, 47, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(334, 2, 47, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(335, 3, 47, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(336, 4, 47, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(337, 1, 48, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(338, 2, 48, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(339, 3, 48, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(340, 4, 48, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(341, 1, 49, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(342, 2, 49, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(343, 3, 49, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(344, 4, 49, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(345, 1, 50, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(346, 2, 50, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(347, 3, 50, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(348, 4, 50, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(349, 1, 51, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(350, 2, 51, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(351, 3, 51, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(352, 4, 51, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(353, 1, 52, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(354, 2, 52, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(355, 3, 52, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(356, 4, 52, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(357, 1, 53, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(358, 2, 53, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(359, 3, 53, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(360, 4, 53, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(361, 1, 131, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(362, 2, 131, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(363, 3, 131, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(364, 4, 131, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(365, 1, 94, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(366, 2, 94, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(367, 3, 94, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(368, 4, 94, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(369, 1, 95, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(370, 2, 95, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(371, 3, 95, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(372, 4, 95, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(373, 1, 96, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(374, 2, 96, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(375, 3, 96, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(376, 4, 96, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(377, 1, 97, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(378, 2, 97, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(379, 3, 97, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(380, 4, 97, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(381, 1, 98, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(382, 2, 98, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(383, 3, 98, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(384, 4, 98, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(385, 1, 99, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(386, 2, 99, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(387, 3, 99, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(388, 4, 99, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(389, 1, 100, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(390, 2, 100, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(391, 3, 100, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(392, 4, 100, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(393, 1, 133, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(394, 2, 133, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(395, 3, 133, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(396, 4, 133, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(397, 1, 8, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(398, 2, 8, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(399, 3, 8, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(400, 4, 8, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(401, 1, 9, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(402, 2, 9, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(403, 3, 9, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(404, 4, 9, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(405, 1, 10, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(406, 2, 10, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(407, 3, 10, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(408, 4, 10, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(409, 1, 11, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(410, 2, 11, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(411, 3, 11, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(412, 4, 11, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(413, 1, 12, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(414, 2, 12, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(415, 3, 12, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(416, 4, 12, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(417, 1, 13, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(418, 2, 13, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(419, 3, 13, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(420, 4, 13, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(421, 1, 14, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(422, 2, 14, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(423, 3, 14, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(424, 4, 14, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(425, 1, 15, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(426, 2, 15, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(427, 3, 15, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(428, 4, 15, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(429, 1, 16, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(430, 2, 16, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(431, 3, 16, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(432, 4, 16, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(433, 1, 134, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(434, 2, 134, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(435, 3, 134, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(436, 4, 134, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(437, 1, 135, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(438, 2, 135, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(439, 3, 135, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(440, 4, 135, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(441, 1, 136, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(442, 2, 136, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(443, 3, 136, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(444, 4, 136, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(445, 1, 137, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(446, 2, 137, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(447, 3, 137, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(448, 4, 137, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(481, 1, 88, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(482, 2, 88, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(483, 3, 88, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(484, 4, 88, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(509, 1, 32, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(510, 2, 32, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(511, 3, 32, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(512, 4, 32, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(513, 1, 33, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(514, 2, 33, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(515, 3, 33, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(516, 4, 33, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(517, 1, 34, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(518, 2, 34, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(519, 3, 34, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(520, 4, 34, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(521, 1, 35, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(522, 2, 35, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(523, 3, 35, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(524, 4, 35, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(525, 1, 36, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(526, 2, 36, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(527, 3, 36, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(528, 4, 36, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(529, 1, 37, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(530, 2, 37, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(531, 3, 37, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(532, 4, 37, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(533, 1, 140, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(534, 2, 140, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(535, 3, 140, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(536, 4, 140, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(537, 1, 141, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(538, 2, 141, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(539, 3, 141, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(540, 4, 141, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(541, 1, 61, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(542, 2, 61, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(543, 3, 61, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(544, 4, 61, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(545, 1, 62, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(546, 2, 62, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(547, 3, 62, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(548, 4, 62, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(549, 1, 63, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(550, 2, 63, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(551, 3, 63, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(552, 4, 63, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(553, 1, 64, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(554, 2, 64, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(555, 3, 64, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(556, 4, 64, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(557, 1, 65, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(558, 2, 65, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(559, 3, 65, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(560, 4, 65, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(561, 1, 66, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(562, 2, 66, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(563, 3, 66, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(564, 4, 66, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(565, 1, 67, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(566, 2, 67, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(567, 3, 67, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(568, 4, 67, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(569, 1, 68, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(570, 2, 68, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(571, 3, 68, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(572, 4, 68, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(573, 1, 142, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(574, 2, 142, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(575, 3, 142, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(576, 4, 142, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(577, 1, 143, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(578, 2, 143, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(579, 3, 143, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(580, 4, 143, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(581, 1, 144, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(582, 2, 144, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(583, 3, 144, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(584, 4, 144, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(585, 1, 145, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(586, 1, 146, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(587, 1, 147, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(588, 1, 148, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(589, 1, 149, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(590, 1, 150, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(591, 1, 151, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(592, 1, 152, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(593, 1, 167, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(594, 2, 167, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(595, 3, 167, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(596, 4, 167, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(597, 1, 166, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(598, 2, 166, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(599, 3, 166, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(600, 4, 166, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(601, 1, 165, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(602, 2, 165, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(603, 3, 165, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(604, 4, 165, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(605, 1, 164, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(606, 2, 164, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(607, 3, 164, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(608, 4, 164, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(609, 1, 163, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(610, 2, 163, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(611, 3, 163, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(612, 4, 163, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(613, 1, 162, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(614, 2, 162, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(615, 3, 162, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(616, 4, 162, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(617, 1, 161, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(618, 2, 161, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(619, 3, 161, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(620, 4, 161, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(621, 1, 160, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(622, 2, 160, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(623, 3, 160, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(624, 4, 160, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(625, 1, 159, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(626, 2, 159, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(627, 3, 159, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(628, 4, 159, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(629, 1, 158, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(630, 2, 158, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(631, 3, 158, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(632, 4, 158, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(633, 1, 157, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(634, 2, 157, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(635, 3, 157, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(636, 4, 157, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(637, 1, 156, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(638, 2, 156, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(639, 3, 156, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(640, 4, 156, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(641, 1, 155, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(642, 2, 155, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(643, 3, 155, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(644, 4, 155, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(645, 1, 154, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(646, 2, 154, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(647, 3, 154, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(648, 4, 154, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(649, 1, 153, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(650, 2, 153, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(651, 3, 153, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(652, 4, 153, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(653, 1, 169, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(654, 2, 169, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(655, 3, 169, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(656, 4, 169, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(657, 1, 168, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(658, 2, 168, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(659, 3, 168, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(660, 4, 168, '2017-11-28 14:04:37', '0000-00-00 00:00:00', 0, 0),
(665, 1, 171, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(666, 2, 171, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(667, 3, 171, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(668, 4, 171, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(669, 1, 172, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(670, 2, 172, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(671, 3, 172, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(672, 4, 172, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(673, 1, 173, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(674, 2, 173, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(675, 3, 173, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(676, 4, 173, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(677, 1, 174, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(678, 2, 174, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(679, 3, 174, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(680, 4, 174, '2017-11-28 14:04:38', '0000-00-00 00:00:00', 0, 0),
(755, 1, 175, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(756, 2, 175, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(757, 3, 175, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(758, 4, 175, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(759, 1, 176, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(760, 2, 176, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(761, 3, 176, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(762, 4, 176, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(763, 1, 179, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(764, 2, 179, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(765, 3, 179, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(766, 4, 179, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(767, 1, 177, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(768, 2, 177, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(769, 3, 177, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(770, 4, 177, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(771, 1, 180, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(772, 2, 180, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(773, 3, 180, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(774, 4, 180, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(775, 1, 178, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(776, 2, 178, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(777, 3, 178, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(778, 4, 178, '2017-11-30 15:45:40', '0000-00-00 00:00:00', 0, 0),
(803, 1, 181, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(804, 2, 181, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(805, 3, 181, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(806, 4, 181, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(807, 1, 182, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(808, 2, 182, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(809, 3, 182, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(810, 4, 182, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(811, 1, 183, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(812, 2, 183, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(813, 3, 183, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(814, 4, 183, '2017-11-30 15:58:31', '0000-00-00 00:00:00', 0, 0),
(855, 1, 184, '2017-12-19 11:12:17', '0000-00-00 00:00:00', 0, 0),
(856, 2, 184, '2017-12-19 11:12:17', '0000-00-00 00:00:00', 0, 0),
(857, 3, 184, '2017-12-19 11:12:17', '0000-00-00 00:00:00', 0, 0),
(858, 4, 184, '2017-12-19 11:12:17', '0000-00-00 00:00:00', 0, 0),
(859, 1, 185, '2017-12-19 11:12:17', '0000-00-00 00:00:00', 0, 0),
(860, 2, 185, '2017-12-19 11:12:17', '0000-00-00 00:00:00', 0, 0),
(861, 3, 185, '2017-12-19 11:12:17', '0000-00-00 00:00:00', 0, 0),
(862, 4, 185, '2017-12-19 11:12:17', '0000-00-00 00:00:00', 0, 0),
(867, 1, 186, '2017-12-19 11:13:57', '0000-00-00 00:00:00', 0, 0),
(868, 2, 186, '2017-12-19 11:13:57', '0000-00-00 00:00:00', 0, 0),
(869, 3, 186, '2017-12-19 11:13:57', '0000-00-00 00:00:00', 0, 0),
(870, 4, 186, '2017-12-19 11:13:57', '0000-00-00 00:00:00', 0, 0),
(871, 1, 187, '2017-12-19 11:13:57', '0000-00-00 00:00:00', 0, 0),
(872, 2, 187, '2017-12-19 11:13:57', '0000-00-00 00:00:00', 0, 0),
(873, 3, 187, '2017-12-19 11:13:57', '0000-00-00 00:00:00', 0, 0),
(874, 4, 187, '2017-12-19 11:13:57', '0000-00-00 00:00:00', 0, 0),
(879, 1, 188, '2017-12-19 11:14:38', '0000-00-00 00:00:00', 0, 0),
(880, 2, 188, '2017-12-19 11:14:38', '0000-00-00 00:00:00', 0, 0),
(881, 3, 188, '2017-12-19 11:14:38', '0000-00-00 00:00:00', 0, 0),
(882, 4, 188, '2017-12-19 11:14:38', '0000-00-00 00:00:00', 0, 0),
(883, 1, 189, '2017-12-19 11:14:38', '0000-00-00 00:00:00', 0, 0),
(884, 2, 189, '2017-12-19 11:14:38', '0000-00-00 00:00:00', 0, 0),
(885, 3, 189, '2017-12-19 11:14:38', '0000-00-00 00:00:00', 0, 0),
(886, 4, 189, '2017-12-19 11:14:38', '0000-00-00 00:00:00', 0, 0),
(887, 1, 78, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(888, 2, 78, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(889, 3, 78, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(890, 4, 78, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(891, 1, 79, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(892, 2, 79, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(893, 3, 79, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(894, 4, 79, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(895, 1, 80, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(896, 2, 80, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(897, 3, 80, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(898, 4, 80, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(899, 1, 81, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(900, 2, 81, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(901, 3, 81, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(902, 4, 81, '2017-12-19 13:48:32', '0000-00-00 00:00:00', 0, 0),
(938, 1, 1, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(939, 2, 1, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(940, 3, 1, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(941, 4, 1, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(942, 1, 2, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(943, 2, 2, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(944, 3, 2, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(945, 4, 2, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(946, 1, 3, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(947, 2, 3, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(948, 3, 3, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(949, 4, 3, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(950, 1, 4, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(951, 2, 4, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(952, 3, 4, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(953, 4, 4, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(954, 1, 5, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(955, 2, 5, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(956, 3, 5, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(957, 4, 5, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(958, 1, 6, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(959, 2, 6, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(960, 3, 6, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(961, 4, 6, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(962, 1, 7, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(963, 2, 7, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(964, 3, 7, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(965, 4, 7, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(966, 1, 127, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(967, 2, 127, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(968, 3, 127, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(969, 4, 127, '2017-12-19 15:05:04', '0000-00-00 00:00:00', 0, 0),
(1006, 1, 191, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1007, 2, 191, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1008, 3, 191, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1009, 4, 191, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1010, 1, 192, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1011, 2, 192, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1012, 3, 192, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1013, 4, 192, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1014, 1, 193, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1015, 2, 193, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1016, 3, 193, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1017, 4, 193, '2017-12-19 15:23:34', '0000-00-00 00:00:00', 0, 0),
(1042, 1, 194, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1043, 2, 194, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1044, 3, 194, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1045, 4, 194, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1046, 1, 195, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1047, 2, 195, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1048, 3, 195, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1049, 4, 195, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1050, 1, 196, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1051, 2, 196, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1052, 3, 196, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1053, 4, 196, '2017-12-19 15:29:22', '0000-00-00 00:00:00', 0, 0),
(1082, 1, 69, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1083, 2, 69, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1084, 3, 69, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1085, 4, 69, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1086, 1, 170, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1087, 2, 170, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1088, 3, 170, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1089, 4, 170, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1090, 1, 70, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1091, 2, 70, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1092, 3, 70, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1093, 4, 70, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1094, 1, 71, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1095, 2, 71, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1096, 3, 71, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1097, 4, 71, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1098, 1, 72, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1099, 2, 72, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1100, 3, 72, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1101, 4, 72, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1102, 1, 73, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1103, 2, 73, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1104, 3, 73, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1105, 4, 73, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1106, 1, 197, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1107, 2, 197, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1108, 3, 197, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1109, 4, 197, '2017-12-19 16:23:24', '0000-00-00 00:00:00', 0, 0),
(1362, 1, 38, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1363, 2, 38, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1364, 3, 38, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1365, 4, 38, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1366, 1, 40, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1367, 2, 40, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1368, 3, 40, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1369, 4, 40, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1370, 1, 39, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1371, 2, 39, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1372, 3, 39, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1373, 4, 39, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1374, 1, 198, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1375, 2, 198, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1376, 3, 198, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1377, 4, 198, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1378, 1, 199, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1379, 2, 199, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1380, 3, 199, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1381, 4, 199, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1382, 1, 41, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1383, 2, 41, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1384, 3, 41, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1385, 4, 41, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1386, 1, 42, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1387, 2, 42, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1388, 3, 42, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1389, 4, 42, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1390, 1, 43, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1391, 2, 43, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1392, 3, 43, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1393, 4, 43, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1394, 1, 44, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1395, 2, 44, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1396, 3, 44, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1397, 4, 44, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1398, 1, 45, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1399, 2, 45, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1400, 3, 45, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1401, 4, 45, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1402, 1, 130, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1403, 2, 130, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1404, 3, 130, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1405, 4, 130, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1406, 1, 200, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1407, 2, 200, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1408, 3, 200, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1409, 4, 200, '2017-12-20 08:55:27', '0000-00-00 00:00:00', 0, 0),
(1466, 1, 213, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1467, 2, 213, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1468, 3, 213, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1469, 4, 213, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1470, 1, 214, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1471, 2, 214, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1472, 3, 214, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1473, 4, 214, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1474, 1, 215, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1475, 2, 215, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1476, 3, 215, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1477, 4, 215, '2018-02-12 16:25:40', '0000-00-00 00:00:00', 0, 0),
(1506, 1, 89, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1507, 2, 89, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1508, 3, 89, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1509, 4, 89, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1510, 1, 90, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1511, 2, 90, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1512, 3, 90, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1513, 4, 90, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1514, 1, 91, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1515, 2, 91, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1516, 3, 91, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1517, 4, 91, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1518, 1, 92, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1519, 2, 92, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1520, 3, 92, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1521, 4, 92, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1522, 1, 93, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1523, 2, 93, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1524, 3, 93, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1525, 4, 93, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1526, 1, 139, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1527, 2, 139, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1528, 3, 139, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1529, 4, 139, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1530, 1, 216, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1531, 2, 216, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1532, 3, 216, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1533, 4, 216, '2018-02-13 10:20:26', '0000-00-00 00:00:00', 0, 0),
(1534, 1, 217, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1535, 2, 217, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1536, 3, 217, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1537, 4, 217, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1538, 1, 218, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1539, 2, 218, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1540, 3, 218, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1541, 4, 218, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0);
INSERT INTO `zz_gruppi_viste` (`id`, `id_gruppo`, `id_vista`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES
(1542, 1, 219, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1543, 2, 219, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1544, 3, 219, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1545, 4, 219, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1546, 1, 220, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1547, 2, 220, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1548, 3, 220, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1549, 4, 220, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1550, 1, 221, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1551, 2, 221, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1552, 3, 221, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1553, 4, 221, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1554, 1, 222, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1555, 2, 222, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1556, 3, 222, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1557, 4, 222, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1558, 1, 223, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1559, 2, 223, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1560, 3, 223, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1561, 4, 223, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1562, 1, 224, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1563, 2, 224, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1564, 3, 224, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1565, 4, 224, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1566, 1, 225, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1567, 2, 225, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1568, 3, 225, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1569, 4, 225, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1570, 1, 226, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1571, 2, 226, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1572, 3, 226, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1573, 4, 226, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1574, 1, 227, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1575, 2, 227, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1576, 3, 227, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1577, 4, 227, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1578, 1, 228, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1579, 2, 228, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1580, 3, 228, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1581, 4, 228, '2018-02-14 14:42:03', '0000-00-00 00:00:00', 0, 0),
(1582, 1, 229, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1583, 2, 229, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1584, 3, 229, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1585, 4, 229, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1586, 1, 230, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1587, 2, 230, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1588, 3, 230, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1589, 4, 230, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1590, 1, 231, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1591, 2, 231, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1592, 3, 231, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1593, 4, 231, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1594, 1, 232, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1595, 2, 232, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1596, 3, 232, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1597, 4, 232, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1598, 1, 233, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1599, 2, 233, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1600, 3, 233, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1601, 4, 233, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1602, 1, 234, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1603, 2, 234, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1604, 3, 234, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1605, 4, 234, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1606, 1, 235, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1607, 2, 235, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1608, 3, 235, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1609, 4, 235, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1610, 1, 236, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1611, 2, 236, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1612, 3, 236, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1613, 4, 236, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1614, 1, 237, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1615, 2, 237, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1616, 3, 237, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1617, 4, 237, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1618, 1, 238, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1619, 2, 238, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1620, 3, 238, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1621, 4, 238, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1622, 1, 239, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1623, 2, 239, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1624, 3, 239, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1625, 4, 239, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1626, 1, 240, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1627, 2, 240, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1628, 3, 240, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1629, 4, 240, '2018-02-16 14:08:48', '0000-00-00 00:00:00', 0, 0),
(1630, 1, 244, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1631, 2, 244, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1632, 3, 244, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1633, 4, 244, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1634, 1, 245, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1635, 2, 245, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1636, 3, 245, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1637, 4, 245, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1638, 1, 246, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1639, 2, 246, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1640, 3, 246, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1641, 4, 246, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1642, 1, 247, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1643, 2, 247, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1644, 3, 247, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1645, 4, 247, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1646, 1, 248, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1647, 2, 248, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1648, 3, 248, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1649, 4, 248, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1650, 1, 249, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1651, 2, 249, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1652, 3, 249, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1653, 4, 249, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1654, 1, 250, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1655, 2, 250, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1656, 3, 250, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1657, 4, 250, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1658, 1, 251, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1659, 2, 251, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1660, 3, 251, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1661, 4, 251, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1662, 1, 252, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1663, 2, 252, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1664, 3, 252, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1665, 4, 252, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1666, 1, 253, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1667, 2, 253, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1668, 3, 253, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1669, 4, 253, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1670, 1, 254, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1671, 2, 254, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1672, 3, 254, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1673, 4, 254, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1674, 1, 255, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1675, 2, 255, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1676, 3, 255, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1677, 4, 255, '2018-02-16 14:11:13', '0000-00-00 00:00:00', 0, 0),
(1678, 1, 259, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1679, 2, 259, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1680, 3, 259, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1681, 4, 259, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1682, 1, 260, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1683, 2, 260, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1684, 3, 260, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1685, 4, 260, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1686, 1, 261, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1687, 2, 261, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1688, 3, 261, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1689, 4, 261, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1690, 1, 262, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1691, 2, 262, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1692, 3, 262, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1693, 4, 262, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1694, 1, 263, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1695, 2, 263, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1696, 3, 263, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1697, 4, 263, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1698, 1, 264, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1699, 2, 264, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1700, 3, 264, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1701, 4, 264, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1702, 1, 265, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1703, 2, 265, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1704, 3, 265, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1705, 4, 265, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1706, 1, 266, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1707, 2, 266, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1708, 3, 266, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1709, 4, 266, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1710, 1, 267, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1711, 2, 267, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1712, 3, 267, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1713, 4, 267, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1714, 1, 268, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1715, 2, 268, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1716, 3, 268, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1717, 4, 268, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1718, 1, 269, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1719, 2, 269, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1720, 3, 269, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1721, 4, 269, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1722, 1, 270, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1723, 2, 270, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1724, 3, 270, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1725, 4, 270, '2018-02-16 14:11:20', '0000-00-00 00:00:00', 0, 0),
(1726, 1, 274, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1727, 2, 274, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1728, 3, 274, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1729, 4, 274, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1730, 1, 275, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1731, 2, 275, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1732, 3, 275, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1733, 4, 275, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1734, 1, 276, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1735, 2, 276, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1736, 3, 276, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1737, 4, 276, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1738, 1, 277, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1739, 2, 277, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1740, 3, 277, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1741, 4, 277, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1742, 1, 278, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1743, 2, 278, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1744, 3, 278, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1745, 4, 278, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1746, 1, 279, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1747, 2, 279, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1748, 3, 279, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1749, 4, 279, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1750, 1, 280, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1751, 2, 280, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1752, 3, 280, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1753, 4, 280, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1754, 1, 281, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1755, 2, 281, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1756, 3, 281, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1757, 4, 281, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1758, 1, 282, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1759, 2, 282, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1760, 3, 282, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1761, 4, 282, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1762, 1, 283, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1763, 2, 283, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1764, 3, 283, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1765, 4, 283, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1766, 1, 284, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1767, 2, 284, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1768, 3, 284, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1769, 4, 284, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1770, 1, 285, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1771, 2, 285, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1772, 3, 285, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1773, 4, 285, '2018-02-16 14:12:06', '0000-00-00 00:00:00', 0, 0),
(1966, 1, 319, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1967, 2, 319, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1968, 3, 319, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1969, 4, 319, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1970, 1, 320, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1971, 2, 320, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1972, 3, 320, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1973, 4, 320, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1974, 1, 321, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1975, 2, 321, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1976, 3, 321, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1977, 4, 321, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1978, 1, 322, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1979, 2, 322, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1980, 3, 322, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1981, 4, 322, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1982, 1, 323, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1983, 2, 323, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1984, 3, 323, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1985, 4, 323, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1986, 1, 324, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1987, 2, 324, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1988, 3, 324, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1989, 4, 324, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1990, 1, 325, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1991, 2, 325, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1992, 3, 325, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1993, 4, 325, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1994, 1, 326, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1995, 2, 326, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1996, 3, 326, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1997, 4, 326, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1998, 1, 327, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(1999, 2, 327, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2000, 3, 327, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2001, 4, 327, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2002, 1, 328, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2003, 2, 328, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2004, 3, 328, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2005, 4, 328, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2006, 1, 329, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2007, 2, 329, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2008, 3, 329, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2009, 4, 329, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2010, 1, 330, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2011, 2, 330, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2012, 3, 330, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2013, 4, 330, '2018-02-20 11:11:18', '0000-00-00 00:00:00', 0, 0),
(2046, 1, 338, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2047, 2, 338, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2048, 3, 338, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2049, 4, 338, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2050, 1, 339, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2051, 2, 339, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2052, 3, 339, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2053, 4, 339, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2054, 1, 340, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2055, 2, 340, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2056, 3, 340, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2057, 4, 340, '2018-02-20 13:18:55', '0000-00-00 00:00:00', 0, 0),
(2058, 1, 334, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2059, 2, 334, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2060, 3, 334, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2061, 4, 334, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2062, 1, 335, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2063, 2, 335, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2064, 3, 335, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2065, 4, 335, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2066, 1, 336, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2067, 2, 336, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2068, 3, 336, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2069, 4, 336, '2018-02-20 13:21:51', '0000-00-00 00:00:00', 0, 0),
(2074, 1, 341, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2075, 2, 341, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2076, 3, 341, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2077, 4, 341, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2078, 1, 342, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2079, 2, 342, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2080, 3, 342, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2081, 4, 342, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2082, 1, 343, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2083, 2, 343, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2084, 3, 343, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2085, 4, 343, '2018-02-21 15:48:48', '0000-00-00 00:00:00', 0, 0),
(2294, 1, 344, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2295, 2, 344, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2296, 3, 344, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2297, 4, 344, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2298, 1, 345, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2299, 2, 345, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2300, 3, 345, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2301, 4, 345, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2302, 1, 346, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2303, 2, 346, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2304, 3, 346, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2305, 4, 346, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2306, 1, 347, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2307, 2, 347, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2308, 3, 347, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2309, 4, 347, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2310, 1, 348, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2311, 2, 348, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2312, 3, 348, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2313, 4, 348, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2314, 1, 350, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2315, 2, 350, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2316, 3, 350, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2317, 4, 350, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2318, 1, 349, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2319, 2, 349, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2320, 3, 349, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2321, 4, 349, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2322, 1, 351, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2323, 2, 351, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2324, 3, 351, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2325, 4, 351, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2326, 1, 352, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2327, 2, 352, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2328, 3, 352, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2329, 4, 352, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2330, 1, 353, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2331, 2, 353, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2332, 3, 353, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2333, 4, 353, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2334, 1, 354, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2335, 2, 354, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2336, 3, 354, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2337, 4, 354, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2338, 1, 355, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2339, 2, 355, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2340, 3, 355, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2341, 4, 355, '2018-02-23 14:25:25', '0000-00-00 00:00:00', 0, 0),
(2342, 1, 356, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2343, 2, 356, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2344, 3, 356, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2345, 4, 356, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2346, 1, 357, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2347, 2, 357, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2348, 3, 357, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2349, 4, 357, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2350, 1, 358, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2351, 2, 358, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2352, 3, 358, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2353, 4, 358, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2354, 1, 359, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2355, 2, 359, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2356, 3, 359, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2357, 4, 359, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2358, 1, 360, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2359, 2, 360, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2360, 3, 360, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2361, 4, 360, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2362, 1, 361, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2363, 2, 361, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2364, 3, 361, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2365, 4, 361, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2366, 1, 362, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2367, 2, 362, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2368, 3, 362, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2369, 4, 362, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2370, 1, 363, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2371, 2, 363, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2372, 3, 363, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2373, 4, 363, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2374, 1, 364, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2375, 2, 364, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2376, 3, 364, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2377, 4, 364, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2378, 1, 365, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2379, 2, 365, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2380, 3, 365, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2381, 4, 365, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2382, 1, 366, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2383, 2, 366, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2384, 3, 366, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2385, 4, 366, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2386, 1, 367, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2387, 2, 367, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2388, 3, 367, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2389, 4, 367, '2018-02-23 16:25:42', '0000-00-00 00:00:00', 0, 0),
(2390, 1, 368, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2391, 2, 368, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2392, 3, 368, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2393, 4, 368, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2394, 1, 369, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2395, 2, 369, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2396, 3, 369, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2397, 4, 369, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2398, 1, 370, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2399, 2, 370, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2400, 3, 370, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2401, 4, 370, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2402, 1, 371, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2403, 2, 371, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2404, 3, 371, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2405, 4, 371, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2406, 1, 372, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2407, 2, 372, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2408, 3, 372, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2409, 4, 372, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2410, 1, 373, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2411, 2, 373, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2412, 3, 373, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2413, 4, 373, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2414, 1, 374, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2415, 2, 374, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2416, 3, 374, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2417, 4, 374, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2418, 1, 375, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2419, 2, 375, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2420, 3, 375, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2421, 4, 375, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2422, 1, 376, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2423, 2, 376, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2424, 3, 376, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2425, 4, 376, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2426, 1, 377, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2427, 2, 377, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2428, 3, 377, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2429, 4, 377, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2430, 1, 378, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2431, 2, 378, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2432, 3, 378, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2433, 4, 378, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2434, 1, 379, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2435, 2, 379, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2436, 3, 379, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0),
(2437, 4, 379, '2018-03-02 08:53:37', '0000-00-00 00:00:00', 0, 0);



--
-- Dump dei dati per la tabella `zz_gruppi_modules`
--

INSERT INTO `zz_gruppi_modules` (`id`, `idgruppo`, `idmodule`, `clause`, `updated_at`, `created_at`, `updated_by`, `created_by`) VALUES
(1, 2, 3, ' AND in_interventi.idintervento IN (SELECT idintervento FROM in_interventi_tecnici WHERE idintervento=in_interventi.idintervento AND idtecnico=|idtecnico|)', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(2, 2, 2, ' AND an_anagrafiche.idanagrafica IN (SELECT idanagrafica FROM in_interventi_tecnici INNER JOIN in_interventi ON in_interventi_tecnici.idintervento=in_interventi.idintervento WHERE in_interventi.idanagrafica=an_anagrafiche.idanagrafica AND idtecnico=|idtecnico|)', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(3, 3, 2, ' AND an_anagrafiche.idagente=|idagente|', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(4, 4, 2, ' AND an_anagrafiche.idanagrafica=|idanagrafica|', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(5, 4, 3, ' AND in_interventi.idanagrafica=|idanagrafica|', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(6, 4, 14, ' AND co_documenti.idanagrafica=|idanagrafica|', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(7, 3, 16, 'AND idagente=|idanagrafica|', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0),
(8, 4, 30, 'AND my_impianti.idanagrafica=|idanagrafica|', '2017-11-28 14:04:32', '0000-00-00 00:00:00', 0, 0);




INSERT INTO `co_tipidocumento` (`id`, `descrizione`, `dir`, `mod_num`, `mod_mag`, `mod_sta`, `mod_mov`, `num_mag`, `txt_suffisso`, `dir_pdf`, `doc_sucessivo`, `sta_cambio`, `sta_sucessivo`, `idconto`, `idpagamento`, `sta_apertura`, `sta_scadenziario`, `sta_concluso`, `ges_primanota`, `var_formato_num`, `stampa_prezzi`, `ges_ritenuta`, `ges_rivalsa`, `ges_marca`, `dicitura_fissa`, `add_scadenza`, `sta_conto`, `sta_stampa`, `var_creaordine`, `id_gruppo_tipologia`, `path_archivio`, `mail_from`, `mail_oggetto`, `mail_testo`, `marca_bollo`, `logo`, `differito_doc`, `differito_suc`, `differito_sta`, `idmenu`, `pan_spedizioni`, `evasione_parziale`, `suffisso_anno`, `matricola_obb`, `mod_transazioni`, `mod_scorte`, `vedi_transazione`, `vedi_transazionepdf`, `elettronica`, `el_tipodocumento`, `el_divisa`, `mod_transazione`, `stato_transazione_concluso`, `pan_aggiuntive`, `pan_scadenze`, `mod_impegnato`, `mod_ord_for`, `mod_default`, `mod_riepilogo_iva`, `mod_ordineservizio`, `differito_sta_suc`, `doc_sucessivo_stato_padre`) VALUES
(1, 'Fattura immediata di acquisto', 'uscita', 1, 1, 1, 1, 0, 'ACQ-', 'movimento', 0, 0, 0, 0, 0, 2, 3, 10, 0, '######', 0, 0, 0, 0.0000, '', 0, 3, 0, 0, 2, 'documenti', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0),
(2, 'Fattura immediata di vendita', 'entrata', 1, 1, 1, 1, 0, 'FAT/', 'documenti', 0, 0, 0, 0, 0, 2, 3, 10, 0, '######', 1, 0, 0, 0.0000, 'Ai sensi del D.Lgs. 196/2003 Vi informiamo che i Vs. dati saranno utilizzati esclusivamente per i fini connessi ai rapporti commerciali tra di noi in essere. Contributo CONAI assolto ove dovuto - Vi preghiamo di controllare i Vs. dati anagrafici, la P. IVA e il Cod. Fiscale. Non ci riteniamo responsabili di eventuali errori.', 0, 3, 1, 0, 1, 'documenti', 'GEST366', 'GEST366 : Invio documento Numero&deg; %NUM  %NUMS%SUFFISSO del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento Numero&deg; %NUM %NUMS%SUFFISSO del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 1, 0, 0, 1, 1, 1, 0, 1, 1, 0, '', '', 0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0),
(3, 'Fattura differita di acquisto', 'uscita', 1, 0, 1, 1, 0, '', 'movimento', 0, 0, 0, 0, 0, 2, 3, 10, 0, '######', 0, 0, 0, 0.0000, '', 0, 3, 0, 0, 2, 'documenti', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 1, 11, 3, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', '', 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0),
(4, 'Fattura differita di vendita', 'entrata', 1, 0, 1, 0, 0, 'FATD/', 'fatture_accompagnatorie', 0, 0, 0, 0, 0, 2, 3, 10, 0, '#####', 0, 0, 0, 0.0000, '', 0, 3, 1, 0, 1, 'documenti', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 1, 10, 3, 1, 0, 0, 1, 1, 0, 0, 1, 0, 0, '', '', 0, 0, 1, 1, 0, 0, 1, 0, 0, 10, 0),
(5, 'Fattura accompagnatoria di acquisto', 'uscita', 1, 1, 1, 1, 0, '', 'movimento', 0, 0, 0, 0, 0, 2, 3, 10, 0, '##', 0, 0, 0, 0.0000, '', 0, 3, 0, 0, 2, 'documenti', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', '', 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0),
(6, 'Fattura accompagnatoria di vendita', 'entrata', 1, 1, 1, 1, 0, '', 'documenti_accompagnatorie', 0, 0, 0, 0, 0, 2, 3, 10, 0, '#####', 1, 0, 0, 0.0000, 'Mamo Ai sensi del D.Lgs. 196/2003 Vi informiamo che i Vs. dati saranno utilizzati esclusivamente per i fini connessi ai rapporti commerciali tra di noi in essere.&lt;br/&gt;\r\nVi preghiamo di controllare i Vs. dati anagrafici, la P. IVA e il Cod. Fiscale. Non ci riteniamo responsabili di eventuali errori', 0, 3, 1, 0, 1, 'documenti', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, '', '', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0),
(7, 'Nota di accredito', 'entrata', 1, 1, 1, 1, 0, '', 'documenti', 0, 0, 0, 0, 0, 2, 0, 10, 0, '##', 0, 0, 0, 0.0000, '', 0, 0, 0, 0, 5, 'documenti', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0),
(8, 'Nota di addebito', 'uscita', 1, 1, 1, 1, 0, '', 'documenti', 0, 0, 0, 0, 0, 2, 0, 10, 0, '##', 0, 0, 0, 0.0000, '', 0, 0, 0, 0, 5, 'documenti', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0),
(9, 'Preventivo', 'entrata', 1, 0, 0, 0, 0, 'PRE-', 'preventivi', 12, 7, 9, 0, 0, 2, 0, 10, 0, '#######', 1, 0, 0, 0.0000, 'In attesa di un Vostro Cortese riscontro, colgo l&rsquo;occasione per porgere Cordiali Saluti.', 0, 0, 0, 0, 4, 'documenti', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 1, 0, '', '', 0, 10, 1, 0, 0, 0, 1, 0, 0, 0, 0),
(10, 'DDT', 'entrata', 1, 1, 0, 1, 0, '', 'ddt', 4, 11, 3, 0, 0, 2, 0, 10, 0, '######', 1, 0, 0, 0.0000, '', 0, 0, 0, 0, 6, 'documenti', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 1, 1, 0, 1, 1, 1, 0, 1, 1, 0, '', '', 0, 10, 0, 0, 0, 0, 1, 0, 0, 0, 10),
(11, 'DDT di Acquisto', 'uscita', 0, 1, 0, 1, 0, '', 'movimento', 0, 0, 0, 0, 0, 2, 0, 10, 0, '#####', 0, 0, 0, 0.0000, '', 0, 0, 0, 0, 7, 'documenti', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, '', '', 0, 10, 1, 0, 0, 0, 1, 0, 0, 0, 0),
(12, 'Scarico manuale senza statistica', 'entrata', 1, 1, 0, 1, 0, '', 'movimento', 0, 0, 0, 0, 0, 2, 0, 0, 0, '#####', 0, 0, 0, 0.0000, '', 0, 0, 0, 0, 7, '', 'GEST366', '', '', '0.0000', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '0', 'EUR', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0),
(13, 'Scarico manuale con statistica', 'entrata', 1, 1, 1, 1, 0, '', 'movimento', 0, 0, 0, 0, 0, 2, 0, 0, 0, '#####', 0, 0, 0, 0.0000, '', 0, 0, 0, 0, 7, '', 'GEST366', '', '', '0.0000', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '0', 'EUR', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0),
(14, 'Carico manuale senza statistica', 'uscita', 1, 1, 0, 1, 0, '', 'movimento', 0, 0, 0, 0, 0, 2, 0, 0, 0, '#####', 0, 0, 0, 0.0000, '', 0, 0, 0, 0, 7, '', 'GEST366', '', '', '0.0000', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '0', 'EUR', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0),
(15, 'Carico manuale con statistica', 'uscita', 1, 1, 1, 1, 0, '', 'movimento', 0, 0, 0, 0, 0, 2, 0, 0, 0, '#####', 0, 0, 0, 0.0000, '', 0, 0, 0, 0, 7, '', 'GEST366', '', '', '0.0000', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '0', 'EUR', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0),
(16, 'Fattura Proforma', 'entrata', 0, 1, 1, 1, 0, '', 'documenti', 0, 0, 0, 0, 0, 2, 3, 10, 0, '#####', 0, 0, 0, 0.0000, 'Testo fattura Proforma', 0, 0, 1, 0, 8, 'documenti', 'GEST366', 'GEST366 : Invio documento Numero %NUM  %NUMS%SUFFISSO del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento Numero %NUM %NUMS%SUFFISSO del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, '', '', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0),
(19, 'Fattura elettronica PA', 'entrata', 1, 1, 1, 1, 0, 'PA-', 'documenti', 0, 0, 0, 0, 0, 2, 3, 10, 0, '######', 1, 0, 0, 0.0000, '', 0, 3, 0, 0, 13, 'documenti_pa', '', '', '', '0.0000', '', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 'TD01', 'EUR', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0),
(20, 'Ordine Cliente', 'entrata', 1, 0, 0, 0, 0, 'ORD_', 'documenti', 0, 0, 0, 0, 0, 2, 0, 10, 0, '######', 1, 0, 0, 0.0000, '', 0, 0, 1, 0, 14, 'documenti', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 1, 0, 0, 1, 0, 1, 1, 1, 1, 0, '', '', 0, 10, 0, 0, 1, 1, 1, 0, 0, 0, 0),
(21, 'Ordine di Servizio', 'entrata', 1, 0, 0, 0, 0, 'ORDSER_', 'movimenti', 0, 0, 0, 0, 0, 2, 0, 10, 0, '######', 0, 0, 0, 0.0000, '', 0, 0, 0, 0, 11, 'ord_serv', 'GEST366', 'Invio documento num. %NUM del %DATA', 'Gentilissimo %RAGIONESOCIALE \r\n	in allegato le inviamo copia documento num. %NUM del %DATA	Restiamo a sua disposizione\r\n	Distinti Saluti\r\n	www.gest366.it', '0.0000', '', 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 0, '', '', 0, 10, 0, 0, 0, 0, 1, 0, 1, 0, 0);



INSERT INTO `co_tipidocumento_gruppo` (`id`, `codice`, `descrizione`) VALUES
(1, 'VEN', 'Vendite'),
(2, 'ACQ', 'Acquisti'),
(4, 'PREV', 'Preventivi'),
(5, 'Note', 'Note Acc/Add'),
(6, 'DDT', 'DDT'),
(7, 'MAG', 'Magazzino'),
(8, 'Pro', 'Fatt Proforma'),
(9, 'RAP', 'Rapportini intervento'),
(10, 'FORCOM', 'Fornitura Commessa'),
(11, 'ORDS', 'Ordini di servizio'),
(12, 'ORDSP', 'Ordini di spedizione'),
(13, 'FATE', 'Fattura Elettronica PA'),
(14, 'ORD', 'Ordini Clienti');

INSERT INTO `zz_impostazioni` ( `nome`, `valore`, `tipo`, `editable`, `sezione`) VALUES
('Cartella Custom', 'custom', 'string', 1, 'Generali');


alter Table an_anagrafiche add componente_filename varchar(255) ;
alter Table an_anagrafiche add contenuto text;